<?php
require_once "conn.php";
require_once "functions.php";
if(!isset($_SESSION['user_id']) && isset($_COOKIE["user_id"]) && $_COOKIE["user_id"]>0){
	login_from_cookie();
}
if(!isset($_POST['is_html'])){
	header('Content-Type: application/json'); 
}
$user_role 		= $_SESSION['login_user_array']['user_role'];

if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_project_and_task_status'){
	
	$project_id = intval($_POST['combo_project_id']);
	$check_task_level = (isset($_POST['check_task_level']) && $_POST['check_task_level']==1)?true:false;
	$check_include_costs 	= (isset($_POST['check_include_costs']) && $_POST['check_include_costs']==1)?true:false;
	$check_red_flag_tasks 	= (isset($_POST['check_red_flag_tasks']) && $_POST['check_red_flag_tasks']==1)?true:false;
	$check_yellow_flag_tasks= (isset($_POST['check_yellow_flag_tasks']) && $_POST['check_yellow_flag_tasks']==1)?true:false;
	$check_green_flag_tasks = (isset($_POST['check_green_flag_tasks']) && $_POST['check_green_flag_tasks']==1)?true:false;
	
	$filter_flag_code_arr = array();
	
	if($check_red_flag_tasks==true){
		$filter_flag_code_arr[] = "red";
	}
	if($check_yellow_flag_tasks==true){
		$filter_flag_code_arr[] = "yellow";
	}
	if($check_green_flag_tasks==true){
		$filter_flag_code_arr[] = "green";
	}
	
	$where = "";
	if($project_id>0){
		$where = " project_id='".$project_id."' AND ";
	}else{
		if($user_role=="User"){
			$where = "
				(
					project_id 
						IN 
						(
							SELECT project_id FROM `cxs_projects_teams` WHERE team_id IN (SELECT team_id FROM `cxs_projects_team_members` WHERE member_userid='".$_SESSION['login_user_array']['user_id']."')
						)
				)
				AND
			";
		}else if($user_role=="Manager"){
			$where = "
				(
					project_id 
						IN 
						(
							SELECT project_id FROM `cxs_projects_manager` WHERE user_id='".$_SESSION['login_user_array']['user_id']."'
						)
				)
				AND
			";
		}
	}
	
	?>
	<div class="table-responsive" style="overflow:hidden;width:2000px;">
		<table class="table table-bordered tbl2" id="table_projects">
			<thead>
				<tr class="table-info">
					<th width="150px">Project Id</th>
					<th colspan="9">Project Name</th>
					<th width="50px">Schedule Start Date</th>
					<th width="50px">Schedule End Date</th>
					<th width="50px">Actual Start Date</th>
					<th width="50px">Actual End Date</th>
					<th width="80px">Current Status</th>
					<th width="100px">Labor Cost Outlook</th>	
					<th width="100px">Non Labor Cost Outlook</th>	
					<th width="50px">Schedule Check</th>	
					<th width="50px">ETC</th>
				</tr>
			</thead>
			<tbody>
				<?php
				$selectQuery 	= "
					SELECT 
						*
					FROM 
						`cxs_projects`
					WHERE 
						$where company_id='".$_SESSION['login_user_array']['company_id']."'
					ORDER BY 
						project_number
					";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				$count=0;
				if($StdNumRows>0){
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$count++;
						$project_id		= $rows["project_id"];
						$project_number = $rows["project_number"];
						$project_name	= htmlentities($rows["project_name"]);
						$project_status	= htmlentities($rows["project_status"]);
						$track_progress_by	= htmlentities($rows["track_progress_by"]);
						$team_id		= htmlentities($rows["team_id"]);
						$currency		= $rows["currency"];
						$currency_symbol= $rows["currency_symbol"];
						$schedule_start_date= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
						$schedule_end_date	= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
						$actual_start_date	= ($rows["actual_start_date"]!="0000-00-00")?setDate($rows["actual_start_date"],"m/d/Y"):"";
						$actual_end_date	= ($rows["actual_end_date"]!="0000-00-00")?setDate($rows["actual_end_date"],"m/d/Y"):"";
						
						/****************/
						$kpi_data_arr_hours = getKPIArray($project_id,0,"hours");
						$kpi_data_arr_labor = getKPIArray($project_id,0,"labor");
						$kpi_data_arr_non_labor = getKPIArray($project_id,0,"non_labor");
						
						$kpi_flag="";
						$schedule_variance 	= 0;
						$cost_variance 		= 0;
						$etc_value 			= 0;
						
						if(is_array($kpi_data_arr_hours) && count($kpi_data_arr_hours)>0){
							
							$schedule_variance 	= $kpi_data_arr_hours["schedule_variance"];
							$cost_variance 		= $kpi_data_arr_hours["cost_variance"];
							
							$kpi_flag = getKPIFlag($project_id,0);
							
							if(count($filter_flag_code_arr)>0 && !in_array($kpi_flag["flag_code"],$filter_flag_code_arr)){
								continue;
							}
						}
						/****************/
						?>
						<tr data-node-id="<?php echo $project_id; ?>">
							<td id="project_number_<?php echo $project_id; ?>" class="rm-tree-btn">
								<span class="td-cell-space"><?php echo $project_number; ?></span>
							</td>
							<td id="project_name_<?php echo $project_id; ?>" colspan="9">
								<div class="d-flex align-items-center">
									<span class="rm-tree-btn"><?php echo $project_name; ?></span>
									<?php if($kpi_flag!=""){ ?>
									<a href="<?php echo SITEURL."projects/earned-value-analysis/".md5($project_id)."/"; ?>" title="<?php echo $kpi_flag["title"]; ?>" target="_blank" class="ml-2"><img class="kpi-flag" src="<?php echo SITEURL."images/".$kpi_flag["image"]; ?>" alt=""></a>
									<?php } ?>
								</div>
							</td>
							<td><?php echo $schedule_start_date; ?></td>
							<td><?php echo $schedule_end_date; ?></td>
							<td><?php echo $actual_start_date; ?></td>
							<td><?php echo $actual_end_date; ?></td>
							<td><?php echo $project_status; ?></td>
							<td align="right">
								<?php
								if($check_include_costs==true){
									if(count($kpi_data_arr_labor)>0){
										echo $currency." ".setNumberFormat($kpi_data_arr_labor['actual_cost_amt']);
									}
								}
								?>
							</td>
							<td align="right">
								<?php
								if($check_include_costs==true){
									if(count($kpi_data_arr_non_labor)>0){
										echo $currency." ".setNumberFormat($kpi_data_arr_non_labor['actual_cost_amt']);
									}
								}
								?>
							</td>
							<td align="right">
								<?php
								if($schedule_variance!=""){
									echo setNumberFormat($schedule_variance);
								}
								?>
							</td>
							<td align="right">
								<?php
								if($check_include_costs==true){
									if(count($kpi_data_arr_labor)>0){
										echo $currency." ".setNumberFormat($kpi_data_arr_labor["etc_amt"]);
									}
								}
								?>
							</td>
						</tr>
						<tr>
							<td colspan="2"><span class="td-cell-space"><strong>Key Performance Indicators</strong>:</span></td>
							<td colspan="4">
								<?php
								if($check_include_costs==true){
								?>								
									<strong>Total Budget (<?php echo $currency_symbol; ?>)</strong>:
									<?php
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_hours)>0){
											echo $currency." ".setNumberFormat($kpi_data_arr_labor["bac_amt"])." , ".$kpi_data_arr_hours["bac_hr"]." Hour(s)";
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["bac_hr"]." Hour(s)";
										}
									}
									
								}else{
								?>
									<strong>Total Budget</strong>:
									<?php
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["bac_hr"]." Hour(s)";
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["bac_hr"]." Hour(s)";
										}
									}
									
								}
								?>
							</td>
							<td colspan="5">
								<?php
								if($check_include_costs==true){
								?>
									<strong>Total Budgeted Costs of work performed to date (<?php echo $currency; ?>)</strong>: 
									<?php 
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0 && count($kpi_data_arr_hours)>0){
											echo $currency." ".setNumberFormat($kpi_data_arr_labor["earned_value_amt"]+$kpi_data_arr_non_labor["earned_value_amt"]).", ".$kpi_data_arr_hours["earned_value_hr"]." Hour(s)"; 
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["earned_value_hr"]." Hour(s)"; 
										}
									}	
								}else{
								?>
									<strong>Total Budgeted Costs of work performed to date</strong>: 
									<?php 
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0 && count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["earned_value_hr"]." Hour(s)"; 
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["earned_value_hr"]." Hour(s)"; 
										}
									}
										
								}
								?>
							</td>
							<td colspan="4">
								<?php
								if($check_include_costs==true){
								?>
									<strong>Total Actual Costs (<?php echo $currency; ?>)</strong>: 
									<?php
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0 && count($kpi_data_arr_hours)>0){
											echo $currency." ".setNumberFormat($kpi_data_arr_labor["actual_cost_amt"]+$kpi_data_arr_non_labor["actual_cost_amt"]).", ".$kpi_data_arr_hours["actual_cost_hr"]." Hour(s)";
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["actual_cost_hr"]." Hour(s)";
										}
									}
										
								}else{
								?>
									<strong>Total Actual Costs</strong>: 
									<?php
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0 && count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["actual_cost_hr"]." Hour(s)";
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["actual_cost_hr"]." Hour(s)";
										}
									}
									
								}
								?> 
							</td>
							<td colspan="4">
								<?php
								if($check_include_costs==true){
								?>
									<strong>Total Estimate at Completion (<?php echo $currency; ?>)</strong>: 
									<?php
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_hours)>0){
											echo $currency." ".setNumberFormat($kpi_data_arr_labor['eac_amt']).", ".$kpi_data_arr_hours['eac_hr']." Hour(s)";
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours['eac_hr']." Hour(s)";
										}
									}
									
								}else{
								?>
									<strong>Total Estimate at Completion</strong>: 
									<?php
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_labor['eac_hr']." Hour(s)";
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_labor['eac_hr']." Hour(s)";
										}
									}
									
								}
								?>
							</td>
						</tr>
						<?php
						if($check_task_level==true){
							$selectQuery1 	= "
								SELECT 
									*
								FROM 
									`cxs_projects_tasks` 
								WHERE 
									project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
								ORDER BY 
									task_id
								";		
							$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
							$StdNumRows1 	= mysqli_num_rows($RunUserQuery1);
							
							if($StdNumRows1>0){
								?>
								<tr data-node-id="0.0" data-node-pid="<?php echo $project_id; ?>">
									<td colspan="19"></td>
								</tr>
								<tr class="sub-table-info" data-node-id="0.0" data-node-pid="<?php echo $project_id; ?>">
									<td colspan="7"></td>
									<td colspan="4" align="center"><span class="td-cell-space">Labor Costs</span></td>
									<td colspan="2" align="center">Non Labor Costs</td>
									<td colspan="6"></td>
								</tr>
								<tr class="sub-table-info" data-node-id="0.0" data-node-pid="<?php echo $project_id; ?>">
									<th>Task Number</th>
									<th width="300px">Task Name</th>
									<th>Schedule Start Date</th>
									<th>Schedule End Date</th>
									<th width="50px">Actual Start Date</th>
									<th width="50px">Actual End Date</th>
									<th width="50px">Current Status</th>
									<th width="50px">Budgeted Hours</th>
									<th width="50px">Actual Hours to Date</th>
									<th width="50px">Budget in Amt.</th>
									<th width="50px">Actual Cost to Date</th>
									<th width="50px">Budget in Amt.</th>
									<th width="50px">Actual Cost to Date</th>
									<th width="50px">Labor Cost Outlook</th>
									<th width="50px">Non Labor Cost Outlook</th>
									<th width="50px">Schedule Check</th>
									<th width="50px">ETC</th>
									<th width="300px">Parent Task</th>
									<th width="150px">Status</th>
								</tr>
								<?php
								while($rows1=mysqli_fetch_assoc($RunUserQuery1)){
									$task_id					= $rows1["task_id"];
									$text_task_number			= htmlentities($rows1["task_number"]);
									$text_task_name				= htmlentities($rows1["task_name"]);
									$text_task_description		= htmlentities($rows1["task_description"]);
									$combo_task_status			= htmlentities($rows1["task_status"]);
									$text_budgeted_hours		= htmlentities($rows1["budgeted_hours"]);
									$text_task_schedule_start_date	= ($rows1["schedule_start_date"]!="0000-00-00")?setDate($rows1["schedule_start_date"],"m/d/Y"):"";
									$text_task_schedule_end_date	= ($rows1["schedule_end_date"]!="0000-00-00")?setDate($rows1["schedule_end_date"],"m/d/Y"):"";
									$text_task_actual_start_date	= ($rows1["actual_start_date"]!="0000-00-00")?setDate($rows1["actual_start_date"],"m/d/Y"):"";
									$text_task_actual_end_date		= ($rows1["actual_end_date"]!="0000-00-00")?setDate($rows1["actual_end_date"],"m/d/Y"):"";
									
									$parent_task_id			= $rows1["parent_task_id"];
									$parent_task_name = "";
									if($parent_task_id>0){
										$parent_task_name = getvalue("cxs_projects_tasks","task_name"," WHERE task_id='".$parent_task_id."'");
									}
									
									/****************/
									$labor_actual_hours_to_date	= "0";
									$labor_budgeted_amount		= "0";
									$labor_actual_cost_to_date	= "0";
									$non_labor_budgeted_amount	= "0";
									$non_labor_actual_cost_to_date	= "0";
									$labor_cost_outlook	= "0";
									$non_labor_cost_outlook	= "0";
									$sv			= "0";
									$etc		= "0";
									$flag_code 	= "";
									$kpi_flag_arr = array();
									
									$kpi_data_arr_labor 	= getKPIArray($project_id,$task_id,"labor");
									$kpi_data_arr_non_labor = getKPIArray($project_id,$task_id,"non_labor");
									$kpi_data_arr_hours 	= getKPIArray($project_id,$task_id,"hours");
									
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0 && count($kpi_data_arr_hours)>0){
											$labor_actual_hours_to_date	= $kpi_data_arr_hours["actual_cost_hr"];
											$labor_budgeted_amount		= $kpi_data_arr_labor["bac_amt"];
											$labor_actual_cost_to_date	= $kpi_data_arr_labor["actual_cost_amt"];
											$non_labor_budgeted_amount	= $kpi_data_arr_non_labor["bac_amt"];
											$non_labor_actual_cost_to_date	= $kpi_data_arr_non_labor["actual_cost_amt"];
											$labor_cost_outlook	= $kpi_data_arr_labor["bac_amt"] - $kpi_data_arr_labor["actual_cost_amt"];
											$non_labor_cost_outlook	= $kpi_data_arr_non_labor["bac_amt"] - $kpi_data_arr_non_labor["actual_cost_amt"];
											$sv		= $kpi_data_arr_hours["schedule_variance"];
											$etc	= $kpi_data_arr_labor["etc_amt"];
											
											// if(is_array($kpi_data_arr_labor) && count($kpi_data_arr_labor)>0){
												
											// }
											$kpi_flag_arr 	= getKPIFlag($project_id,$task_id,true);
											$flag_code 		= ucwords($kpi_flag_arr["flag_code"]);
										}
									}else{
										$labor_actual_hours_to_date	= $kpi_data_arr_hours["actual_cost_hr"];
										$sv		= $kpi_data_arr_hours["schedule_variance"];
										
										// if(is_array($kpi_data_arr_labor) && count($kpi_data_arr_labor)>0){
											
										// }

										$kpi_flag_arr 	= getKPIFlag($project_id,$task_id,true);
										$flag_code 		= ucwords($kpi_flag_arr["flag_code"]);
									}
									/****************/
								?>
								<tr data-node-id="<?php echo $task_id; ?>.1" data-node-pid="<?php echo $project_id; ?>">
									<td class="rm-tree-btn"><?php echo $text_task_number; ?></td>
									<td class="rm-tree-btn" width="300px">
										<div class="d-flex align-items-center">
											<label class="td-cell-space"><?php echo $text_task_name; ?></label>
											<?php if(count($kpi_flag_arr)>0){ ?>
												<a href="<?php echo SITEURL."projects/earned-value-analysis/".md5($project_id)."/".md5($task_id)."/"; ?>" class="ml-2" style="text-decoration:none;" target="_blank" title="<?php echo $kpi_flag_arr["title"]; ?>"><img class="kpi-flag" src="<?php echo SITEURL."images/".$kpi_flag_arr["image"]; ?>" alt=""> 
												</a>
												<?php if($kpi_flag_arr["task_update_tooltip"]!=""){ ?>
												<a href="javascript:void(0);" style="text-decoration:none;" class="ml-2" title="<?php echo $kpi_flag_arr["title"]; ?>"><i class="fa fa-exclamation-circle task-update-class" title="<?php echo $kpi_flag_arr["task_update_tooltip"]; ?>"></i>
												</a>
												<?php } ?>
											<?php } ?>
										</div>
									</td>
									<td>
										<?php echo $text_task_schedule_start_date; ?>
									</td>
									<td>
										<?php echo $text_task_schedule_end_date; ?>
									</td>
									<td>
										<?php echo $text_task_actual_start_date; ?>
									</td>
									<td>
										<?php echo $text_task_actual_end_date; ?>
									</td>
									<td>
										<?php echo $combo_task_status; ?>
									</td>
									
									<td align="right"><?php echo $text_budgeted_hours; ?></td>
									<td align="right"><?php echo $labor_actual_hours_to_date; ?></td>
									<td align="right">
										<?php 
										if($check_include_costs==true){
											echo $currency." ".setNumberFormat($labor_budgeted_amount); 
										}
										?>
									</td>
									<td align="right">
										<?php 
										if($check_include_costs==true){
											echo $currency." ".setNumberFormat($labor_actual_cost_to_date); 
										}
										?>
									</td>
									
									<td align="right">
										<?php 
										if($check_include_costs==true){
											echo $currency." ".setNumberFormat($non_labor_budgeted_amount);
										} 
										?>
									</td>
									<td align="right">
										<?php 
										if($check_include_costs==true){
											echo $currency." ".setNumberFormat($non_labor_actual_cost_to_date); 
										}
										?>
									</td>
									
									<td align="right">
										<?php 
										if($check_include_costs==true){
											echo $currency." ".setNumberFormat($labor_cost_outlook);
										} 
										?>
									</td>
									<td align="right">
										<?php 
										if($check_include_costs==true){
											echo $currency." ".setNumberFormat($non_labor_cost_outlook); 
										}
										?>
									</td>
									
									<td align="right">
										<?php echo setNumberFormat($sv); ?>
									</td>
									<td align="right">
										<?php 
										if($check_include_costs==true){
											echo $currency." ".setNumberFormat($etc);
										} 
										?>
									</td>
									<td><?php echo $parent_task_name; ?></td>
									<td>
										<?php echo $flag_code; ?> Flag : 
										<?php
										if($flag_code=="Red"){
											echo "Cost/Schedule Overrun";
										}else if($flag_code=="Yellow"){
											echo "Potentail Cost/Schedue Overrun";
										}else if($flag_code=="Green"){
											echo "On Track";
										}
										?>
									</td>
								</tr>
								<?php
								}
								?>
								<tr data-node-id="0.0" data-node-pid="<?php echo $project_id; ?>">
									<td colspan="19"></td>
								</tr>
								<?php if($count!=$StdNumRows){ ?>
								<tr class="table-info tbl3" data-node-id="0.0" data-node-pid="<?php echo $project_id; ?>">
									<th width="150px">Project Id</th>
									<th colspan="9">Project Name</th>
									<th width="50px">Schedule Start Date</th>
									<th width="50px">Schedule End Date</th>
									<th width="50px">Actual Start Date</th>
									<th width="50px">Actual End Date</th>
									<th width="80px">Current Status</th>
									<th width="100px">Labor Cost Outlook</th>	
									<th width="100px">Non Labor Cost Outlook</th>	
									<th width="50px">Schedule Check</th>	
									<th width="50px">ETC</th>
								</tr>
								<?php
								}
							}
						}
					}
				}
				?>
				
				
			</tbody>
		</table>
	</div>
	<?php
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_project_progress_trend_analysis'){
	
	$combo_project_manager_user_ids = array();
	$completion_percentage = 0;
	
	$check_task_level 		= (isset($_POST['check_task_level']) && $_POST['check_task_level']==1)?true:false;
	$check_display_charts 	= (isset($_POST['check_display_charts']) && $_POST['check_display_charts']==1)?true:false;
	$check_include_costs 	= (isset($_POST['check_include_costs']) && $_POST['check_include_costs']==1)?true:false;
	
	$project_id = intval($_POST['combo_project_id']);
	
	$selectQuery 	= "
			SELECT 
				*,
				(SELECT sum(completion_percentage) FROM `cxs_projects_wb_tasks` WHERE cxs_projects_wb_tasks.project_id=cxs_projects.project_id) AS expr_completion_percentage
			FROM 
				`cxs_projects` 
			WHERE 
				project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'
		";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$currency_symbol			= $rows["currency_symbol"];
		$track_progress_by			= htmlentities($rows["track_progress_by"]);
		$text_schedule_start_date	= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
		$text_schedule_end_date		= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
		$text_actual_start_date		= ($rows["actual_start_date"]!="0000-00-00")?setDate($rows["actual_start_date"],"m/d/Y"):"";
		$text_actual_end_date		= ($rows["actual_end_date"]!="0000-00-00")?setDate($rows["actual_end_date"],"m/d/Y"):"";
		$text_total_budgeted_hours 	= htmlentities($rows["total_budgeted_hours"]);
		$combo_currency				= $rows["currency"];
		$radio_track_progress_by	= $rows["track_progress_by"];
		$combo_project_status		= $rows["project_status"];
		
		$text_project_created_by	= getValue("cxs_user","full_name"," WHERE user_email='".$rows["created_by"]."'");
		$text_date_created			= setDate($rows["creation_date"],"m/d/Y h:i A");
		$text_last_updated			= setDate($rows["last_update_date"],"m/d/Y h:i A");
		$text_last_updated_by		= getValue("cxs_user","full_name"," WHERE user_email='".$rows["last_udpated_by"]."'");
		
		$total_completion_percentage	= $rows["expr_completion_percentage"];
		$no_of_tasks = getTotalRecord("cxs_projects_tasks","task_id"," WHERE project_id='".$project_id."'");
		
		if($no_of_tasks>0){
			$completion_percentage = $total_completion_percentage/$no_of_tasks;
		}
		
		if(getTotalRecord("cxs_projects_manager","project_manager_id"," WHERE project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'")>0){
			$selectQuery 	= "
				SELECT 
					u.full_name
				FROM 
					`cxs_projects_manager` pm 
				INNER JOIN
					`cxs_user` u
				ON
					pm.user_id=u.user_id
				WHERE 
					pm.project_id='".$project_id."' AND pm.company_id='".$_SESSION['login_user_array']['company_id']."'
			";
			$RunUserQuery	= mysqli_query($conn, $selectQuery);
			$StdNumRows 	= mysqli_num_rows($RunUserQuery);
			if($StdNumRows>0){
				while($rows=mysqli_fetch_assoc($RunUserQuery)){
					$combo_project_manager_user_ids[] = $rows["full_name"];
				}
			}
		}
		
		/****************/
		$kpi_data_arr_hours = getKPIArray($project_id,0,"hours");
		$kpi_data_arr_labor = getKPIArray($project_id,0,"labor");
		$kpi_data_arr_non_labor = getKPIArray($project_id,0,"non_labor");
		/****************/
		
		?>
		<div class="row">
			<div class="col-md-12">
				<div class="table-responsive">
					<table class="table table-bordered report-table">
						<tr class="fixed-tr-bg">
							<td colspan="4">
								<strong>Project</strong>: <?php echo $text_project_name." (".$text_project_number.") - ".$combo_project_status; ?>
							</td>
						</tr>
						<tr>
							<td colspan="4">
								<strong>Current State</strong>: 
							</td>
						</tr>
						<tr>
							<td colspan="4">
								<strong>Project Manager(s)</strong>: <?php echo implode(",",$combo_project_manager_user_ids); ?>
							</td>
						</tr>
						<tr>
							<td>
								<strong>Schedule Start Date</strong>: <?php echo $text_schedule_start_date; ?>
							</td>
							<td>
								<strong>Schedule End Date</strong>: <?php echo $text_schedule_end_date; ?>
							</td>
							<td>
								<strong>Planned % to Date</strong>: <?php echo setNumberFormat(getPlannedPercentage($project_id),2,".",""); ?>%
							</td>
							<td>
								<strong>Total Budget</strong>: 
								<?php 
								if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0){
									if($check_include_costs==true){
										echo $kpi_data_arr_hours["bac_hr"]." hrs, ".$currency_symbol.setNumberFormat($kpi_data_arr_labor["bac_amt"]); 
									}else{
										echo $kpi_data_arr_hours["bac_hr"]." hrs"; 
									}
									
								}
								?>
							</td>
						</tr>
						<tr>
							<td>
								<strong>Actual Start Date</strong>: <?php echo $text_actual_start_date; ?>
							</td>
							<td>
								<strong>Actual End Date</strong>: <?php echo $text_actual_end_date; ?>
							</td>
							<td>
								<strong>Actual % to Date</strong>: <?php echo setNumberFormat($completion_percentage); ?>%
							</td>
							<td>
								<strong>Total Actual Costs to Date</strong>: 
								<?php 
								if($track_progress_by=="by_effort_and_cost"){
									if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0){
										if($check_include_costs==true){
											echo $currency_symbol.setNumberFormat($kpi_data_arr_labor["actual_cost_amt"]+$kpi_data_arr_non_labor["actual_cost_amt"]); 
										}
									}
								}
								?>
							</td>
						</tr>
						<tr>
							<td>
								<strong>Budget Utilization (Planned)</strong>: 
								<?php 
								if($check_include_costs==true){
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0){
											echo $kpi_data_arr_hours["bac_hr"]." hrs, ".$currency_symbol.setNumberFormat($kpi_data_arr_labor["bac_amt"]); 
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["bac_hr"]." hrs"; 
										}
									}	
								}else{
									if(count($kpi_data_arr_hours)>0){
										echo $kpi_data_arr_hours["bac_hr"]." hrs"; 
									}
								}
								?>
							</td>
							<td>
								<strong>Budget Utilization (Actual)</strong>: 
								<?php 
								if($check_include_costs==true){
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0){
											echo $kpi_data_arr_hours["actual_cost_hr"]." hrs, ".$currency_symbol.setNumberFormat($kpi_data_arr_labor["actual_cost_amt"]+$kpi_data_arr_non_labor["actual_cost_amt"]);
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["actual_cost_hr"]." hrs";
										}
									}
								}else{
									if(count($kpi_data_arr_hours)>0){
										echo $kpi_data_arr_hours["actual_cost_hr"]." hrs";
									}
								}
								?>
							</td>
							<td>
								<strong>Estimate to Complete</strong>: 
								<?php 
								if($check_include_costs==true){
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0){
											echo $currency_symbol.setNumberFormat($kpi_data_arr_labor["etc_amt"]); 
										}
									}
								}
								?>
							</td>
							<td>
								<strong>Estimate at Completion</strong>: 
								<?php 
								if($check_include_costs==true){
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0){
											echo $currency_symbol.setNumberFormat($kpi_data_arr_labor["eac_amt"]); 
										}
									}
								}
								?>
							</td>
						</tr>
						<tr>
							<td>
								<strong>Last Update on this Project</strong>: <?php echo $text_last_updated; ?>
							</td>
							<td>
								<strong>Date this Project was Created</strong>: <?php echo $text_date_created; ?>
							</td>
							<td>
								<strong>Last Updated By</strong>: <?php echo $text_last_updated_by; ?>
							</td>
							<td>
								<strong>Created By</strong>: <?php echo $text_project_created_by; ?>
							</td>
						</tr>
					</table>
				</div>
			</div>
		</div>
		<div class="row mt-3">
			<div class="col-md-12">
				<div id="chart_project"></div>
			</div>
		</div>
		
		<?php
		$task_ids = array();
		if($check_task_level==true){
			$selectQuery 	= "
				SELECT 
					*
				FROM 
					`cxs_projects_tasks` 
				WHERE 
					project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
				ORDER BY 
					task_id
				";		
			$RunUserQuery	= mysqli_query($conn, $selectQuery);
			$StdNumRows 	= mysqli_num_rows($RunUserQuery);
			if($StdNumRows>0){
				$count=0;
				?>
				<div class="row mt-5">
					<div class="col-md-12">
						<h4 class="card-title">Task Details</h4>
					</div>
				</div>
				<?php
				while($rows=mysqli_fetch_assoc($RunUserQuery)){
					$count++;
					$task_id					= $rows["task_id"];
					$task_ids[] = $task_id;
					$text_task_number			= htmlentities($rows["task_number"]);
					$text_task_name				= htmlentities($rows["task_name"]);
					$text_task_description		= htmlentities($rows["task_description"]);
					$combo_task_status			= htmlentities($rows["task_status"]);
					$text_budgeted_hours		= htmlentities($rows["budgeted_hours"]);
					$text_task_schedule_start_date	= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
					$text_task_schedule_end_date	= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
					$text_task_actual_start_date	= ($rows["actual_start_date"]!="0000-00-00")?setDate($rows["actual_start_date"],"m/d/Y"):"";
					$text_task_actual_end_date		= ($rows["actual_end_date"]!="0000-00-00")?setDate($rows["actual_end_date"],"m/d/Y"):"";
					
					$task_completion_per = 0;
					if(getTotalRecord("cxs_projects_wb_tasks","completion_percentage"," WHERE task_id='".$task_id."'")){
						$task_completion_per = getvalue("cxs_projects_wb_tasks","completion_percentage"," WHERE task_id='".$task_id."'");
					}
					$task_created_by	= getValue("cxs_user","full_name"," WHERE user_email='".$rows["created_by"]."'");
					$task_date_created			= setDate($rows["creation_date"],"m/d/Y h:i A");
					$task_last_updated			= setDate($rows["last_update_date"],"m/d/Y h:i A");
					$task_last_updated_by		= getValue("cxs_user","full_name"," WHERE user_email='".$rows["last_udpated_by"]."'");
					
					/****************/
					$kpi_data_arr_hours = getKPIArray($project_id,$task_id,"hours");
					$kpi_data_arr_labor = getKPIArray($project_id,$task_id,"labor");
					$kpi_data_arr_non_labor = getKPIArray($project_id,$task_id,"non_labor");
					/****************/
				?>
				<div class="row <?php if($count>1){?> mt-5 <?php } ?>">
					<div class="col-md-5">
						<div class="table-responsive">
							<table class="table table-bordered report-table">
								<tr class="fixed-tr-bg">
									<td>
										<strong>Task</strong>:
									</td>
									<td>
										<?php echo $text_task_number." : ".$text_task_name." - ".$combo_task_status; ?>
										<input type="hidden" id="task_<?php echo $task_id; ?>" value="<?php echo $text_task_number." : ".$text_task_name; ?>" />
									</td>
								</tr>
								<tr>
									<td>
										<strong>Schedule Start/End Date:</strong>
									</td>
									<td><?php echo $text_task_schedule_start_date." - ".$text_task_schedule_end_date; ?></td>
								</tr>
								<tr>
									<td>
										<strong>Actual Start/End Date:</strong>
									</td>
									<td><?php echo $text_task_actual_start_date." - ".$text_task_actual_end_date; ?></td>
								</tr>
								<tr>
									<td>
										<strong>Planned % to date:</strong>
									</td>
									<td><?php echo setNumberFormat(getPlannedPercentage($project_id,$task_id),2,".",""); ?>%</td>
								</tr>
								<tr>
									<td>
										<strong>Actual % to date:</strong>
									</td>
									<td><?php echo setNumberFormat($task_completion_per); ?>%</td>
								</tr>
								<tr>
									<td>
										<strong>Total Budget:</strong>
									</td>
									<td>
										<?php 
										if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0){
											if($check_include_costs==true){
												echo $kpi_data_arr_hours["bac_hr"]." hrs, ".$currency_symbol.setNumberFormat($kpi_data_arr_labor["bac_amt"]);
											}else{
												echo $kpi_data_arr_hours["bac_hr"]." hrs";
											}
										} 
										?>
									</td>
								</tr>
								<tr>
									<td>
										<strong>Budget Utilization (Planned):</strong>
									</td>
									<td>
										<?php 
										if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0){
											if($check_include_costs==true){
												echo $kpi_data_arr_hours["bac_hr"]." hrs, ".$currency_symbol.setNumberFormat($kpi_data_arr_labor["bac_amt"]);
											}else{
												echo $kpi_data_arr_hours["bac_hr"]." hrs";
											} 
										}
										?>
									</td>
								</tr>
								<tr>
									<td>
										<strong>Budget Utilization (Actual):</strong>
									</td>
									<td>
										<?php 
										if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0){
											if($check_include_costs==true){
												echo $kpi_data_arr_hours["actual_cost_hr"]." hrs, ".$currency_symbol.setNumberFormat($kpi_data_arr_labor["actual_cost_amt"]+$kpi_data_arr_non_labor["actual_cost_amt"]); 
											}else{
												echo $kpi_data_arr_hours["actual_cost_hr"]." hrs"; 
											}
										}
										?>
									</td>
								</tr>
								<tr>
									<td>
										<strong>Total Actual Costs to Date:</strong>
									</td>
									<td>
										<?php
										if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0){ 
											if($check_include_costs==true){
												echo $currency_symbol.setNumberFormat($kpi_data_arr_labor["actual_cost_amt"]+$kpi_data_arr_labor["actual_cost_amt"]);
											}
										}
										?>
									</td>
								</tr>
								<tr>
									<td>
										<strong>ETC:</strong>
									</td>
									<td>
										<?php 
										if(count($kpi_data_arr_labor)>0){
											if($check_include_costs==true){
												echo $currency_symbol.setNumberFormat($kpi_data_arr_labor["etc_amt"]); 
											}
										}
										?>
									</td>
								</tr>
								<tr>
									<td>
										<strong>EAC:</strong>
									</td>
									<td>
									<?php 
									if(count($kpi_data_arr_labor)>0){
										if($check_include_costs==true){
											echo $currency_symbol.setNumberFormat($kpi_data_arr_labor["eac_amt"]); 
										}
									}
									?>
									</td>
								</tr>
								<tr>
									<td>
										<strong>Last Update Date:</strong>
									</td>
									<td><?php echo $task_last_updated; ?></td>
								</tr>
								<tr>
									<td>
										<strong>Creation Date:</strong>
									</td>
									<td><?php echo $task_date_created; ?></td>
								</tr>
								<tr>
									<td>
										<strong>Last Updated By:</strong>
									</td>
									<td><?php echo $task_last_updated_by; ?></td>
								</tr>
								<tr>
									<td>
										<strong>Created By:</strong>
									</td>
									<td><?php echo $task_created_by; ?></td>
								</tr>
							</table>
						</div>
					</div>
					<div class="col-md-7">
						<div id="chart_task_<?php echo $task_id; ?>"></div>
					</div>
				</div>
				<?php
				}
				
				?>
				<input type="hidden" id="chart_task_ids" name="chart_task_ids" value="<?php echo implode(",",$task_ids); ?>" />
				<?php
			}
		}
	}
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_progress_trend_analysis_project_chart_data'){
	
	
	$succ = 0;
	
	$planned_value_amt_labor_arr 	= array();
	$earned_value_amt_labor_arr 	= array();
	$actual_cost_amt_labor_arr 		= array();
	$etc_amt_labor_arr 				= array();
	$eac_amt_labor_arr 				= array();
	$bac_amt_labor_arr				= array();
	
	$planned_value_amt_non_labor_arr= array();
	$actual_cost_amt_non_labor_arr 	= array();
	$earned_value_amt_non_labor_arr = array();
	$etc_amt_non_labor_arr 			= array();
	$eac_amt_non_labor_arr 			= array();
	$bac_amt_non_labor_arr			= array();
	
	$planned_value_hr_hours_arr	= array();
	$actual_cost_hr_hours_arr 	= array();
	$earned_value_hr_hours_arr 	= array();
	$etc_hr_hours_arr 			= array();
	$eac_hr_hours_arr 			= array();
	$bac_hr_hours_arr			= array();
	
	$pv_arr = array();
	$ev_arr = array();
	$ac_arr = array();
	$etc_arr = array();
	$eac_arr = array();
	$bac_arr = array();
	
	$project_id = intval($_POST['project_id']);

	$track_progress_by		= getvalue("cxs_projects","track_progress_by"," WHERE project_id='".$project_id."'");
	
	$selectQuery 	= "
				SELECT id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM
				(
					(
						SELECT history_kpi_id AS id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM `cxs_projects_kpi_history` where project_id='".$project_id."' AND task_id=0
					)
					UNION ALL
					(
						SELECT 999999999999999 AS id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM `cxs_projects_kpis` where project_id='".$project_id."' AND task_id=0
					)
				) AS a ORDER BY actual_cost_hr ASC, id ASC
				";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$cnt=0;
	if($StdNumRows>0){
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			
			if($rows["cost_element"]=="labor"){
				$cnt++;
				$planned_value_amt_labor_arr[] 	= setNumberFormat($rows["planned_value_amt"],2,".","");
				$earned_value_amt_labor_arr[] 	= setNumberFormat($rows["earned_value_amt"],2,".","");
				$etc_amt_labor_arr[] 			= setNumberFormat($rows["etc_amt"],2,".","");
				$eac_amt_labor_arr[] 			= setNumberFormat($rows["eac_amt"],2,".","");
				$bac_amt_labor_arr[] 			= setNumberFormat($rows["bac_amt"],2,".","");
				$actual_cost_amt_labor_arr[] 	= setNumberFormat($rows["actual_cost_amt"],2,".","");
			}else if($rows["cost_element"]=="non_labor"){
				$planned_value_amt_non_labor_arr[] 	= setNumberFormat($rows["planned_value_amt"],2,".","");
				$earned_value_amt_non_labor_arr[] 	= setNumberFormat($rows["earned_value_amt"],2,".","");
				$etc_amt_non_labor_arr[] 			= setNumberFormat($rows["etc_amt"],2,".","");
				$eac_amt_non_labor_arr[] 			= setNumberFormat($rows["eac_amt"],2,".","");
				$bac_amt_non_labor_arr[]			= setNumberFormat($rows["bac_amt"],2,".","");
				$actual_cost_amt_non_labor_arr[] 	= setNumberFormat($rows["actual_cost_amt"],2,".","");
			}else if($rows["cost_element"]=="hours"){
				if($track_progress_by=="by_effort"){
					$cnt++;
				}
				$planned_value_hr_hours_arr[] 	= setNumberFormat($rows["planned_value_hr"],2,".","");
				$earned_value_hr_hours_arr[] 	= setNumberFormat($rows["earned_value_hr"],2,".","");
				$etc_hr_hours_arr[] 			= setNumberFormat($rows["etc_hr"],2,".","");
				$eac_hr_hours_arr[] 			= setNumberFormat($rows["eac_hr"],2,".","");
				$bac_hr_hours_arr[]				= setNumberFormat($rows["bac_hr"],2,".","");
				$actual_cost_hr_hours_arr[] 	= setNumberFormat($rows["actual_cost_hr"],2,".","");
			}
		}
		//echo count($planned_value_amt_labor_arr)."==".count($planned_value_amt_non_labor_arr);die;
		if($track_progress_by=="by_effort_and_cost"){
			if(count($planned_value_amt_labor_arr)>0 && count($planned_value_amt_non_labor_arr)>0){
				for($i=0;$i<$cnt;$i++){
					if(isset($planned_value_amt_labor_arr) && isset($earned_value_amt_labor_arr) && isset($actual_cost_amt_labor_arr)
						&& isset($planned_value_amt_non_labor_arr) && isset($earned_value_amt_non_labor_arr) && isset($actual_cost_amt_non_labor_arr)
						){
						$pv_arr[] 	= floatval($planned_value_amt_labor_arr[$i])+floatval($planned_value_amt_non_labor_arr[$i]);
						$ev_arr[] 	= floatval($earned_value_amt_labor_arr[$i])+floatval($earned_value_amt_non_labor_arr[$i]);
						$ac_arr[] 	= floatval($actual_cost_amt_labor_arr[$i])+floatval($actual_cost_amt_non_labor_arr[$i]);
						$etc_arr[] 	= floatval($etc_amt_labor_arr[$i])+floatval($etc_amt_non_labor_arr[$i]);
						$eac_arr[] 	= floatval($eac_amt_labor_arr[$i])+floatval($eac_amt_non_labor_arr[$i]);
						$bac_arr[] 	= floatval($bac_amt_labor_arr[$i])+floatval($bac_amt_non_labor_arr[$i]);
					}
				}
			}
		}else{
			if(count($planned_value_hr_hours_arr)>0){
				for($i=0;$i<$cnt;$i++){
					if(
						isset($planned_value_hr_hours_arr) && 
						isset($earned_value_hr_hours_arr) && 
						isset($actual_cost_hr_hours_arr)
					){
						$pv_arr[] 	= floatval($planned_value_hr_hours_arr[$i]);
						$ev_arr[] 	= floatval($earned_value_hr_hours_arr[$i]);
						$ac_arr[] 	= floatval($actual_cost_hr_hours_arr[$i]);
						$etc_arr[] 	= floatval($etc_hr_hours_arr[$i]);
						$eac_arr[] 	= floatval($eac_hr_hours_arr[$i]);
						$bac_arr[] 	= floatval($bac_hr_hours_arr[$i]);
					}
				}
			}
		}
		
		$succ = 1;
	}
	echo json_encode(
				array("succ" => $succ,
				"data_arr"=>
				array(
						array("name"=>"PV","data"=>$pv_arr),
						array("name"=>"EV","data"=>$ev_arr),
						array("name"=>"ETC","data"=>$etc_arr),
						array("name"=>"EAC","data"=>$eac_arr),
						array("name"=>"BAC","data"=>$bac_arr),
						array("name"=>"AC","data"=>$ac_arr),
					)
				)
		);
	//echo $selectQuery;
	exit;
	
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_progress_trend_analysis_task_chart_data'){
	
	
	$succ = 0;
	
	$planned_value_amt_labor_arr 	= array();
	$earned_value_amt_labor_arr 	= array();
	$actual_cost_amt_labor_arr 		= array();
	$etc_amt_labor_arr 				= array();
	$eac_amt_labor_arr 				= array();
	$bac_amt_labor_arr				= array();
	
	$planned_value_amt_non_labor_arr= array();
	$actual_cost_amt_non_labor_arr 	= array();
	$earned_value_amt_non_labor_arr = array();
	$etc_amt_non_labor_arr 			= array();
	$eac_amt_non_labor_arr 			= array();
	$bac_amt_non_labor_arr			= array();

	$planned_value_hr_hours_arr	= array();
	$actual_cost_hr_hours_arr 	= array();
	$earned_value_hr_hours_arr 	= array();
	$etc_hr_hours_arr 			= array();
	$eac_hr_hours_arr 			= array();
	$bac_hr_hours_arr			= array();
	
	$pv_arr = array();
	$ev_arr = array();
	$ac_arr = array();
	$etc_arr = array();
	$eac_arr = array();
	$bac_arr = array();
	
	$project_id = intval($_POST['project_id']);
	$task_id = intval($_POST['task_id']);

	$track_progress_by		= getvalue("cxs_projects","track_progress_by"," WHERE project_id='".$project_id."'");
	
	$selectQuery 	= "
				SELECT id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM
				(
					(
						SELECT history_kpi_id AS id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM `cxs_projects_kpi_history` where project_id='".$project_id."' AND task_id='".$task_id."'
					)
					UNION ALL
					(
						SELECT 999999999999999 AS id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM `cxs_projects_kpis` where project_id='".$project_id."' AND task_id='".$task_id."'
					)
				) AS a ORDER BY actual_cost_hr ASC, id ASC
				";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$cnt=0;
	if($StdNumRows>0){
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			
			if($rows["cost_element"]=="labor"){
				$cnt++;
				$planned_value_amt_labor_arr[] 	= setNumberFormat($rows["planned_value_amt"],2,".","");
				$earned_value_amt_labor_arr[] 	= setNumberFormat($rows["earned_value_amt"],2,".","");
				$etc_amt_labor_arr[] 			= setNumberFormat($rows["etc_amt"],2,".","");
				$eac_amt_labor_arr[] 			= setNumberFormat($rows["eac_amt"],2,".","");
				$bac_amt_labor_arr[] 			= setNumberFormat($rows["bac_amt"],2,".","");
				$actual_cost_amt_labor_arr[] 	= setNumberFormat($rows["actual_cost_amt"],2,".","");
			}else if($rows["cost_element"]=="non_labor"){
				$planned_value_amt_non_labor_arr[] 	= setNumberFormat($rows["planned_value_amt"],2,".","");
				$earned_value_amt_non_labor_arr[] 	= setNumberFormat($rows["earned_value_amt"],2,".","");
				$etc_amt_non_labor_arr[]			= setNumberFormat($rows["etc_amt"],2,".","");
				$eac_amt_non_labor_arr[] 			= setNumberFormat($rows["eac_amt"],2,".","");
				$bac_amt_non_labor_arr[]			= setNumberFormat($rows["bac_amt"],2,".","");
				$actual_cost_amt_non_labor_arr[] 	= setNumberFormat($rows["actual_cost_amt"],2,".","");
				
			}else if($rows["cost_element"]=="hours"){
				if($track_progress_by=="by_effort"){
					$cnt++;
				}
				$planned_value_hr_hours_arr[] 	= setNumberFormat($rows["planned_value_hr"],2,".","");
				$earned_value_hr_hours_arr[] 	= setNumberFormat($rows["earned_value_hr"],2,".","");
				$etc_hr_hours_arr[] 			= setNumberFormat($rows["etc_hr"],2,".","");
				$eac_hr_hours_arr[] 			= setNumberFormat($rows["eac_hr"],2,".","");
				$bac_hr_hours_arr[]				= setNumberFormat($rows["bac_hr"],2,".","");
				$actual_cost_hr_hours_arr[] 	= setNumberFormat($rows["actual_cost_hr"],2,".","");
			}
		}
		//echo count($planned_value_amt_labor_arr)."==".count($planned_value_amt_non_labor_arr);die;
		if($track_progress_by=="by_effort_and_cost"){
			if(count($planned_value_amt_labor_arr)>0 && count($planned_value_amt_non_labor_arr)>0){
				for($i=0;$i<$cnt;$i++){
					if(isset($planned_value_amt_labor_arr) && isset($earned_value_amt_labor_arr) && isset($actual_cost_amt_labor_arr)
						&& isset($planned_value_amt_non_labor_arr) && isset($earned_value_amt_non_labor_arr) && isset($actual_cost_amt_non_labor_arr)
						){
						$pv_arr[] 	= floatval($planned_value_amt_labor_arr[$i])+floatval($planned_value_amt_non_labor_arr[$i]);
						$ev_arr[] 	= floatval($earned_value_amt_labor_arr[$i])+floatval($earned_value_amt_non_labor_arr[$i]);
						$ac_arr[] 	= floatval($actual_cost_amt_labor_arr[$i])+floatval($actual_cost_amt_non_labor_arr[$i]);
						$etc_arr[] 	= floatval($etc_amt_labor_arr[$i])+floatval($etc_amt_non_labor_arr[$i]);
						$eac_arr[] 	= floatval($eac_amt_labor_arr[$i])+floatval($eac_amt_non_labor_arr[$i]);
						$bac_arr[] 	= floatval($bac_amt_labor_arr[$i])+floatval($bac_amt_non_labor_arr[$i]);
					}
				}
			}
		}else{
			if(count($planned_value_hr_hours_arr)>0){
				for($i=0;$i<$cnt;$i++){
					if(
						isset($planned_value_hr_hours_arr) && 
						isset($earned_value_hr_hours_arr) && 
						isset($actual_cost_hr_hours_arr)
					){
						$pv_arr[] 	= floatval($planned_value_hr_hours_arr[$i]);
						$ev_arr[] 	= floatval($earned_value_hr_hours_arr[$i]);
						$ac_arr[] 	= floatval($actual_cost_hr_hours_arr[$i]);
						$etc_arr[] 	= floatval($etc_hr_hours_arr[$i]);
						$eac_arr[] 	= floatval($eac_hr_hours_arr[$i]);
						$bac_arr[] 	= floatval($bac_hr_hours_arr[$i]);
					}
				}
			}
		}
		$succ = 1;
	}
	echo json_encode(
				array("succ" => $succ,
				"data_arr"=>
				array(
						array("name"=>"PV","data"=>$pv_arr),
						array("name"=>"EV","data"=>$ev_arr),
						array("name"=>"ETC","data"=>$etc_arr),
						array("name"=>"EAC","data"=>$eac_arr),
						array("name"=>"BAC","data"=>$bac_arr),
						array("name"=>"AC","data"=>$ac_arr),
					)
				)
		);
	//echo $selectQuery;
	exit;
	
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_project_task_status_report_by_task_owner'){
	
	$combo_project_manager_user_ids = array();
	
	$project_id = intval($_POST['combo_project_id']);
	
	//$currency_symbol = getvalue("cxs_projects","currency_symbol"," WHERE project_id='".$project_id."'");
	
	if(getTotalRecord("cxs_projects_manager","project_manager_id"," WHERE project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'")>0){
		$selectQuery 	= "
			SELECT 
				u.full_name
			FROM 
				`cxs_projects_manager` pm 
			INNER JOIN
				`cxs_user` u
			ON
				pm.user_id=u.user_id
			WHERE 
				pm.project_id='".$project_id."' AND pm.company_id='".$_SESSION['login_user_array']['company_id']."'
		";
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
				$combo_project_manager_user_ids[] = $rows["full_name"];
			}
		}
	}
	
	$selectQuery 	= "
		SELECT 
			*
		FROM 
			`cxs_projects_tasks` 
		WHERE 
			project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
		ORDER BY 
			task_id
		";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			$task_id					= $rows["task_id"];
			$text_task_number			= htmlentities($rows["task_number"]);
			$text_task_name				= htmlentities($rows["task_name"]);
			$text_task_description		= htmlentities($rows["task_description"]);
			$combo_task_status			= htmlentities($rows["task_status"]);
			$text_budgeted_hours		= htmlentities($rows["budgeted_hours"]);
			$text_task_schedule_start_date	= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
			$text_task_schedule_end_date	= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
			$text_task_actual_start_date	= ($rows["actual_start_date"]!="0000-00-00")?setDate($rows["actual_start_date"],"m/d/Y"):"";
			$text_task_actual_end_date		= ($rows["actual_end_date"]!="0000-00-00")?setDate($rows["actual_end_date"],"m/d/Y"):"";
			
			$task_completion_per = 0;
			if(getTotalRecord("cxs_projects_wb_tasks","completion_percentage"," WHERE task_id='".$task_id."'")){
				$task_completion_per = getvalue("cxs_projects_wb_tasks","completion_percentage"," WHERE task_id='".$task_id."'");
			}
			
		?>
		<div class="row mt-5">
			<div class="col-md-12">
				<div class="table-responsive">
					<table class="table table-bordered report-table">
						<tr class="fixed-tr-bg">
							<td colspan="4">
								<strong>Task</strong>: <?php echo $text_task_number.":".$text_task_name." - ".$combo_task_status; ?>
							</td>
						</tr>
						<tr>
							<td width="36%">
								<strong>Project Manager(s)</strong>: <?php echo implode(",",$combo_project_manager_user_ids); ?>
							</td>
							<td width="30%">
								<strong>Schedule Start/End Date</strong>: <?php echo $text_task_schedule_start_date." - ".$text_task_schedule_end_date; ?>
							</td>
							<td width="17%">
								<strong>Planned % to date</strong>: <?php echo setNumberFormat(getPlannedPercentage($project_id,$task_id),2,".",""); ?>%
							</td>
							<td width="17%">
								<strong>Actual % to date</strong>: <?php echo setNumberFormat($task_completion_per); ?>%
							</td>
						</tr>
						
					</table>
				</div>
			</div>
		</div>
		
		<div class="row mt-2">
			<div class="col-md-12">
				<div class="table-responsive">
					<table class="table table-bordered tbl2">
						<thead>
							<tr class="table-info">
								<th>Team</th>
								<th>Team Member</th>
								<th>Actual Start Date</th>
								<th>Actual End Date</th>
								<th>% Planned Completion To Date</th>
								<th>% Actual Completion To Date</th>
							</tr>
						</thead>
						<tbody>
						<?php
						$qry 	= "
							SELECT 
								ta.assignment_id, ta.member_id, ta.comment, ta.hours,
								th.team_name, 
								u.full_name, u.image_name, 
								r.name AS role_name
							FROM 
								`cxs_projects_task_assignment` ta
							INNER JOIN
								`cxs_projects_team_header` th
							ON
								th.team_id = ta.team_id
							INNER JOIN
								`cxs_role` r
							ON
								r.id = ta.role_id
							INNER JOIN
								`cxs_projects_team_members` tm
							ON
								tm.assignement_id = ta.member_id
							INNER JOIN
								`cxs_user` u
							ON
								u.user_id = tm.member_userid
							WHERE
								ta.task_id='".$task_id."' AND ta.project_id='".$project_id."' AND ta.company_id='".$_SESSION['login_user_array']['company_id']."'
						";
						$res = mysqli_query($conn, $qry);
						if(mysqli_num_rows($res)>0){
							while($rows1=mysqli_fetch_assoc($res)){
								$member_id	= $rows1["member_id"];
								$team_name 	= htmlentities($rows1["team_name"]);
								$full_name 	= htmlentities($rows1["full_name"]);
								$image_name = htmlentities($rows1["image_name"]);
								if($image_name!="" && file_exists("img/uploads/user_images/".$image_name)){
									$user_img_url = SITEURL."img/uploads/user_images/".$image_name;
								}else{
									$user_img_url = SITEURL."images/faces/default_face.png";
								}
								$role_name 	= htmlentities($rows1["role_name"]);
								$team_name 	= htmlentities($rows1["team_name"]);
								
								?>
									<tr>
										<td><?php echo $team_name; ?></td>
										<td>
											<div class="d-flex">
												<img class="img-sm rounded-circle mr-2 " src="<?php echo $user_img_url; ?>" alt="">
												<label class="mt-2"><?php echo $full_name; ?></label>
											</div>
										</td>
										<td><?php echo $text_task_actual_start_date; ?></td>
										<td><?php echo $text_task_actual_end_date; ?></td>
										<td><?php echo setNumberFormat(getPlannedPercentage($project_id,$task_id),2,".",""); ?>%</td>
										<td><?php echo setNumberFormat($task_completion_per); ?>%</td>
									</tr>
								<?php
							}
						}
						?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		
		<?php
		}
	}
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_requirement_to_task_status'){
	
	$group_by	= $_POST['combo_group_by'];
	$project_id = intval($_POST['combo_project_id']);
	
	if($group_by=="Requirements"){
	
		$selectQuery 	= "
				SELECT 
					pr.*, fa.name as functional_area_name, b.name as business_value_name, rt.name as requirement_type_name
				FROM 
					`cxs_projects_requirements_header` pr
				LEFT JOIN
					`cxs_functional_area` fa
				ON
					pr.functional_area_id=fa.id
				LEFT JOIN
					`cxs_business_value` b
				ON
					pr.business_value_id=b.id
				LEFT JOIN
					`cxs_requirement_type` rt
				ON
					pr.req_type_id=rt.id
				WHERE 
					pr.project_id='".$project_id."' AND pr.company_id='".$_SESSION['login_user_array']['company_id']."' 
				ORDER BY 
					pr.req_number
		";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
				$req_id				= $rows["req_id"];
				$text_req_number			= htmlentities($rows["req_number"]);
				$text_statement				= htmlentities($rows["statement"]);
				$text_severity				= htmlentities($rows["severity"]);
				$text_functional_area_name	= htmlentities($rows["functional_area_name"]);
				$text_business_value_name	= htmlentities($rows["business_value_name"]);
				$text_requirement_type_name	= htmlentities($rows["requirement_type_name"]);
				
				$required_approvers = array();
				
				$query = "
					SELECT 
						 CONCAT(s.salutation,' ',s.first_name,' ',s.last_name) AS member_name
					FROM
						`cxs_projects_requirements_approvers` ra
					INNER JOIN
						`cxs_projects_stakeholders` s
					ON
						ra.member_id=s.member_id
					WHERE
						ra.req_id='".$req_id."'
				";
				$result = mysqli_query($conn, $query);
				if(mysqli_num_rows($result)){
					while($data	= mysqli_fetch_assoc($result)){
						$required_approvers[] = $data["member_name"];
					}
				}
			?>
			<div class="row mt-5">
				<div class="col-md-12">
					<div class="table-responsive">
						<table class="table table-bordered report-table">
							<tr class="fixed-tr-bg">
								<td>
									<strong>Requirement ID</strong>: <?php echo $text_req_number; ?>
								</td>
								<td colspan="2">
									<strong>Requirement Statement</strong>: <?php echo $text_statement; ?> - Status?????
								</td>
								<td><strong>Required Approvers</strong>: <?php echo implode(", ",$required_approvers); ?></td>
							</tr>
							<tr>
								<td width="20%">
									<strong>Severity</strong>: <?php echo $text_severity; ?>
								</td>
								<td width="30%">
									<strong>Type</strong>: <?php echo $text_requirement_type_name; ?>
								</td>
								<td width="20%">
									<strong>Business Value</strong>: <?php echo $text_business_value_name; ?>
								</td>
								<td width="30%">
									<strong>Functional Area</strong>: <?php echo $text_functional_area_name; ?>
								</td>
							</tr>
							
						</table>
					</div>
				</div>
			</div>
			
			<div class="row mt-2">
				<div class="col-md-12">
					<div class="table-responsive">
						<table class="table table-bordered tbl2">
							<thead>
								<tr class="table-info">
									<th>Task</th>
									<th>Date Last Updated</th>
									<th>Schedule Start Date</th>
									<th>Schedule End Date</th>
									<th>Actual Start Date</th>
									<th>Actual End Date</th>
									<th>% Planned Completion To Date</th>
									<th>% Actual Completion To Date</th>
								</tr>
							</thead>
							<tbody>
							<?php
							$qry 	= "
								SELECT 
									t.*
								FROM 
									`cxs_projects_tasks` t
								INNER JOIN
									`cxs_projects_tasks_requirement_items` tr
								ON
									t.task_id=tr.task_id
								WHERE 
									t.project_id='".$project_id."' AND tr.req_id='".$req_id."' AND t.company_id='".$_SESSION['login_user_array']['company_id']."' 
								ORDER BY 
									t.task_id
							";
							$res = mysqli_query($conn, $qry);
							if(mysqli_num_rows($res)>0){
								while($rows1=mysqli_fetch_assoc($res)){
									$task_id					= $rows1["task_id"];
									$text_task_number			= htmlentities($rows1["task_number"]);
									$text_task_name				= htmlentities($rows1["task_name"]);
									$text_task_description		= htmlentities($rows1["task_description"]);
									$combo_task_status			= htmlentities($rows1["task_status"]);
									$text_budgeted_hours		= htmlentities($rows1["budgeted_hours"]);
									$text_task_schedule_start_date	= ($rows1["schedule_start_date"]!="0000-00-00")?setDate($rows1["schedule_start_date"],"m/d/Y"):"";
									$text_task_schedule_end_date	= ($rows1["schedule_end_date"]!="0000-00-00")?setDate($rows1["schedule_end_date"],"m/d/Y"):"";
									$text_task_actual_start_date	= ($rows1["actual_start_date"]!="0000-00-00")?setDate($rows1["actual_start_date"],"m/d/Y"):"";
									$text_task_actual_end_date		= ($rows1["actual_end_date"]!="0000-00-00")?setDate($rows1["actual_end_date"],"m/d/Y"):"";
									$last_update_date		= setDate($rows1["last_update_date"],"m/d/Y");
									$task_completion_per = 0;
									if(getTotalRecord("cxs_projects_wb_tasks","completion_percentage"," WHERE task_id='".$task_id."'")){
										$task_completion_per = getvalue("cxs_projects_wb_tasks","completion_percentage"," WHERE task_id='".$task_id."'");
									}
									?>
										<tr>
											<td>
												<span class="td-cell-space"><?php echo $text_task_number.":".$text_task_name; ?></span>
											</td>
											<td>
												<?php echo $last_update_date; ?>
											</td>
											<td>
												<?php echo $text_task_schedule_start_date; ?>
											</td>
											<td>
												<?php echo $text_task_schedule_end_date; ?>
											</td>
											<td>
												<?php echo $text_task_actual_start_date; ?>
											</td>
											<td>
												<?php echo $text_task_actual_end_date; ?>
											</td>
											<td><?php echo setNumberFormat(getPlannedPercentage($project_id,$task_id),2,".",""); ?>%</td>
											<td><?php echo setNumberFormat($task_completion_per); ?>%</td>
										</tr>
									<?php
								}
							}else{
							?>
							<tr><td colspan="8"><span class="td-cell-space">No record found.</span></td></tr>
							<?php
							}
							?>
							</tbody>
						</table>
					</div>
				</div>
			</div>
			<?php
			}
		}
	}else if($group_by=="Task"){
		$selectQuery 	= "
		SELECT 
			*
		FROM 
			`cxs_projects_tasks` 
		WHERE 
			project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
		ORDER BY 
			task_id
		";		
		$RunUserQuery	= mysqli_query($conn, $selectQuery);
		$StdNumRows 	= mysqli_num_rows($RunUserQuery);
		if($StdNumRows>0){
			while($rows=mysqli_fetch_assoc($RunUserQuery)){
				$task_id					= $rows["task_id"];
				$text_task_number			= htmlentities($rows["task_number"]);
				$text_task_name				= htmlentities($rows["task_name"]);
				$text_task_description		= htmlentities($rows["task_description"]);
				$combo_task_status			= htmlentities($rows["task_status"]);
				$text_budgeted_hours		= htmlentities($rows["budgeted_hours"]);
				$text_task_schedule_start_date	= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
				$text_task_schedule_end_date	= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
				$text_task_actual_start_date	= ($rows["actual_start_date"]!="0000-00-00")?setDate($rows["actual_start_date"],"m/d/Y"):"";
				$text_task_actual_end_date		= ($rows["actual_end_date"]!="0000-00-00")?setDate($rows["actual_end_date"],"m/d/Y"):"";
				
				$last_update_date				= setDate($rows["last_update_date"],"m/d/Y");
				$last_updated_by				= getvalue("cxs_user","full_name"," WHERE user_email='".$rows['last_udpated_by']."'");
				
				$task_completion_per = 0;
				if(getTotalRecord("cxs_projects_wb_tasks","completion_percentage"," WHERE task_id='".$task_id."'")){
					$task_completion_per = getvalue("cxs_projects_wb_tasks","completion_percentage"," WHERE task_id='".$task_id."'");
				}
				
				$assigned_team = array();
				
				$selectQuery1 	= "
					SELECT 
						tm.team_name
					FROM 
						`cxs_projects_task_assignment` ta 
					INNER JOIN
						`cxs_projects_team_header` tm
					ON
						ta.team_id=tm.team_id
					WHERE 
						ta.project_id='".$project_id."' AND ta.task_id='".$task_id."' AND ta.company_id='".$_SESSION['login_user_array']['company_id']."'
					GROUP BY
						ta.team_id
				";
				$RunUserQuery1	= mysqli_query($conn, $selectQuery1);
				$StdNumRows1 	= mysqli_num_rows($RunUserQuery1);
				if($StdNumRows1>0){
					while($rows1=mysqli_fetch_assoc($RunUserQuery1)){
						$assigned_team[] = $rows1["team_name"];
					}
				}
				
				?>
				<div class="row mt-5">
					<div class="col-md-12">
						<div class="table-responsive">
							<table class="table table-bordered report-table">
								<tr class="fixed-tr-bg">
									<td><strong>Task ID</strong>: <?php echo $text_task_number; ?></td>
									<td><strong>Task Name</strong>: <?php echo $text_task_name; ?></td>
									<td><strong>Status</strong>: <?php echo $combo_task_status; ?></td>
									<td><strong>Assigned Team</strong>: <?php echo implode(",",$assigned_team); ?></td>
								</tr>
								<tr>
									<td>
										<strong>Schedule Start/End Date</strong>: <?php echo $text_task_schedule_start_date." - ".$text_task_schedule_end_date; ?>
									</td>
									<td>
										<strong>Actual Start/End Date</strong>: <?php echo $text_task_actual_start_date." - ".$text_task_actual_end_date; ?>
									</td>
									<td>
										<strong>Last Update Date</strong>: <?php echo $last_update_date; ?>
									</td>
									<td>
										<strong>Last Updated By</strong>: <?php echo $last_updated_by; ?>
									</td>
								</tr>
								
							</table>
						</div>
					</div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-12">
						<div class="table-responsive">
							<table class="table table-bordered tbl2">
								<thead>
									<tr class="table-info">
										<th>Req. ID</th>
										<th>Req. Statement</th>
										<th>Last Update Date</th>
										<th>Last Updated By</th>
										<th>Status</th>
										<th>Required Approvers</th>
										<th>Severity</th>
										<th>Type</th>
										<th>Business Value</th>
										<th>Functional Area</th>
									</tr>
								</thead>
								<tbody>
								<?php
								$qry 	= "
									SELECT 
										pr.*, fa.name as functional_area_name, b.name as business_value_name, rt.name as requirement_type_name
									FROM 
										`cxs_projects_tasks` t
									INNER JOIN
										`cxs_projects_tasks_requirement_items` tr
									ON
										t.task_id=tr.task_id
									INNER JOIN
										`cxs_projects_requirements_header` pr
									ON
										tr.req_id=pr.req_id
									LEFT JOIN
										`cxs_functional_area` fa
									ON
										pr.functional_area_id=fa.id
									LEFT JOIN
										`cxs_business_value` b
									ON
										pr.business_value_id=b.id
									LEFT JOIN
										`cxs_requirement_type` rt
									ON
										pr.req_type_id=rt.id
									WHERE 
										t.project_id='".$project_id."' AND t.task_id='".$task_id."' AND t.company_id='".$_SESSION['login_user_array']['company_id']."' 
									ORDER BY 
										t.task_id
								";
								$res = mysqli_query($conn, $qry);
								if(mysqli_num_rows($res)>0){
									while($rows1=mysqli_fetch_assoc($res)){
										$req_id						= $rows1["req_id"];
										$text_req_number			= htmlentities($rows1["req_number"]);
										$text_statement				= htmlentities($rows1["statement"]);
										$text_severity				= htmlentities($rows1["severity"]);
										$text_functional_area_name	= htmlentities($rows1["functional_area_name"]);
										$text_business_value_name	= htmlentities($rows1["business_value_name"]);
										$text_requirement_type_name	= htmlentities($rows1["requirement_type_name"]);
										$last_update_date				= setDate($rows1["last_update_date"],"m/d/Y");
										$last_updated_by				= getvalue("cxs_user","full_name"," WHERE user_email='".$rows1['last_udpated_by']."'");
										
										$required_approvers = array();
				
										$query = "
											SELECT 
												 CONCAT(s.salutation,' ',s.first_name,' ',s.last_name) AS member_name
											FROM
												`cxs_projects_requirements_approvers` ra
											INNER JOIN
												`cxs_projects_stakeholders` s
											ON
												ra.member_id=s.member_id
											WHERE
												ra.req_id='".$req_id."'
										";
										$result = mysqli_query($conn, $query);
										if(mysqli_num_rows($result)){
											while($data	= mysqli_fetch_assoc($result)){
												$required_approvers[] = $data["member_name"];
											}
										}
										?>
											<tr>
												<td>
													<span class="td-cell-space"><?php echo $text_req_number; ?></span>
												</td>
												<td>
													<?php echo $text_statement; ?>
												</td>
												<td>
													<?php echo $last_update_date; ?>
												</td>
												<td>
													<?php echo $last_updated_by; ?>
												</td>
												<td>
													<?php echo "Status - ?????"; ?>
												</td>
												<td>
													<?php echo implode(", ",$required_approvers); ?>
												</td>
												<td><?php echo $text_severity; ?></td>
												<td><?php echo $text_requirement_type_name; ?></td>
												<td><?php echo $text_business_value_name; ?></td>
												<td><?php echo $text_functional_area_name; ?></td>
											</tr>
										<?php
									}
								}else{
								?>
								<tr><td colspan="10"><span class="td-cell-space">No record found.</span></td></tr>
								<?php
								}
								?>
								</tbody>
							</table>
						</div>
					</div>
				</div>
				<?php
			}
		}
	}
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_team_performance'){
	
	$project_id = intval($_POST['combo_project_id']);
	$track_progress_by		= getvalue("cxs_projects","track_progress_by"," WHERE project_id='".$project_id."'");
	$check_include_costs 	= (isset($_POST['check_include_costs']) && $_POST['check_include_costs']==1)?true:false;
	$check_red_flag_tasks 	= (isset($_POST['check_red_flag_tasks']) && $_POST['check_red_flag_tasks']==1)?true:false;
	$check_yellow_flag_tasks= (isset($_POST['check_yellow_flag_tasks']) && $_POST['check_yellow_flag_tasks']==1)?true:false;
	$check_green_flag_tasks = (isset($_POST['check_green_flag_tasks']) && $_POST['check_green_flag_tasks']==1)?true:false;
	
	$filter_flag_code_arr = array();
	
	if($check_red_flag_tasks==true){
		$filter_flag_code_arr[] = "red";
	}
	if($check_yellow_flag_tasks==true){
		$filter_flag_code_arr[] = "yellow";
	}
	if($check_green_flag_tasks==true){
		$filter_flag_code_arr[] = "green";
	}
	
	$selectQuery 	= "
			SELECT 
				tm.assignement_id, tm.billing_rate,
				th.team_id, th.team_name, 
				u.full_name, u.image_name
			FROM 
				`cxs_projects_team_header` th
			INNER JOIN
				`cxs_projects_teams` pt
			ON
				pt.team_id=th.team_id
			INNER JOIN
				`cxs_projects_team_members` tm
			ON
				tm.team_id=pt.team_id
			INNER JOIN
				`cxs_user` u
			ON
				u.user_id = tm.member_userid
			WHERE 
				pt.project_id='".$project_id."' AND pt.company_id='".$_SESSION['login_user_array']['company_id']."' 
			ORDER BY 
				th.team_name
	";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			$team_id		= $rows["team_id"];
			$member_id		= $rows["assignement_id"];
			$billing_rate	= $rows["billing_rate"];
			$team_name 		= htmlentities($rows["team_name"]);
			$full_name 		= htmlentities($rows["full_name"]);
			$image_name 	= htmlentities($rows["image_name"]);
			if($image_name!="" && file_exists("img/uploads/user_images/".$image_name)){
				$user_img_url = SITEURL."img/uploads/user_images/".$image_name;
			}else{
				$user_img_url = SITEURL."images/faces/default_face.png";
			}
		?>
		<div class="row mt-5">
			<div class="col-md-12">
				<div class="table-responsive">
					<table class="table table-bordered report-table">
						<tr class="fixed-tr-bg">
							<td>
								<div class="d-flex">
									<img class="img-sm rounded-circle mr-2" src="<?php echo $user_img_url; ?>" alt="">
									<label class="mt-2"><?php echo $full_name; ?></label>
								</div>
							</td>
							<td colspan="2">
								<strong>Team Name</strong>: <?php echo $team_name; ?>
							</td>
						</tr>
						<?php if($check_include_costs==true){ ?>
						<tr>
							<td>
								<strong>Hourly Rate</strong>: $<?php echo setNumberFormat($billing_rate); ?>
							</td>
							<td>
								<strong>Total Labor Costs</strong>: $<?php echo setNumberFormat($billing_rate); ?>
							</td>
							<td>
								<strong>Non Labor Costs</strong>: $<?php echo setNumberFormat($billing_rate); ?>
							</td>
						</tr>
						<?php } ?>
					</table>
				</div>
			</div>
		</div>
		
		<div class="row mt-2">
			<div class="col-md-12">
				<div class="table-responsive">
					<table class="table table-bordered tbl2">
						<thead>
							<tr class="table-info">
								<th>Task</th>
								<th>Current State</th>
								<th>Phase</th>
								<th>Schedule Start/End</th>
								<th>Actual Start/End</th>
								<th>Budgted Hours</th>
								<th>Actual Hours Worked</th>
								<th>% Expected to Complete</th>
								<th>% Actual Completion</th>
							</tr>
						</thead>
						<tbody>
						<?php
						$qry 	= "
							SELECT 
								t.*
							FROM 
								`cxs_projects_tasks` t
							WHERE 
								t.project_id='".$project_id."' AND t.task_id IN (SELECT task_id FROM `cxs_projects_task_assignment` WHERE cxs_projects_task_assignment.team_id='".$team_id."' AND cxs_projects_task_assignment.member_id='".$member_id."') AND t.company_id='".$_SESSION['login_user_array']['company_id']."' 
							ORDER BY 
								t.task_id
						";
						$res = mysqli_query($conn, $qry);
						if(mysqli_num_rows($res)>0){
							while($rows1=mysqli_fetch_assoc($res)){
								$task_id					= $rows1["task_id"];
								$text_task_number			= htmlentities($rows1["task_number"]);
								$text_task_name				= htmlentities($rows1["task_name"]);
								$text_task_description		= htmlentities($rows1["task_description"]);
								$combo_task_status			= htmlentities($rows1["task_status"]);
								$text_budgeted_hours		= htmlentities($rows1["budgeted_hours"]);
								$text_task_schedule_start_date	= ($rows1["schedule_start_date"]!="0000-00-00")?setDate($rows1["schedule_start_date"],"m/d/Y"):"";
								$text_task_schedule_end_date	= ($rows1["schedule_end_date"]!="0000-00-00")?setDate($rows1["schedule_end_date"],"m/d/Y"):"";
								$text_task_actual_start_date	= ($rows1["actual_start_date"]!="0000-00-00")?setDate($rows1["actual_start_date"],"m/d/Y"):"";
								$text_task_actual_end_date		= ($rows1["actual_end_date"]!="0000-00-00")?setDate($rows1["actual_end_date"],"m/d/Y"):"";
								$last_update_date		= setDate($rows1["last_update_date"],"m/d/Y");
								$task_completion_per = 0;
								if(getTotalRecord("cxs_projects_wb_tasks","completion_percentage"," WHERE task_id='".$task_id."'")){
									$task_completion_per = getvalue("cxs_projects_wb_tasks","completion_percentage"," WHERE task_id='".$task_id."'");
								}
								
								$labor_actual_hours_to_date = "";
								$etc		= "0";
								$flag_code 	= "";
								$kpi_flag_arr = array();
								
								$kpi_data_arr_labor 	= getKPIArray($project_id,$task_id,"labor");
								$kpi_data_arr_non_labor = getKPIArray($project_id,$task_id,"non_labor");
								$kpi_data_arr_hours 	= getKPIArray($project_id,$task_id,"hours");
								

								if($track_progress_by=="by_effort_and_cost"){
									if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0 && count($kpi_data_arr_hours)>0){
										$labor_actual_hours_to_date	= $kpi_data_arr_hours["actual_cost_hr"];
										
										// if(is_array($kpi_data_arr_labor) && count($kpi_data_arr_labor)>0){
											
										// }
									}
								}else{
									if(count($kpi_data_arr_hours)>0){
										$labor_actual_hours_to_date	= $kpi_data_arr_hours["actual_cost_hr"];
										
										// if(is_array($kpi_data_arr_labor) && count($kpi_data_arr_labor)>0){
											
										// }
									}
								}
								

								$kpi_flag_arr 	= getKPIFlag($project_id,$task_id,true);
								$flag_code 		= ucwords($kpi_flag_arr["flag_code"]);
								
								if(count($filter_flag_code_arr)>0 && !in_array($kpi_flag_arr["flag_code"],$filter_flag_code_arr)){
									continue;
								}
								?>
									<tr>
										<td>
											<span class="td-cell-space">
											<?php echo $text_task_number.":".$text_task_name; ?>
											<?php if(count($kpi_flag_arr)>0){ ?>
												<a href="<?php echo SITEURL."projects/earned-value-analysis/".md5($project_id)."/".md5($task_id)."/"; ?>" style="text-decoration:none;" target="_blank" title="<?php echo $kpi_flag_arr["title"]; ?>"><img class="kpi-flag mr-2 " src="<?php echo SITEURL."images/".$kpi_flag_arr["image"]; ?>" alt=""> 
												</a>
												<?php if($kpi_flag_arr["task_update_tooltip"]!=""){ ?>
												<a href="javascript:void(0);" style="text-decoration:none;" title="<?php echo $kpi_flag_arr["title"]; ?>"><i class="fa fa-exclamation-circle task-update-class ml-1" title="<?php echo $kpi_flag_arr["task_update_tooltip"]; ?>"></i>
												</a>
												<?php } ?>
											<?php } ?>
											</span>
										</td>
										<td>
											<?php 
											if($flag_code=="Red"){
												echo "Overdue";
											}else if($flag_code=="Yellow"){
												echo "Potentially Overdue";
											}else if($flag_code=="Green"){
												echo "On Track";
											}
											?>
										</td>
										<td>
											<?php echo $combo_task_status; ?>
										</td>
										<td>
											<?php echo $text_task_schedule_start_date." - ".$text_task_schedule_end_date; ?>
										</td>
										<td>
											<?php echo $text_task_actual_start_date." - ".$text_task_actual_end_date; ?>
										</td>
										<td>
											<?php echo $text_budgeted_hours; ?>
										</td>
										<td><?php echo $labor_actual_hours_to_date; ?></td>
										<td><?php echo setNumberFormat(getPlannedPercentage($project_id,$task_id),2,".",""); ?>%</td>
										<td><?php echo $task_completion_per; ?>%</td>
									</tr>
								<?php
							}
						}else{
						?>
						<tr><td colspan="8"><span class="td-cell-space">No record found.</span></td></tr>
						<?php
						}
						?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<?php
		}
	}
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_kanban'){
	
	$project_id = intval($_POST['combo_project_id']);
	?>		 	 										
	<div class="table-responsive" style="overflow:hidden;width:3000px;">
		<table class="table table-bordered kanban_table" id="table_kanban">
			<thead>
				<tr class="table-info">
					<th width="650px">Planned</th>
					<th width="650px">In Process</th>
					<th width="650px">Delayed</th>
					<th width="650px">Cancelled</th>
					<th width="650px">Closed</th>
					<th width="650px">Requirements</th>
					<th width="650px">Design</th>
					<th width="650px">Build</th>	
					<th width="650px">Unit Testing</th>	
					<th width="650px">Acceptance Testing</th>	
					<th width="650px">Configuration</th>
					<th width="650px">Final Implementation</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td><?php echo getKanbanTasksByStatus($project_id,"Planned"); ?></td>
					<td><?php echo getKanbanTasksByStatus($project_id,"In Process"); ?></td>
					<td><?php echo getKanbanTasksByStatus($project_id,"Delayed"); ?></td>
					<td><?php echo getKanbanTasksByStatus($project_id,"Cancelled"); ?></td>
					<td><?php echo getKanbanTasksByStatus($project_id,"Closed"); ?></td>
					<td><?php echo getKanbanTasksByStatus($project_id,"Requirements"); ?></td>
					<td><?php echo getKanbanTasksByStatus($project_id,"Design"); ?></td>
					<td><?php echo getKanbanTasksByStatus($project_id,"Build"); ?></td>	
					<td><?php echo getKanbanTasksByStatus($project_id,"Unit Testing"); ?></td>	
					<td><?php echo getKanbanTasksByStatus($project_id,"Acceptance Testing"); ?></td>	
					<td><?php echo getKanbanTasksByStatus($project_id,"Configuration"); ?></td>
					<td><?php echo getKanbanTasksByStatus($project_id,"Final Implementation"); ?></td>
				</tr>
			</tbody>
		</table>
	</div>
	<?php
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_performance_benchmark'){
	
	$combo_project_manager_user_ids = array();
	$completion_percentage 	= 0;
	
	$check_task_level 		= (isset($_POST['check_task_level']) && $_POST['check_task_level']==1)?true:false;
	$check_include_costs 	= (isset($_POST['check_include_costs']) && $_POST['check_include_costs']==1)?true:false;
	
	$combo_x_axis			= $_POST['combo_x_axis'];
	$combo_y_axis			= $_POST['combo_y_axis'];
	$combo_cost_type		= $_POST['combo_cost_type'];
	
	$project_id = intval($_POST['combo_project_id']);
	
	$selectQuery 	= "
			SELECT 
				*,
				(SELECT sum(completion_percentage) FROM `cxs_projects_wb_tasks` WHERE cxs_projects_wb_tasks.project_id=cxs_projects.project_id) AS expr_completion_percentage
			FROM 
				`cxs_projects` 
			WHERE 
				project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'
		";
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		$rows=mysqli_fetch_assoc($RunUserQuery);
		$text_project_number 		= $rows["project_number"];
		$text_project_name			= htmlentities($rows["project_name"]);
		$text_description			= htmlentities($rows["description"]);
		$currency					= $rows["currency"];
		$currency_symbol			= $rows["currency_symbol"];
		$track_progress_by			= htmlentities($rows["track_progress_by"]);
		$text_schedule_start_date	= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
		$text_schedule_end_date		= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
		$text_actual_start_date		= ($rows["actual_start_date"]!="0000-00-00")?setDate($rows["actual_start_date"],"m/d/Y"):"";
		$text_actual_end_date		= ($rows["actual_end_date"]!="0000-00-00")?setDate($rows["actual_end_date"],"m/d/Y"):"";
		$text_total_budgeted_hours 	= htmlentities($rows["total_budgeted_hours"]);
		$radio_track_progress_by	= $rows["track_progress_by"];
		$combo_project_status		= $rows["project_status"];
		
		$text_project_created_by	= getValue("cxs_user","full_name"," WHERE user_email='".$rows["created_by"]."'");
		$text_date_created			= setDate($rows["creation_date"],"m/d/Y h:i A");
		$text_last_updated			= setDate($rows["last_update_date"],"m/d/Y h:i A");
		$text_last_updated_by		= getValue("cxs_user","full_name"," WHERE user_email='".$rows["last_udpated_by"]."'");
		
		$total_completion_percentage	= $rows["expr_completion_percentage"];
		$no_of_tasks = getTotalRecord("cxs_projects_tasks","task_id"," WHERE project_id='".$project_id."'");
		
		if($no_of_tasks>0){
			$completion_percentage = $total_completion_percentage/$no_of_tasks;
		}
		
		if(getTotalRecord("cxs_projects_manager","project_manager_id"," WHERE project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."'")>0){
			$selectQuery 	= "
				SELECT 
					u.full_name
				FROM 
					`cxs_projects_manager` pm 
				INNER JOIN
					`cxs_user` u
				ON
					pm.user_id=u.user_id
				WHERE 
					pm.project_id='".$project_id."' AND pm.company_id='".$_SESSION['login_user_array']['company_id']."'
			";
			$RunUserQuery	= mysqli_query($conn, $selectQuery);
			$StdNumRows 	= mysqli_num_rows($RunUserQuery);
			if($StdNumRows>0){
				while($rows=mysqli_fetch_assoc($RunUserQuery)){
					$combo_project_manager_user_ids[] = $rows["full_name"];
				}
			}
		}
		
		/****************/
		$kpi_data_arr_hours = getKPIArray($project_id,0,"hours");
		$kpi_data_arr_labor = getKPIArray($project_id,0,"labor");
		$kpi_data_arr_non_labor = getKPIArray($project_id,0,"non_labor");
		/****************/
		
		?>
		<div class="row">
			<div class="col-md-12">
				<div class="table-responsive">
					<table class="table table-bordered report-table">
						<tr class="fixed-tr-bg">
							<td colspan="4">
								<strong>Project</strong>: <?php echo $text_project_name." (".$text_project_number.") - ".$combo_project_status; ?>
							</td>
						</tr>
						<tr>
							<td colspan="4">
								<strong>Current State</strong>: 
							</td>
						</tr>
						<tr>
							<td colspan="4">
								<strong>Project Manager(s)</strong>: <?php echo implode(",",$combo_project_manager_user_ids); ?>
							</td>
						</tr>
						<tr>
							<td>
								<strong>Schedule Start Date</strong>: <?php echo $text_schedule_start_date; ?>
							</td>
							<td>
								<strong>Schedule End Date</strong>: <?php echo $text_schedule_end_date; ?>
							</td>
							<td>
								<strong>Planned % to Date</strong>: <?php echo setNumberFormat(getPlannedPercentage($project_id),2,".",""); ?>%
							</td>
							<td>
								<strong>Total Budget</strong>: 
								<?php 
								if($check_include_costs==true){
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0){
											echo $kpi_data_arr_hours["bac_hr"]." hrs, ".$currency." ".setNumberFormat($kpi_data_arr_labor["bac_amt"]); 
										}else{
											echo $kpi_data_arr_hours["bac_hr"]." hrs";
										}
									}
								}else{
									if(count($kpi_data_arr_hours)>0){
										echo $kpi_data_arr_hours["bac_hr"]." hrs";
									}
								}
								
								?>
							</td>
						</tr>
						<tr>
							<td>
								<strong>Actual Start Date</strong>: <?php echo $text_actual_start_date; ?>
							</td>
							<td>
								<strong>Actual End Date</strong>: <?php echo $text_actual_end_date; ?>
							</td>
							<td>
								<strong>Actual % to Date</strong>: <?php echo setNumberFormat($completion_percentage); ?>%
							</td>
							<td>
								<strong>Total Actual Costs to Date</strong>: 
								<?php 
								if($check_include_costs==true){
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0){
											echo $currency." ".setNumberFormat($kpi_data_arr_labor["actual_cost_amt"]+$kpi_data_arr_non_labor["actual_cost_amt"]); 
										}
									}
								}
								?>
							</td>
						</tr>
						<tr>
							<td>
								<strong>Budget Utilization (Planned)</strong>: 
								<?php 
								if($check_include_costs==true){
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0){
											echo $kpi_data_arr_hours["bac_hr"]." hrs, ".$currency." ".setNumberFormat($kpi_data_arr_labor["bac_amt"]);
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["bac_hr"]." hrs";
										}
									}
								}else{
									if(count($kpi_data_arr_hours)>0){
										echo $kpi_data_arr_hours["bac_hr"]." hrs";
									}
								}
								?>
							</td>
							<td>
								<strong>Budget Utilization (Actual)</strong>: 
								<?php 
								if($check_include_costs==true){
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0){
											echo $kpi_data_arr_hours["actual_cost_hr"]." hrs, ".$currency." ".setNumberFormat($kpi_data_arr_labor["actual_cost_amt"]+$kpi_data_arr_non_labor["actual_cost_amt"]); 
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["actual_cost_hr"]." hrs";
										}
									}
								}else{
									if(count($kpi_data_arr_hours)>0){
										echo $kpi_data_arr_hours["actual_cost_hr"]." hrs";
									}
								}
								
								?>
							</td>
							<td>
								<strong>Estimate to Complete</strong>: 
								<?php 
								if($check_include_costs==true){
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0){
											echo $currency." ".setNumberFormat($kpi_data_arr_labor["etc_amt"]); 
										}
									}
								}
								?>
							</td>
							<td>
								<strong>Estimate at Completion</strong>: 
								<?php 
								if($check_include_costs==true){
									if($track_progress_by=="by_effort_and_cost"){
										if(count($kpi_data_arr_labor)>0){
											echo $currency." ".setNumberFormat($kpi_data_arr_labor["eac_amt"]);
										}
									}
								}
								?>
							</td>
						</tr>
						<tr>
							<td>
								<strong>Last Update on this Project</strong>: <?php echo $text_last_updated; ?>
							</td>
							<td>
								<strong>Date this Project was Created</strong>: <?php echo $text_date_created; ?>
							</td>
							<td>
								<strong>Last Updated By</strong>: <?php echo $text_last_updated_by; ?>
							</td>
							<td>
								<strong>Created By</strong>: <?php echo $text_project_created_by; ?>
							</td>
						</tr>
					</table>
				</div>
			</div>
		</div>
		<div class="row mt-3">
			<div class="col-md-3">
				<div class="table-responsive">
					<table class="table table-bordered">
						<thead>
							<tr class="table-info">
								<tH>X-Axis Actual Hours</tH>
								<tH>Actual Amounts</tH>
							</tr>
						</thead>
						<tbody>
							<?php
							$actual_cost_amt_labor_arr = $actual_cost_amt_non_labor_arr = $actual_cost_hours_arr = array();
							$selectQuery 	= "
										SELECT id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM
										(
											(
												SELECT history_kpi_id AS id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM `cxs_projects_kpi_history` where project_id='".$project_id."' AND task_id=0
											)
											UNION ALL
											(
												SELECT 999999999999999 AS id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM `cxs_projects_kpis` where project_id='".$project_id."' AND task_id=0
											)
										) AS a ORDER BY actual_cost_hr ASC, id ASC
										";		
							$RunUserQuery	= mysqli_query($conn, $selectQuery);
							$StdNumRows 	= mysqli_num_rows($RunUserQuery);
							$cnt=0;
							if($StdNumRows>0){
								while($rows=mysqli_fetch_assoc($RunUserQuery)){
									$cnt++;
									if($rows["cost_element"]=="labor"){
										$actual_cost_amt_labor_arr[] 	= setNumberFormat($rows["actual_cost_amt"],2,".","");
									}else if($rows["cost_element"]=="non_labor"){
										$actual_cost_amt_non_labor_arr[] 	= setNumberFormat($rows["actual_cost_amt"],2,".","");
										
									}else if($rows["cost_element"]=="hours"){
										$actual_cost_hours_arr[] = $rows["actual_cost_hr"];
									}
								}
							}
							for($i=0;$i<$cnt;$i++){
								$amt 	= 0;
								
								if(isset($actual_cost_amt_labor_arr[$i]) && isset( $actual_cost_amt_non_labor_arr[$i]) && isset($actual_cost_hours_arr[$i])){
									if($actual_cost_hours_arr[$i]>0){
										if($combo_cost_type=="labor"){
											$amt = $actual_cost_amt_labor_arr[$i];
										}else if($combo_cost_type=="non_labor"){
											$amt = $actual_cost_amt_non_labor_arr[$i];
										}else{
											$amt = $actual_cost_amt_labor_arr[$i]+$actual_cost_amt_non_labor_arr[$i];
										}
										?>
										<tr>
											<td><?php echo $actual_cost_hours_arr[$i]; ?></td>
											<td>
												<?php
												if($check_include_costs==true){ 
													echo $currency." ".setNumberFormat($amt,2,".","");
												}
												?>
											</td>
										</tr>
										<?php
									}
								}
							}
							?>
						</tbody>
					</table>
				</div>
			</div>
			<div class="col-md-9">
				<div id="chart_project"></div>
			</div>
		</div>
		<?php
		$task_ids = array();
		if($check_task_level==true){
			$selectQuery 	= "
				SELECT 
					*
				FROM 
					`cxs_projects_tasks` 
				WHERE 
					project_id='".$project_id."' AND company_id='".$_SESSION['login_user_array']['company_id']."' 
				ORDER BY 
					task_id
				";		
			$RunUserQuery	= mysqli_query($conn, $selectQuery);
			$StdNumRows 	= mysqli_num_rows($RunUserQuery);
			if($StdNumRows>0){
				$count=0;
				?>
				<div class="row mt-5">
					<div class="col-md-12">
						<h4 class="card-title">Task Details</h4>
					</div>
				</div>
				<?php
				while($rows=mysqli_fetch_assoc($RunUserQuery)){
					$count++;
					$task_id					= $rows["task_id"];
					$task_ids[] = $task_id;
					$text_task_number			= htmlentities($rows["task_number"]);
					$text_task_name				= htmlentities($rows["task_name"]);
					$text_task_description		= htmlentities($rows["task_description"]);
					$combo_task_status			= htmlentities($rows["task_status"]);
					$text_budgeted_hours		= htmlentities($rows["budgeted_hours"]);
					$text_task_schedule_start_date	= ($rows["schedule_start_date"]!="0000-00-00")?setDate($rows["schedule_start_date"],"m/d/Y"):"";
					$text_task_schedule_end_date	= ($rows["schedule_end_date"]!="0000-00-00")?setDate($rows["schedule_end_date"],"m/d/Y"):"";
					$text_task_actual_start_date	= ($rows["actual_start_date"]!="0000-00-00")?setDate($rows["actual_start_date"],"m/d/Y"):"";
					$text_task_actual_end_date		= ($rows["actual_end_date"]!="0000-00-00")?setDate($rows["actual_end_date"],"m/d/Y"):"";
					
					$task_completion_per = 0;
					if(getTotalRecord("cxs_projects_wb_tasks","completion_percentage"," WHERE task_id='".$task_id."'")){
						$task_completion_per = getvalue("cxs_projects_wb_tasks","completion_percentage"," WHERE task_id='".$task_id."'");
					}
					$task_created_by	= getValue("cxs_user","full_name"," WHERE user_email='".$rows["created_by"]."'");
					$task_date_created			= setDate($rows["creation_date"],"m/d/Y h:i A");
					$task_last_updated			= setDate($rows["last_update_date"],"m/d/Y h:i A");
					$task_last_updated_by		= getValue("cxs_user","full_name"," WHERE user_email='".$rows["last_udpated_by"]."'");
					
					/****************/
					$kpi_data_arr_hours = getKPIArray($project_id,$task_id,"hours");
					$kpi_data_arr_labor = getKPIArray($project_id,$task_id,"labor");
					$kpi_data_arr_non_labor = getKPIArray($project_id,$task_id,"non_labor");
					/****************/
				?>
				<div class="row <?php if($count>1){?> mt-5 <?php } ?>">
					<div class="col-md-5">
						<div class="table-responsive">
							<table class="table table-bordered report-table">
								<tr class="fixed-tr-bg">
									<td width="220px">
										<strong>Task</strong>:
									</td>
									<td>
										<?php echo $text_task_number." : ".$text_task_name." - ".$combo_task_status; ?>
										<input type="hidden" id="task_<?php echo $task_id; ?>" value="<?php echo $text_task_number." : ".$text_task_name; ?>" />
									</td>
								</tr>
								<tr>
									<td>
										<strong>Schedule Start/End Date:</strong>
									</td>
									<td><?php echo $text_task_schedule_start_date." - ".$text_task_schedule_end_date; ?></td>
								</tr>
								<tr>
									<td>
										<strong>Actual Start/End Date:</strong>
									</td>
									<td><?php echo $text_task_actual_start_date." - ".$text_task_actual_end_date; ?></td>
								</tr>
								<tr>
									<td>
										<strong>Planned % to date:</strong>
									</td>
									<td><?php echo setNumberFormat(getPlannedPercentage($project_id,$task_id),2,".",""); ?>%</td>
								</tr>
								<tr>
									<td>
										<strong>Actual % to date:</strong>
									</td>
									<td><?php echo setNumberFormat($task_completion_per); ?>%</td>
								</tr>
								<tr>
									<td>
										<strong>Total Budget:</strong>
									</td>
									<td>
										<?php 
										if($check_include_costs==true){
											if($track_progress_by=="by_effort_and_cost"){
												if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0){
													echo $kpi_data_arr_hours["bac_hr"]." hrs, ".$currency." ".setNumberFormat($kpi_data_arr_labor["bac_amt"]);
												}
											}else{
												if(count($kpi_data_arr_hours)>0){
													echo $kpi_data_arr_hours["bac_hr"]." hrs";
												}
											}
										}else{
											if(count($kpi_data_arr_hours)>0){
												echo $kpi_data_arr_hours["bac_hr"]." hrs";
											}
										}
										?>
									</td>
								</tr>
								<tr>
									<td>
										<strong>Budget Utilization (Planned):</strong>
									</td>
									<td>
									<?php 
									if($check_include_costs==true){
										if($track_progress_by=="by_effort_and_cost"){
											if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0){
												echo $kpi_data_arr_hours["bac_hr"]." hrs, ".$currency." ".setNumberFormat($kpi_data_arr_labor["bac_amt"]); 
											}
										}else{
											if(count($kpi_data_arr_hours)>0){
												echo $kpi_data_arr_hours["bac_hr"]." hrs";
											}
										}
									}else{
										if(count($kpi_data_arr_hours)>0){
											echo $kpi_data_arr_hours["bac_hr"]." hrs";
										}
									}
									?>
									</td>
								</tr>
								<tr>
									<td>
										<strong>Budget Utilization (Actual):</strong>
									</td>
									<td>
										<?php 
										if($check_include_costs==true){
											if($track_progress_by=="by_effort_and_cost"){
												if(count($kpi_data_arr_hours)>0 && count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0){
													echo $kpi_data_arr_hours["actual_cost_hr"]." hrs, ".$currency." ".setNumberFormat($kpi_data_arr_labor["actual_cost_amt"]+$kpi_data_arr_non_labor["actual_cost_amt"]);
												}
											}else{
												if(count($kpi_data_arr_hours)>0){
													echo $kpi_data_arr_hours["actual_cost_hr"]." hrs";
												}
											}
										}else{
											if(count($kpi_data_arr_hours)>0){
												echo $kpi_data_arr_hours["actual_cost_hr"]." hrs";
											}
										}
										?>
									</td>
								</tr>
								<tr>
									<td>
										<strong>Total Actual Costs to Date:</strong>
									</td>
									<td>
										<?php
										if($check_include_costs==true){
											if($track_progress_by=="by_effort_and_cost"){
												if(count($kpi_data_arr_labor)>0 && count($kpi_data_arr_non_labor)>0){ 
													echo $currency." ".setNumberFormat($kpi_data_arr_labor["actual_cost_amt"]+$kpi_data_arr_labor["actual_cost_amt"]);
												}
											}
										}
										?>
									</td>
								</tr>
								<tr>
									<td>
										<strong>ETC:</strong>
									</td>
									<td>
										<?php 
										if($check_include_costs==true){
											if($track_progress_by=="by_effort_and_cost"){
												if(count($kpi_data_arr_labor)>0){
													echo $currency." ".setNumberFormat($kpi_data_arr_labor["etc_amt"]); 
												}
											}
										}
										?>
									</td>
								</tr>
								<tr>
									<td>
										<strong>EAC:</strong>
									</td>
									<td>
									<?php 
									if($check_include_costs==true){
										if($track_progress_by=="by_effort_and_cost"){
											if(count($kpi_data_arr_labor)>0){
												echo $currency." ".setNumberFormat($kpi_data_arr_labor["eac_amt"]); 
											}
										}
									}
									?>
									</td>
								</tr>
								<tr>
									<td>
										<strong>Last Update Date:</strong>
									</td>
									<td><?php echo $task_last_updated; ?></td>
								</tr>
								<tr>
									<td>
										<strong>Creation Date:</strong>
									</td>
									<td><?php echo $task_date_created; ?></td>
								</tr>
								<tr>
									<td>
										<strong>Last Updated By:</strong>
									</td>
									<td><?php echo $task_last_updated_by; ?></td>
								</tr>
								<tr>
									<td>
										<strong>Created By:</strong>
									</td>
									<td><?php echo $task_created_by; ?></td>
								</tr>
							</table>
						</div>
					</div>
					<div class="col-md-7">
						<div id="chart_task_<?php echo $task_id; ?>"></div>
					</div>
				</div>
				<?php
				}
				
				?>
				<input type="hidden" id="chart_task_ids" name="chart_task_ids" value="<?php echo implode(",",$task_ids); ?>" />
				<?php
			}
		}
	}
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_performance_bechmark_project_chart_data'){
	
	
	$succ = 0;
	
	$planned_value_amt_labor_arr 	= array();
	$earned_value_amt_labor_arr 	= array();
	$actual_cost_amt_labor_arr 		= array();
	$etc_amt_labor_arr 				= array();
	$eac_amt_labor_arr 				= array();
	$bac_amt_labor_arr				= array();
	
	$planned_value_amt_non_labor_arr= array();
	$actual_cost_amt_non_labor_arr 	= array();
	$earned_value_amt_non_labor_arr = array();
	$etc_amt_non_labor_arr 			= array();
	$eac_amt_non_labor_arr 			= array();
	$bac_amt_non_labor_arr			= array();

	$planned_value_hr_hours_arr	= array();
	$actual_cost_hr_hours_arr 	= array();
	$earned_value_hr_hours_arr 	= array();
	$etc_hr_hours_arr 			= array();
	$eac_hr_hours_arr 			= array();
	$bac_hr_hours_arr			= array();
	
	$pv_arr = array();
	$ev_arr = array();
	$ac_arr = array();
	$etc_arr = array();
	$eac_arr = array();
	$bac_arr = array();
	
	$combo_x_axis			= $_POST['combo_x_axis'];
	$combo_y_axis			= $_POST['combo_y_axis'];
	$combo_cost_type		= $_POST['combo_cost_type'];
	$project_id 			= intval($_POST['combo_project_id']);

	$track_progress_by		= getvalue("cxs_projects","track_progress_by"," WHERE project_id='".$project_id."'");
	
	$selectQuery 	= "
				SELECT id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM
				(
					(
						SELECT history_kpi_id AS id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM `cxs_projects_kpi_history` where project_id='".$project_id."' AND task_id=0
					)
					UNION ALL
					(
						SELECT 999999999999999 AS id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM `cxs_projects_kpis` where project_id='".$project_id."' AND task_id=0
					)
				) AS a ORDER BY actual_cost_hr ASC, id ASC
				";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$cnt=0;
	if($StdNumRows>0){
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			
			if($rows["cost_element"]=="labor"){
				$cnt++;
				$planned_value_amt_labor_arr[] 	= setNumberFormat($rows["planned_value_amt"],2,".","");
				$earned_value_amt_labor_arr[] 	= setNumberFormat($rows["earned_value_amt"],2,".","");
				$etc_amt_labor_arr[] 			= setNumberFormat($rows["etc_amt"],2,".","");
				$eac_amt_labor_arr[] 			= setNumberFormat($rows["eac_amt"],2,".","");
				$bac_amt_labor_arr[] 			= setNumberFormat($rows["bac_amt"],2,".","");
				$actual_cost_amt_labor_arr[] 	= setNumberFormat($rows["actual_cost_amt"],2,".","");
			}else if($rows["cost_element"]=="non_labor"){
				$planned_value_amt_non_labor_arr[] 	= setNumberFormat($rows["planned_value_amt"],2,".","");
				$earned_value_amt_non_labor_arr[] 	= setNumberFormat($rows["earned_value_amt"],2,".","");
				$etc_amt_non_labor_arr[] 			= setNumberFormat($rows["etc_amt"],2,".","");
				$eac_amt_non_labor_arr[] 			= setNumberFormat($rows["eac_amt"],2,".","");
				$bac_amt_non_labor_arr[]			= setNumberFormat($rows["bac_amt"],2,".","");
				$actual_cost_amt_non_labor_arr[] 	= setNumberFormat($rows["actual_cost_amt"],2,".","");
			}else if($rows["cost_element"]=="hours"){
				if($track_progress_by=="by_effort"){
					$cnt++;
				}
				$planned_value_hr_hours_arr[] 	= setNumberFormat($rows["planned_value_hr"],2,".","");
				$earned_value_hr_hours_arr[] 	= setNumberFormat($rows["earned_value_hr"],2,".","");
				$etc_hr_hours_arr[] 			= setNumberFormat($rows["etc_hr"],2,".","");
				$eac_hr_hours_arr[] 			= setNumberFormat($rows["eac_hr"],2,".","");
				$bac_hr_hours_arr[]				= setNumberFormat($rows["bac_hr"],2,".","");
				$actual_cost_hr_hours_arr[] 	= setNumberFormat($rows["actual_cost_hr"],2,".","");
			}
		}
		//echo count($planned_value_amt_labor_arr)."==".count($planned_value_amt_non_labor_arr);die;
		
		$data_arr = $bac_arr = $pv_arr = $ev_arr = $ac_arr = $eac_arr = $etc_arr = array();
		
		if($track_progress_by=="by_effort_and_cost"){
			if(count($planned_value_amt_labor_arr)>0 && count($planned_value_amt_non_labor_arr)>0){
				for($i=0;$i<$cnt;$i++){
					if(isset($planned_value_amt_labor_arr) && isset($earned_value_amt_labor_arr) && isset($actual_cost_amt_labor_arr)
						&& isset($planned_value_amt_non_labor_arr) && isset($earned_value_amt_non_labor_arr) && isset($actual_cost_amt_non_labor_arr)
						){
						
						if($combo_cost_type=="labor"){
							$bac_arr[] 	= $bac_amt_labor_arr[$i];
							$pv_arr[] 	= $planned_value_amt_labor_arr[$i];
							$ev_arr[] 	= $earned_value_amt_labor_arr[$i];
							$ac_arr[] 	= $actual_cost_amt_labor_arr[$i];
							$eac_arr[] 	= $eac_amt_labor_arr[$i];
							$etc_arr[] 	= $etc_amt_labor_arr[$i];
						}else if($combo_cost_type=="non_labor"){
							$bac_arr[] 	= $bac_amt_non_labor_arr[$i];
							$pv_arr[] 	= $planned_value_amt_non_labor_arr[$i];
							$ev_arr[] 	= $earned_value_amt_non_labor_arr[$i];
							$ac_arr[] 	= $actual_cost_amt_non_labor_arr[$i];
							$eac_arr[] 	= $eac_amt_non_labor_arr[$i];
							$etc_arr[] 	= $etc_amt_non_labor_arr[$i];
						}else{
							$bac_arr[] 	= $bac_amt_labor_arr[$i]+$bac_amt_non_labor_arr[$i];
							$pv_arr[] 	= $planned_value_amt_labor_arr[$i]+$planned_value_amt_non_labor_arr[$i];
							$ev_arr[] 	= $earned_value_amt_labor_arr[$i]+$earned_value_amt_non_labor_arr[$i];
							$ac_arr[] 	= $actual_cost_amt_labor_arr[$i]+$actual_cost_amt_non_labor_arr[$i];
							$eac_arr[] 	= $eac_amt_labor_arr[$i]+$eac_amt_non_labor_arr[$i];
							$etc_arr[] 	= $etc_amt_labor_arr[$i]+$etc_amt_non_labor_arr[$i];
						}
						
					}
				}
			}
			
			if(in_array("bac_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"BAC","data"=>$bac_arr);
			}
			if(in_array("planned_value_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"PV","data"=>$pv_arr);
			}
			if(in_array("earned_value_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"EV","data"=>$ev_arr);
			}
			if(in_array("actual_cost_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"AC","data"=>$ac_arr);
			}
			if(in_array("eac_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"EAC","data"=>$eac_arr);
			}
			if(in_array("etc_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"ETC","data"=>$etc_arr);
			}
		}else{
			if(count($planned_value_hr_hours_arr)>0){
				for($i=0;$i<$cnt;$i++){
					if(
						isset($planned_value_hr_hours_arr) && 
						isset($earned_value_hr_hours_arr) && 
						isset($actual_cost_hr_hours_arr)
						){
						
							$bac_arr[] 	= $bac_hr_hours_arr[$i];
							$pv_arr[] 	= $planned_value_hr_hours_arr[$i];
							$ev_arr[] 	= $earned_value_hr_hours_arr[$i];
							$ac_arr[] 	= $actual_cost_hr_hours_arr[$i];
							$eac_arr[] 	= $eac_hr_hours_arr[$i];
							$etc_arr[] 	= $etc_hr_hours_arr[$i];
					}
				}
			}
			
			if(in_array("bac_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"BAC","data"=>$bac_arr);
			}
			if(in_array("planned_value_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"PV","data"=>$pv_arr);
			}
			if(in_array("earned_value_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"EV","data"=>$ev_arr);
			}
			if(in_array("actual_cost_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"AC","data"=>$ac_arr);
			}
			if(in_array("eac_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"EAC","data"=>$eac_arr);
			}
			if(in_array("etc_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"ETC","data"=>$etc_arr);
			}
		}
		
		$succ = 1;
	}
	echo json_encode(
				array(
					"succ" 		=> $succ,
					"data_arr"	=> $data_arr
				)
		);
	//echo $selectQuery;
	exit;
	
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_performance_bechmark_task_chart_data'){
	
	
	$succ = 0;
	
	$planned_value_amt_labor_arr 	= array();
	$earned_value_amt_labor_arr 	= array();
	$actual_cost_amt_labor_arr 		= array();
	$etc_amt_labor_arr 				= array();
	$eac_amt_labor_arr 				= array();
	$bac_amt_labor_arr				= array();
	
	$planned_value_amt_non_labor_arr= array();
	$actual_cost_amt_non_labor_arr 	= array();
	$earned_value_amt_non_labor_arr = array();
	$etc_amt_non_labor_arr 			= array();
	$eac_amt_non_labor_arr 			= array();
	$bac_amt_non_labor_arr			= array();

	$planned_value_hr_hours_arr	= array();
	$actual_cost_hr_hours_arr 	= array();
	$earned_value_hr_hours_arr 	= array();
	$etc_hr_hours_arr 			= array();
	$eac_hr_hours_arr 			= array();
	$bac_hr_hours_arr			= array();
	
	$pv_arr = array();
	$ev_arr = array();
	$ac_arr = array();
	$etc_arr = array();
	$eac_arr = array();
	$bac_arr = array();
	
	$combo_x_axis			= $_POST['combo_x_axis'];
	$combo_y_axis			= $_POST['combo_y_axis'];
	$combo_cost_type		= $_POST['combo_cost_type'];
	$project_id 			= intval($_POST['combo_project_id']);
	$task_id 				= intval($_POST['task_id']);

	$track_progress_by		= getvalue("cxs_projects","track_progress_by"," WHERE project_id='".$project_id."'");
	
	$selectQuery 	= "
				SELECT id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM
				(
					(
						SELECT history_kpi_id AS id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM `cxs_projects_kpi_history` where project_id='".$project_id."' AND task_id='".$task_id."'
					)
					UNION ALL
					(
						SELECT 999999999999999 AS id, cost_element, bac_hr, bac_amt, planned_value_hr, planned_value_amt, earned_value_hr, earned_value_amt, actual_cost_hr, actual_cost_amt, cost_variance, schedule_variance, cpi_value, spi_value, eac_hr, eac_amt, etc_hr, etc_amt FROM `cxs_projects_kpis` where project_id='".$project_id."' AND task_id='".$task_id."'
					)
				) AS a ORDER BY actual_cost_hr ASC, id ASC
				";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	$cnt=0;
	if($StdNumRows>0){
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			
			if($rows["cost_element"]=="labor"){
				$cnt++;
				$planned_value_amt_labor_arr[] 	= setNumberFormat($rows["planned_value_amt"],2,".","");
				$earned_value_amt_labor_arr[] 	= setNumberFormat($rows["earned_value_amt"],2,".","");
				$etc_amt_labor_arr[] 			= setNumberFormat($rows["etc_amt"],2,".","");
				$eac_amt_labor_arr[] 			= setNumberFormat($rows["eac_amt"],2,".","");
				$bac_amt_labor_arr[] 			= setNumberFormat($rows["bac_amt"],2,".","");
				$actual_cost_amt_labor_arr[] 	= setNumberFormat($rows["actual_cost_amt"],2,".","");
			}else if($rows["cost_element"]=="non_labor"){
				$planned_value_amt_non_labor_arr[] 	= setNumberFormat($rows["planned_value_amt"],2,".","");
				$earned_value_amt_non_labor_arr[] 	= setNumberFormat($rows["earned_value_amt"],2,".","");
				$etc_amt_non_labor_arr[] 			= setNumberFormat($rows["etc_amt"],2,".","");
				$eac_amt_non_labor_arr[] 			= setNumberFormat($rows["eac_amt"],2,".","");
				$bac_amt_non_labor_arr[]			= setNumberFormat($rows["bac_amt"],2,".","");
				$actual_cost_amt_non_labor_arr[] 	= setNumberFormat($rows["actual_cost_amt"],2,".","");
				
			}else if($rows["cost_element"]=="hours"){
				if($track_progress_by=="by_effort"){
					$cnt++;
				}
				$planned_value_hr_hours_arr[] 	= setNumberFormat($rows["planned_value_hr"],2,".","");
				$earned_value_hr_hours_arr[] 	= setNumberFormat($rows["earned_value_hr"],2,".","");
				$etc_hr_hours_arr[] 			= setNumberFormat($rows["etc_hr"],2,".","");
				$eac_hr_hours_arr[] 			= setNumberFormat($rows["eac_hr"],2,".","");
				$bac_hr_hours_arr[]				= setNumberFormat($rows["bac_hr"],2,".","");
				$actual_cost_hr_hours_arr[] 	= setNumberFormat($rows["actual_cost_hr"],2,".","");
			}
		}
		//echo count($planned_value_amt_labor_arr)."==".count($planned_value_amt_non_labor_arr);die;
		
		$data_arr = $bac_arr = $pv_arr = $ev_arr = $ac_arr = $eac_arr = $etc_arr = array();
		
		if($track_progress_by=="by_effort_and_cost"){
			if(count($planned_value_amt_labor_arr)>0 && count($planned_value_amt_non_labor_arr)>0){
				for($i=0;$i<$cnt;$i++){
					if(isset($planned_value_amt_labor_arr) && isset($earned_value_amt_labor_arr) && isset($actual_cost_amt_labor_arr)
						&& isset($planned_value_amt_non_labor_arr) && isset($earned_value_amt_non_labor_arr) && isset($actual_cost_amt_non_labor_arr)
						){
						
						if($combo_cost_type=="labor"){
							$bac_arr[] 	= $bac_amt_labor_arr[$i];
							$pv_arr[] 	= $planned_value_amt_labor_arr[$i];
							$ev_arr[] 	= $earned_value_amt_labor_arr[$i];
							$ac_arr[] 	= $actual_cost_amt_labor_arr[$i];
							$eac_arr[] 	= $eac_amt_labor_arr[$i];
							$etc_arr[] 	= $etc_amt_labor_arr[$i];
						}else if($combo_cost_type=="non_labor"){
							$bac_arr[] 	= $bac_amt_non_labor_arr[$i];
							$pv_arr[] 	= $planned_value_amt_non_labor_arr[$i];
							$ev_arr[] 	= $earned_value_amt_non_labor_arr[$i];
							$ac_arr[] 	= $actual_cost_amt_non_labor_arr[$i];
							$eac_arr[] 	= $eac_amt_non_labor_arr[$i];
							$etc_arr[] 	= $etc_amt_non_labor_arr[$i];
						}else{
							$bac_arr[] 	= $bac_amt_labor_arr[$i]+$bac_amt_non_labor_arr[$i];
							$pv_arr[] 	= $planned_value_amt_labor_arr[$i]+$planned_value_amt_non_labor_arr[$i];
							$ev_arr[] 	= $earned_value_amt_labor_arr[$i]+$earned_value_amt_non_labor_arr[$i];
							$ac_arr[] 	= $actual_cost_amt_labor_arr[$i]+$actual_cost_amt_non_labor_arr[$i];
							$eac_arr[] 	= $eac_amt_labor_arr[$i]+$eac_amt_non_labor_arr[$i];
							$etc_arr[] 	= $etc_amt_labor_arr[$i]+$etc_amt_non_labor_arr[$i];
						}
						
					}
				}
			}
		}else{
			if(count($planned_value_hr_hours_arr)>0){
				for($i=0;$i<$cnt;$i++){
					if(
						isset($planned_value_hr_hours_arr) && 
						isset($earned_value_hr_hours_arr) && 
						isset($actual_cost_hr_hours_arr)
						){
							$bac_arr[] 	= $bac_hr_hours_arr[$i];
							$pv_arr[] 	= $planned_value_hr_hours_arr[$i];
							$ev_arr[] 	= $earned_value_hr_hours_arr[$i];
							$ac_arr[] 	= $actual_cost_hr_hours_arr[$i];
							$eac_arr[] 	= $eac_hr_hours_arr[$i];
							$etc_arr[] 	= $etc_hr_hours_arr[$i];
					}
				}
			}
			
			if(in_array("bac_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"BAC","data"=>$bac_arr);
			}
			if(in_array("planned_value_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"PV","data"=>$pv_arr);
			}
			if(in_array("earned_value_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"EV","data"=>$ev_arr);
			}
			if(in_array("actual_cost_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"AC","data"=>$ac_arr);
			}
			if(in_array("eac_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"EAC","data"=>$eac_arr);
			}
			if(in_array("etc_amt",$combo_y_axis)){
				$data_arr[] = array("name"=>"ETC","data"=>$etc_arr);
			}
		}
		
		$succ = 1;
	}
	
	echo json_encode(
				array(
					"succ" 		=> $succ,
					"data_arr"	=> $data_arr
				)
		);
	//echo $selectQuery;
	exit;
	
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_project_schedule_excel_format'){

	$project_id = intval($_POST['combo_project_id']);

	$tasks = array(
		'task' => array(),
		'parents' => array()
	);
	
	
	$project_id = $_POST['combo_project_id'];
	
	if(isset($_POST['is_project_scorecard']) && $_POST['is_project_scorecard']=="true"){
		$where = "MD5(t.project_id)='".$project_id."' AND t.company_id='".$_SESSION['login_user_array']['company_id']."' ";
	}else{
		$where = "t.project_id='".$project_id."' AND t.company_id='".$_SESSION['login_user_array']['company_id']."' ";
	}
	?>
	<div class="table-responsive" style="overflow:hidden;width:1900px;">
		<table id="table_projects" class="table table-responsive table-bordered">
			<thead>
				<tr class="table-info">
					<th width="20%">Task</th>
					<th width="5%">Schedule Duration</th>
					<th width="5%">Schedule Start</th>
					<th width="5%">Scheduled Finish</th>
					<th width="5%">Actual Duration</th>
					<th width="5%">Actual Start</th>
					<th width="5%">Actual Finish</th>
					<th width="10%">Assigned Resource(s)</th>
					<th width="5%">% Planned Complete</th>
					<th width="5%">% Actual Complete</th>
					<th width="5%">BAC</th>
					<th width="5%">EAC</th>
					<th width="5%">ETC</th>
					<th width="5%">PV</th>
					<th width="5%">EV</th>
					<th width="5%">AC</th>
				</tr>
			</thead>
			<tbody>
				<?php
				$selectQuery 	= "
					SELECT 
						t.* ,
						w.completion_percentage
					FROM 
						`cxs_projects_tasks`  t
					LEFT JOIN
						`cxs_projects_wb_tasks` w
					ON
						t.task_id=w.task_id
					WHERE 
						$where
					ORDER BY 
						t.task_id ASC
					";		
				$RunUserQuery	= mysqli_query($conn, $selectQuery);
				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
				if($StdNumRows>0){
					while($rows=mysqli_fetch_assoc($RunUserQuery)){
						$tasks['task'][$rows['task_id']] = $rows;
						$tasks['parents'][$rows['parent_task_id']][] = $rows['task_id'];
					}
				}
				echo createProjectScheduleExcelTaskTreeView(0, $tasks);
				?>
			</tbody>
		</table>
	</div>
	<?php
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_project_expenditure'){
	
	$project_id = intval($_POST['combo_project_id']);
	$currency= getvalue("cxs_projects","currency"," WHERE project_id='".$project_id."'");
	?>
	<div class="row mt-2">
		<div class="col-md-12">
			<div class="table-responsive">
				<table id="table_projects_expenditure_budgeting" class="table table-bordered">
					<thead>
						<tr class="table-info">
							<th width="15%">Expenditure Type</th>
							<th>Task Name</th>
							<th width="10%">Budgted $</th>
							<th width="10%">Actual Spend</th>
							<th width="10%">DIFFERENCE</th>
						</tr>
					</thead>
					<tbody>
						<?php
						$selectQuery 	= "
							SELECT 
								eb.*, et.exp_type_name,
								(SELECT CONCAT(task_id,'~',task_number,':',task_name) FROM `cxs_projects_tasks` WHERE cxs_projects_tasks.project_id='".$project_id."' AND cxs_projects_tasks.task_id=eb.task_id) AS task_data,
								(SELECT SUM(amount) AS total_expense_amount FROM `cxs_expense_entry_detail` WHERE expense_report_detail_id IN (SELECT expense_report_detail_id FROM `cxs_expense_entry_tasks` WHERE cxs_expense_entry_tasks.task_id=eb.task_id) AND cxs_expense_entry_detail.is_approved='Y' AND cxs_expense_entry_detail.expenditure_type_id=eb.expenditure_type_id) AS total_expense_amount
							FROM 
								`cxs_projects_expense_budget` eb
							INNER JOIN
								`cxs_expenditure_types` et
							ON
								eb.expenditure_type_id=et.expenditure_id
							WHERE 
								eb.project_id='".$project_id."' AND eb.company_id='".$_SESSION['login_user_array']['company_id']."' 
							ORDER BY 
								et.exp_type_name
							";		
						$RunUserQuery	= mysqli_query($conn, $selectQuery);
						$StdNumRows 	= mysqli_num_rows($RunUserQuery);
						if($StdNumRows>0){
							while($rows=mysqli_fetch_assoc($RunUserQuery)){
								$exp_budget_id			= $rows["exp_budget_id"];
								$expenditure_type_id	= $rows["expenditure_type_id"];
								$exp_type_name			= htmlentities($rows["exp_type_name"]);
								$task_id				= 0;
								$text_task_name			= "";
								if($rows["task_data"]!=""){
									$task_data				= explode("~",$rows["task_data"]);
									$task_id				= $task_data[0];
									$text_task_name			= $task_data[1];
								}
								$text_control_amount	= $rows["control_amount"];
								$combo_currency			= $rows["currency"];
								$total_expense_amount	= $rows["total_expense_amount"];
							?>
							<tr>
								<td><span class="td-cell-space"><?php echo $exp_type_name; ?></span></td>
								<td><?php echo $text_task_name; ?></td>
								<td align="right"><?php echo $currency." ".setNumberFormat($text_control_amount); ?></td>
								<td align="right">
									<?php
									echo $currency." ".setNumberFormat($total_expense_amount);
									?>
								</td>
								<td align="right">
									<?php
									$final = $text_control_amount-$total_expense_amount;
									echo $currency." ".setNumberFormat($final);
									?>
								</td>
							</tr>
							<?php
							}
						}
						?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
	<?php
}

else if(isset($_POST['REQUEST']) && $_POST['REQUEST'] == 'get_report_project_expense_report_register'){
	
	$project_id = intval($_POST['combo_project_id']);
	$currency = getvalue("cxs_projects","currency"," WHERE project_id='".$project_id."'");
	
	$selectQuery 	= "
		SELECT 
			*,
			(SELECT full_name FROM `cxs_user` WHERE user_id=cxs_expense_entry_header.user_id) as full_name,
			(SELECT SUM(amount) FROM cxs_expense_entry_detail WHERE expense_report_detail_id IN (SELECT expense_report_detail_id FROM `cxs_expense_entry_tasks` WHERE cxs_expense_entry_tasks.task_id IN (SELECT task_id FROM cxs_projects_tasks WHERE project_id='".$project_id."'))) AS total_expense
		FROM 
			`cxs_expense_entry_header`
		WHERE 
			 expense_report_id IN (SELECT header_id FROM cxs_expense_entry_detail WHERE expense_report_detail_id IN (SELECT expense_report_detail_id FROM cxs_expense_entry_tasks WHERE task_id IN (SELECT task_id FROM cxs_projects_tasks WHERE project_id='".$project_id."'))) AND company_id='".$_SESSION['login_user_array']['company_id']."'
		ORDER BY 
			expense_report_id
		";		
	$RunUserQuery	= mysqli_query($conn, $selectQuery);
	$StdNumRows 	= mysqli_num_rows($RunUserQuery);
	if($StdNumRows>0){
		while($rows=mysqli_fetch_assoc($RunUserQuery)){
			$expense_report_id		= $rows["expense_report_id"];
			$expense_report_name	= htmlentities($rows["expense_report_name"]);
			$creation_date			= setDate($rows["creation_date"],"m/d/Y");
			$user_full_name			= $rows["full_name"];
			$total_expense_amount	= $rows["total_expense"];
		?>
		<div class="row mt-5">
			<div class="col-md-12">
				<div class="table-responsive">
					<table class="table table-bordered report-table">
						<tr class="fixed-tr-bg">
							<td>
								<strong>Expense Report Name</strong>: <?php echo $expense_report_name; ?>
							</td>
							<td>
								<strong>Creation Date</strong>: <?php echo $creation_date; ?>
							</td>
							<td>
								<strong>Prepared by</strong>: <?php echo $user_full_name; ?>
							</td>
							<td>
								<strong>Total Amount</strong>: <?php echo $currency." ".setNumberFormat($total_expense_amount); ?>
							</td>
						</tr>
					</table>
				</div>
			</div>
		</div>
		
		<div class="row mt-2">
			<div class="col-md-12">
				<div class="table-responsive">
					<table class="table table-bordered tbl2">
						<thead>
							<tr class="table-info">
								<th>Expenditure Type</th>
								<th>Task</th>
								<th>Amount</th>
								<th>Date Submitted</th>
								<th>Status</th>
							</tr>
						</thead>
						<tbody>
						<?php
						$selectQuery 	= "
							SELECT 
								ed.*,
								(SELECT CONCAT(task_id,'~',task_number,':',task_name) FROM `cxs_projects_tasks` WHERE cxs_projects_tasks.project_id='".$project_id."' AND cxs_projects_tasks.task_id=et.task_id) AS task_data,
								(SELECT exp_type_name FROM cxs_expenditure_types WHERE cxs_expenditure_types.expenditure_id=ed.expenditure_type_id) AS exp_type_name
							FROM
								cxs_expense_entry_detail ed
							INNER JOIN
								cxs_expense_entry_tasks et
							ON
								ed.expense_report_detail_id=et.expense_report_detail_id
							WHERE
								ed.header_id='".$expense_report_id."'
							";		
						$RunUserQuery	= mysqli_query($conn, $selectQuery);
						$StdNumRows 	= mysqli_num_rows($RunUserQuery);
						if($StdNumRows>0){
							while($rows=mysqli_fetch_assoc($RunUserQuery)){
								$exp_type_name			= htmlentities($rows["exp_type_name"]);
								$task_id				= 0;
								$text_task_name			= "";
								if($rows["task_data"]!=""){
									$task_data				= explode("~",$rows["task_data"]);
									$task_id				= $task_data[0];
									$text_task_name			= $task_data[1];
								}
								$amount	= htmlentities($rows["amount"]);
								$submitted_date			= setDate($rows["submitted_date"],'m/d/Y');
								$is_submitted	= $rows["is_submitted"];
								$is_approved	= $rows["is_approved"];
								$is_rejected	= $rows["is_rejected"];
								$status = "";
								if($is_approved=="Y"){
									$status = "Approved";
								}else if($is_rejected=="Y"){
									$status = "Rejected";
								}else if($is_submitted=="Y"){
									$status = "Submitted";
								}else {
									$status = "Working";
								}
								?>
									<tr>
										<td><span class="td-cell-space"><?php echo $exp_type_name; ?></span></td>
										<td><?php echo $text_task_name; ?></td>
										<td><?php echo $amount; ?></td>
										<td><?php echo $submitted_date; ?></td>
										<td><?php echo $status; ?></td>
									</tr>
								<?php
							}
						}
						?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		
		<?php
		}
	}
}
?>