<?php
require_once "conn.php";
require_once "functions.php";
check_login();
if (CheckCommonSetupEntries() == 0) {
	header("location:".SITEURL."dashboard/");
}

$current_tab = (isset($_GET['tab']) && $_GET['tab'] != '') ? $_GET['tab'] : '';
?>
<!DOCTYPE html>
<html lang="en">

<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>Coexsys | Attendance Feeds</title>
	<!-- base:css -->
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/typicons.font/font/typicons.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/css/vendor.bundle.base.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.css">
	<!-- endinject -->
	<!-- plugin css for this page -->
	<!-- End plugin css for this page -->
	<!-- inject:css -->
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/font-awesome/css/font-awesome.min.css" />
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2/select2.min.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/select2-bootstrap-theme/select2-bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/nouislider/nouislider.min.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/style.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>vendors/jquery-file-upload/uploadfile.css">
	<!-- endinject -->
	<link rel="shortcut icon" href="<?php echo SITEURL; ?>images/main_logo_mini.png" />
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/custom_r.css">
	<link rel="stylesheet" href="<?php echo SITEURL; ?>css/jquery.mCustomScrollbar.css">
	<script src="<?php echo SITEURL; ?>vendors/js/vendor.bundle.base.js"></script>
	<style>
		td.details-control {
			background: url('images/icons/details_open.png') no-repeat center center;
			cursor: pointer;
		}
		tr.shown td.details-control {
			background: url('images/icons/details_close.png') no-repeat center center;
		}
		.dataTables_wrapper .dataTable thead th {
			border-bottom-width: 1px !important;
			border-bottom-color: #999 !important;
		}
	</style>
</head>

<body class="sidebar-light sidebar-icon-only">
	<div class="container-scroller">
		<!-- partial:partials/_navbar.html -->
		<?php include_once("top.php"); ?>
		<!-- partial -->
		<div class="container-fluid page-body-wrapper">
			<!-- partial:partials/_settings-panel.html -->
			<?php include_once("left.php");  ?>
			<!-- partial -->
			<div class="main-panel">
				<div class="content-wrapper">
					<div class="row">
						<div class="col-lg-12 grid-margin">
							<div class="card">
								<div class="card-body">
									<nav aria-label="breadcrumb">
										<ol class="breadcrumb breadcrumb-help">
											<li class="breadcrumb-item">Attendance Tracking</li>
											<li class="breadcrumb-item active">Feeds</li>
										</ol>
									</nav>
									<?php
									$IsActive1 = "";
									$IsActive2 = "";
									$IsActive3 = "";

									if ($current_tab == 1 || $current_tab == "") {
										$IsActive1 = "show active";
										$tab1_selected = "aria-selected='true'";
										$tab2_selected = "aria-selected='false'";
										$tab3_selected = "aria-selected='false'";
									} else if ($current_tab == 2) {
										$IsActive2 = "show active";
										$tab1_selected = "aria-selected='false'";
										$tab2_selected = "aria-selected='true'";
										$tab3_selected = "aria-selected='false'";
									} else if ($current_tab == 3) {
										$IsActive3 = "show active";
										$tab1_selected = "aria-selected='false'";
										$tab2_selected = "aria-selected='false'";
										$tab3_selected = "aria-selected='true'";
									}
									?>
									<div class="row">
										<div class="col-md-12 mx-auto">
											<ul class="nav nav-pills nav-pills-custom" id="feeds_tabs" role="tablist">
												<li class="nav-item">
													<a class="nav-link <?php echo $IsActive1; ?>" id="feeds_tab1" data-toggle="pill" href="#feeds_tab1_content" role="tab" aria-controls="pills-home" <?php echo $tab1_selected; ?>>Activity Trail</a>
												</li>

												<?php
												if ($_SESSION['login_user_array']['user_plan'] != "SELFEMPLOYED") {
												?>
													<li class="nav-item">
														<a class="nav-link <?php echo $IsActive3; ?>" id="feeds_tab3" data-toggle="pill" href="#feeds_tab3_content" role="tab" aria-controls="pills-contact" <?php echo $tab3_selected; ?>>Announcement </a>
													</li>
												<?php } ?>

											</ul>
											<div class="tab-content" id="feeds_tabs_content">
												<div class="tab-pane fade show <?php echo $IsActive1; ?>" id="feeds_tab1_content" role="tabpanel" aria-labelledby="feeds_tab1">
													<div class="table-responsive">
														<table class="table table-striped" id="table_feeds">
															<thead>
																<tr>
																	<th>&nbsp;</th>
																</tr>
															</thead>
															<tbody>
																<?php
																$date_format = "'%m/%d/%Y'";
																$qry = "select cxs_notifications.*,cxs_user.image_name,cxs_user.full_name from cxs_notifications inner join cxs_user on cxs_user.user_id = cxs_notifications.from_user_id where to_user_id = '" . $_SESSION['login_user_array']['user_id'] . "' order by notification_id desc ";
																$result = mysqli_query($conn, $qry);
																$counter = 0;
																if (mysqli_num_rows($result) > 0) {
																	while ($row = mysqli_fetch_assoc($result)) {
																		$img_src = SITEURL."images/faces/default_face.png";
																		if ($row['image_name'] != '') {
																			$img_src = SITEURL."img/uploads/user_images/" . $row['image_name'];
																		}

																		$notes = $row["notes"];
																		$creation_date	= setDate($row["creation_date"], "F jS Y h:i A");
																		$created_timezone 	= $row["created_timezone"];
																		$module_txt = "";

																		//if($module_name=="attendance_approve" || $module_name=="request_timeoff" || $module_name=="ip_address" || $module_name=="add_manage_users")
																		{
																			$module_txt = $notes . " at " . $creation_date . " " . $created_timezone;
																		}
																?>
																		<tr>
																			<td>
																				<div class="message-body">
																					<div class="sender-details">
																						<img class="img-sm rounded-circle mr-3" src="<?php echo $img_src; ?>" alt="">
																						<div class="details">
																							<p class="sender-email"> <?php echo $row['full_name']; ?>
																								<a href="#"><?php //echo $row['user_email']; 
																											?></a>
																								&nbsp;<i class="typcn typcn-user-multiple-plus"></i>
																							</p>
																							<p class="msg-subject" title="Subject Line">
																								<?php echo $module_txt; ?>
																							</p>
																							<!--<p class="msg-subject" title="Subject Line">
																																																<?php
																																																if (strpos($row['expr2'], 'has') !== false) {
																																																?>
																																																	<?php echo $row['expr2']; ?> on  <?php echo $display_date; ?>
																																																<?php
																																																} else {
																																																?>
																																																has <?php echo $row['expr2']; ?> on  <?php echo $display_date; ?>
																																																<?php
																																																}
																																																?>
																																															</p>-->
																						</div>
																					</div>
																				</div>
																			</td>
																		</tr>
																	<?php
																	}
																} else {
																	?>
																	<tr>
																		<td>No record found.</td>
																	</tr>
																<?php
																}
																?>
															</tbody>
														</table>
													</div>

													<div class="row">
														<div class="col-md-12" id="result_project_activity_trial">

														</div>
													</div>
												</div>

												<?php
												if ($_SESSION['login_user_array']['user_plan'] != "SELFEMPLOYED") {
												?>
													<div class="tab-pane fade <?php echo $IsActive3; ?>" id="feeds_tab3_content" role="tabpanel" aria-labelledby="feeds_tab3">
														<form id="send_announcement_form" action="" method="post">
															<?php if ($_SESSION['login_user_array']['user_role'] <> 'User') { ?>
																<div class="row">
																	<div class="col-md-6">
																		<div class="form-group">
																			<label>Subject</label>
																			<input type="text" id="text_subject" name="text_subject" class="form-control requirefieldcls" data-toggle="popover" data-trigger="focus" data-html="true" title="" data-content="Please Enter Subject." data-original-title="">
																		</div>
																	</div>
																</div>
																<?php if ($_SESSION['login_user_array']['user_role'] <> 'User') { ?>
																	<div class="row">
																		<div class="col-md-4 mt-2">
																			<label style="display: block;">Send to</label>
																			<select class="js-example-basic-single requirefieldcls" name="combo_send_to" id="combo_send_to" style="width:100%">
																				<option value="">--Please Select--</option>
																				<?php if ($_SESSION['login_user_array']['user_role'] == 'Admin') { ?>
																					<option value="My Direct Reports">My Direct Reports</option>
																					<option value="Everyone">Everyone</option>
																				<?php } ?>
																				<?php if ($_SESSION['login_user_array']['user_role'] == 'Manager') { ?>
																					<option value="My Direct Reports">My Direct Reports</option>
																				<?php } ?>
																			</select>
																		</div>
																	</div>
																<?php } ?>
																<div class="row">
																	<div class="col-md-12 mt-4">
																		<label>Message</label>
																		<textarea id='text_message' name="text_message"></textarea>
																	</div>
																</div>

																<div class="row">
																	<div class="col-md-2 mt-4 mb-4">
																		<button type="button" id="cmdSendNow" class="btn btn-primary btn-block">Send</button>
																	</div>
																</div>
															<?php } ?>
														</form>
														<div class="">
															<ul class="nav nav-tabs" role="tablist">
																<li class="nav-item"> <a class="nav-link active" id="inbox-tab" data-toggle="tab" href="#inbox" role="tab" aria-controls="inbox-1" aria-selected="true">Inbox</a> </li>
																<li class="nav-item"> <a class="nav-link" id="sentitems-tab" data-toggle="tab" href="#sentitems" role="tab" aria-controls="sentitems" aria-selected="false">Sent Items</a> </li>
															</ul>
															<div class="tab-content">
																<div class="tab-pane fade show active" id="inbox" role="tabpanel" aria-labelledby="inbox-tab">
																	<div class="table-responsive">
																		<table id="table_inbox" class="table table-bordered">
																			<thead>
																				<tr class="table-info">
																					<th width="15%">Date</th>
																					<th width="60%">Subject</th>
																					<th width="15%">Send From</th>
																					<th width="10%">Action</th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																				$selectQuery 	= "
																			SELECT 
																				ah.*,
																				u.full_name
																			FROM
																				`cxs_attendance_announcement_header` ah
																			INNER JOIN
																				`cxs_attendance_announcement_detail` ad
																			ON
																				ah.announcement_id=ad.announcement_id
																			INNER JOIN
																				`cxs_user` u
																			ON
																				ah.send_from_user_id=u.user_id
																			WHERE 
																				ad.user_id='" . $_SESSION['login_user_array']['user_id'] . "' AND ah.send_from_user_id!='" . $_SESSION['login_user_array']['user_id'] . "' AND ad.company_id='" . $_SESSION['login_user_array']['company_id'] . "' ORDER BY ah.announcement_id
																		";
																				$RunUserQuery	= mysqli_query($conn, $selectQuery);
																				$StdNumRows 	= mysqli_num_rows($RunUserQuery);
																				if ($StdNumRows > 0) {
																					while ($rows = mysqli_fetch_assoc($RunUserQuery)) {
																						$announcement_id 					= $rows['announcement_id'];

																						$subject 	= $rows['subject'];
																						$full_name 	= $rows["full_name"];
																						$subject 	= $rows['subject'];
																						$creation_date 	= setDate($rows['creation_date'], "m/d/Y");
																						$data_content_eye_icon = show_eye_icon_data("cxs_projects_announcement_header", "announcement_id", $announcement_id);
																				?>
																						<tr class="announcement_popup" data-id="<?php echo $announcement_id; ?>">
																							<td><?php echo $creation_date; ?> PST</td>
																							<td><?php echo $subject; ?></td>
																							<td><?php echo $full_name; ?></td>
																							<td class="text-center">
																								<button type='button' class='btn btn-default ml-0 mr-0 pl-0 pr-0' data-trigger='focus' data-container='body' data-toggle='popover' data-html='true' data-placement='left' data-content='<?php echo $data_content_eye_icon; ?>'><i class=' fa fa-eye'></i></button>
																							</td>
																						</tr>
																				<?php
																					}
																				}
																				?>
																			</tbody>
																		</table>
																	</div>
																</div>
																<div class="tab-pane fade" id="sentitems" role="tabpanel" aria-labelledby="sentitems-tab">
																	<div id="result_send_items"></div>
																</div>
															</div>
														</div>
													</div>
												<?php } ?>

											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<?php
					if (isset($_GET["nid"]) && $_GET["nid"] > 0) {
						$nid = intval($_GET["nid"]);
						readNotification($nid);
					}
					?>
				</div>
			</div>
		</div>
	</div>
	<?php /**************Modal Area****************/ ?>
	<div class="modal fade" id="announcement_popup_modal" tabindex="-1" role="dialog" aria-hidden="true">
		<div class="modal-dialog modal-lg swal-modal mt-2" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">Announcement Message</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
				</div>
				<div class="modal-body pt-0" id="result_announcement_mesage">

				</div>
			</div>
		</div>
	</div>
	<?php /**************Modal Area****************/ ?>
	<input id="my-file" type="file" name="my-file" style="display: none;" accept="image/*" onChange="" />
	<script src="<?php echo SITEURL; ?>js/off-canvas.js"></script>
	<script src="<?php echo SITEURL; ?>js/hoverable-collapse.js"></script>
	<script src="<?php echo SITEURL; ?>js/template.js"></script>
	<script src="<?php echo SITEURL; ?>js/settings.js"></script>
	<script src="<?php echo SITEURL; ?>js/todolist.js"></script>
	<script src="<?php echo SITEURL; ?>js/tooltips.js"></script>
	<script src="<?php echo SITEURL; ?>js/popover.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/select2/select2.min.js"></script>
	<script src="<?php echo SITEURL; ?>js/select2.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/moment/moment.min.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/tempusdominus-bootstrap-4/tempusdominus-bootstrap-4.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/bootstrap-datepicker/bootstrap-datepicker.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net/jquery.dataTables.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.bootstrap4.js"></script>
	<link rel="stylesheet" href="<?php echo SITEURL; ?>datatables.net-bs4/buttons.dataTables.min.css">
	<script src="<?php echo SITEURL; ?>js/bootstrap-multiselect.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/jquery-file-upload/jquery.uploadfile.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/dataTables.buttons.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/jszip.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.html5.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/pdfmake.min.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/pdfmake/vfs_fonts.js"></script>
	<script src="<?php echo SITEURL; ?>datatables.net-bs4/buttons.colVis.min.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/nouislider/nouislider.min.js"></script>
	<script src="<?php echo SITEURL; ?>vendors/tinymce/tinymce.min.js"></script>
	<script src="<?php echo SITEURL; ?>js/custom.js"></script>
	<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.js"></script>
	<script src="<?php echo SITEURL; ?>js/jquery.mCustomScrollbar.concat.min.js"></script>
	<script src="<?php echo SITEURL; ?>js/custom_r.js"></script>

<script>
	<?php
	if ($_SESSION['login_user_array']['user_plan'] != "SELFEMPLOYED") {
	?>
		$(document).ready(function() {
			var user_role = "<?php echo $_SESSION['login_user_array']['user_role']; ?>";
			if (user_role == "User") {
				$("#sentitems-tab").hide();
			}
			$(".rploader").fadeIn(800);
			setTimeout(function() {
				$('#table_feeds').DataTable({
					"paging": true,
					"ordering": false,
					"info": true,
					"dom": 'lrtip',
					"drawCallback": function(settings) {
						$("#table_feeds thead").remove();
					},
				});
				if (user_role != "User") {
					setBlankAnnouncemnt();
				}
				$(".rploader").fadeOut(800);
			}, 1000);
		});
		/**********************/
		$(".announcement_popup").click(function() {
			var announcement_id = $(this).data("id");
			getAnnouncementMessageData(announcement_id)
		});

		$('body').on('change', '#text_subject', function() {
			if ($("#text_subject").val() != '') {
				$("#cmdSendNow").prop("disabled", false);
			}
		});

		/**********************/
		if ($("#text_message").length) {
			tinymce.init({
				selector: '#text_message',
				setup: function(editor) {
					editor.on('change', function() {
						editor.save();
					});
				},
				file_picker_callback: function(callback, value, meta) {
					if (meta.filetype == 'image') {
						var input = document.getElementById('my-file');
						input.click();
						input.onchange = function() {
							var file = input.files[0];
							var reader = new FileReader();
							reader.onload = function(e) {
								callback(e.target.result, {
									alt: file.name
								});
							};
							reader.readAsDataURL(file);
						};
					}
				},
				height: 500,
				theme: 'modern',
				plugins: [
					'advlist autolink lists link charmap print preview hr anchor pagebreak',
					'searchreplace wordcount visualblocks visualchars code fullscreen',
					'insertdatetime nonbreaking save table contextmenu directionality',
					'emoticons template paste textcolor colorpicker textpattern codesample toc help'
				],
				toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link ',
				toolbar2: 'print preview | forecolor backcolor emoticons | codesample help',
				image_advtab: true,
				templates: [{
						title: 'Test template 1',
						content: 'Test 1'
					},
					{
						title: 'Test template 2',
						content: 'Test 2'
					}

				],
				content_css: []
			});
		}
		/**********************/
		$("#cmdSendNow").click(function() {
			var flag = true;
			form_element_correct($("#text_subject"));
			form_element_correct($("#combo_send_to").siblings(".select2"));
			form_element_correct($("#text_message"));

			if ($("#combo_project_id").val() == "") {
				form_element_empty_err($("#combo_project_id").siblings(".select2"));
				flag = false;
			}
			if ($("#text_subject").val() == "") {
				form_element_empty_err($("#text_subject"));
				flag = false;
			}
			if ($("#combo_send_to").val() == "") {
				form_element_empty_err($("#combo_send_to").siblings(".select2"));
				flag = false;
			}
			if ($("#text_message").val() == "") {
				form_element_empty_err($("#text_message"));
				flag = false;
			}

			var formdata = $('#send_announcement_form').serialize();
			if (flag == true) {
				$.ajax({
					url: SITEURL+"aj/attendance-feeds/",
					method: "POST",
					beforeSend: function() {
						$(".rploader").fadeIn(800);
					},
					data: {
						REQUEST: 'save_attendance_announcement',
						form1: formdata
					},
					success: function(response) {
						setTimeout(function() {
							$(".rploader").fadeOut(800);
							if (response.succ == 0) {
								alert("Something went wrong. Please try again.");
							} else {
								setBlankAnnouncemnt();
							}
						}, 1000);
					}
				});
			}
		});
		/********************************************/
		var table = $('#table_sentitems,#table_inbox').DataTable({
			"searching": false,
			"dom": 'lBfrtip',
			autoWidth: false,
			buttons: [
				[
					/*'excel',
					'pdf',*/
					{
						text: 'Email',
						action: function(e, dt, node, config) {
							//$("#modal_email").show(); 
							show_emaimodal();
						}
					}
				]
			]
		});
		/*******************************************/
		function getAnnouncementMessageData(announcement_id) {
			
			//$("#stakeholders_modal").modal('show');
			$.ajax({
				url: SITEURL+"aj/attendance-feeds/",
				method: "POST",
				data: {
					REQUEST: 'get_attendance_feed_announcement_message_data',
					is_html: true,
					announcement_id: announcement_id
				},
				beforeSend: function() {
					$(".rploader").fadeIn(800);
				},
				success: function(response) {
					setTimeout(function() {
						$(".rploader").fadeOut(800);
						$("#result_announcement_mesage").html(response);
						$("#announcement_popup_modal").modal("show");
					}, 1000);
				}
			});
		}
		/*******************************************/

		function setBlankAnnouncemnt() {
			$("#text_subject").val('');
			$("#combo_send_to").val('');
			$("#combo_send_to").select2();
			$("#text_message").val('');
			var ed = tinyMCE.get('text_message');
			ed.setProgressState(1); /* Show progress */
			window.setTimeout(function() {
				ed.setProgressState(0); //* Hide progress   */
				ed.setContent('');
			}, 500);
			showSentItems();
			$("#cmdSendNow").prop("disabled", true);
		}

		function showSentItems() {
			$.ajax({
				url: SITEURL+"aj/attendance-feeds/",
				method: "POST",
				data: {
					REQUEST: 'get_attendance_feed_sent_items',
					is_html: true
				},
				beforeSend: function() {
					$(".rploader").fadeIn(800);
				},
				success: function(response) {
					setTimeout(function() {
						$(".rploader").fadeOut(800);
						$("#result_send_items").html(response);
						
						$('#table_sentitems').DataTable({
							"searching": false,
							"dom": 'lBfrtip',
							autoWidth: false,
							"order": [],
							buttons: [
								[
									'excel'
								]
							]
						});
						$('[data-toggle="popover"]').popover();
						$(".announcement_popup").click(function() {
							var announcement_id = $(this).data("id");
							getAnnouncementMessageData(announcement_id)
						});
					}, 1000);
				}
			});
		}

	<?php } ?>
</script>
</body>

</html>