if ($("#text_issue_detail").length) 
{
    tinymce.init({
      selector: '#text_issue_detail',
	  file_picker_callback: function (callback, value, meta) {
		if (meta.filetype == 'image') {
			var input = document.getElementById('my-file');
			input.click();
			input.onchange = function () {
				var file = input.files[0];
				var reader = new FileReader();
				reader.onload = function (e) {
					callback(e.target.result, {
						alt: file.name
					});
				};
				reader.readAsDataURL(file);
			};
		}
	},
      height: 500,
      theme: 'modern',
      plugins: [
        'advlist autolink lists link charmap print preview hr anchor pagebreak',
        'searchreplace wordcount visualblocks visualchars code fullscreen',
        'insertdatetime nonbreaking save table contextmenu directionality',
        'emoticons template paste textcolor colorpicker textpattern codesample toc help'
      ],
      toolbar1: 'undo redo | insert | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link ',
      toolbar2: 'print preview | forecolor backcolor emoticons | codesample help',
      image_advtab: true,
      templates: [{
          title: 'Test template 1',
          content: 'Test 1'
        }
      ],
      content_css: []
    });
}  


(function($) {
	'use strict';
	if ($("#fileuploader").length) {
		var uploadObj = $("#fileuploader").uploadFile({
			url:SITEURL+"aj/upload-attachment/issue-tracking/issue_log/",
			multiple:false,
			fileName:"myfile",
			acceptFiles:"image/*, application/pdf, application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document",
			maxFileSize:1024*2000,
			onSuccess:function(files, data, xhr){
                
				var attachment_data_arr = data.split("~");
				$("#h_attachment_file_name").val(attachment_data_arr[0]);
				$("#h_attachment_file_format").val(attachment_data_arr[1]);
				$("#h_attachment_upload_date").val(attachment_data_arr[2]);
				$("#fileuploader input[type=file]").attr("disabled","disabled");
        	}
		});
	}
})(jQuery);

//  $('.form_date').datepicker(
// {
//     format:'mm/dd/yyyy',
//     defaultDate: '',
//     autoclose : true,
//     todayHighlight: true
// });
 
$("#combo_assigned_to").change(function()
{
   var user_id = $("#combo_assigned_to").val();
   var element_id = "assigned_to_img";
   GetAnyUserImage(element_id,user_id);     
});

$("#combo_issue_originator").change(function()
{
   var user_id = $("#combo_issue_originator").val();
   var element_id = "issue_originator_img";
   GetAnyUserImage(element_id,user_id);     
});

$("#combo_issue_status").change(function()
{
    /* && $("#text_resolution_notes").val()=='' */
   if($(this).val()=="Closed" )   
   {   
        $('html, body, #modal_new_issue').animate(
         {
             scrollTop: $("#div_close_resolve").offset().top
         },2500,'linear');

        $("#div_close_resolve :input").prop("disabled", false);
        $("#msg_close_resolve_save").text("First fill Close & Resolve");
        $("#msg_close_resolve_save").show().delay(5000).fadeOut();
        $("#combo_resolved_by").focus();
   }
   else
   {
       $("#div_close_resolve :input").prop("disabled", true);
       BlankCloseResolvedElements();
   }
});
$("#cmdSaveAll,#cmdSaveAll1").click(function()
{
    disableButton(".save_btn");
    var flag = true;
    var issue_priority = $("#combo_issue_priority").val();
    var issue_status = $("#combo_issue_status").val();
    var issue_urgency = $("#combo_issue_urgency").val();
    var issue_task_type = $("#combo_issue_task_type").val();
    var assigned_to = $("#combo_assigned_to").val();
    var issue_originator = $("#combo_issue_originator").val();
    
    var schedule_start_date = $("#schedule_start_date").val();
    var schedule_end_date = $("#schedule_end_date").val();
    var actual_start_date = $("#actual_start_date").val();
    var actual_end_date = $("#actual_end_date").val();
    var selected_id = $("#h_issue_id").val();
    var project_id = $("#h_project_id").val();
    form_element_correct($("#span_assigned_to"));
    form_element_correct($("#span_issue_originator"));
    form_element_correct($("#span_task"));
    
    if($("#combo_assigned_to").val()=="")
    {
        form_element_empty_err($("#span_assigned_to"));  
        alert("Select assigned to");
        $("#combo_assigned_to").focus();        
        flag = false;
        disableButton(".save_btn");
        return false;
    }
    if($("#combo_issue_originator").val()=="")
    {
        form_element_empty_err($("#span_issue_originator"));               
        flag = false;
        alert("Select issue originator");
        $("#combo_issue_originator").focus();   
        disableButton(".save_btn");
        return false;
    }
    
    var short_description = $("#text_short_description").val();
    var task_id = $("#combo_task").val();
    var selected_id = $("#h_issue_id").val();
    form_element_correct($("#combo_task"));
    if($("#combo_task").is(":visible"))
    {
        if($("#combo_task").val()=="")
        {
            form_element_empty_err($("#span_task"));
            flag = false;
            alert("Select Task");
            $("#combo_task").focus();  
            disableButton(".save_btn"); 
            return false;
        }
    }    
    form_element_correct($("#text_short_description"));
    if($("#text_short_description").val()=="")
    {
        //form_element_empty_err($("#text_short_description"));               
        flag = false;
        alert("Enter short description");
        $("#text_short_description").focus();  
        disableButton(".save_btn"); 
        return false;
    }
    
    
    var ed = tinyMCE.get('text_issue_detail');
    var issue_detail = ed.getContent();
    var internal_notes = $("#text_internal_notes").val();
    
    var resolved_by = $("#combo_resolved_by").val();
    var resolved_date = $("#resolved_date").val();
    var resolved_issue_how = $("#combo_resolved_issue_how").val();
    var resolution_notes = $("#text_resolution_notes").val();

    if($("#combo_issue_status").val()=="Closed")
    {
      
        form_element_correct($("#span_resolved_by"));
        form_element_correct($("#span_resolved_issue_how"));
        form_element_correct($("#resolved_date"));
        form_element_correct($("#text_resolution_notes"));
        
        if(resolved_by == "")
        {
            form_element_empty_err($("#span_resolved_by"));   
            flag = false;
            alert("Please select Resolved by");
            $("#combo_resolved_by").focus();
            disableButton(".save_btn");
            return false;
        }
        if(resolved_date == "")
        {
            form_element_empty_err($("#resolved_date"));   
            flag = false;
            alert("Please enter resolve date");
            $("#resolved_date").focus();
            disableButton(".save_btn");
            return false;
        }
        if(resolved_issue_how == "")
        {
            form_element_empty_err($("#span_resolved_issue_how"));   
            flag = false;
            alert("Please select solution approach");
            $("#combo_resolved_issue_how").focus();
            disableButton(".save_btn");
            return false;
        }
        if(resolution_notes == "")
        {
            //form_element_empty_err($("#text_resolution_notes"));   
            //flag = false;
            alert("Please enter resolution notes.");
            $("#text_resolution_notes").focus();
            disableButton(".save_btn");
            return false;
        }
    }
    /*var filename_list = [];
    var filentype_list = [];
    $('#table_issue_attachment tbody tr').each(function(n) 
    {
        filename_list.push($(this).find("td:eq(0)").text());
        filentype_list.push($(this).find("td:eq(1)").text());
    });
    */
   
    var filename_list = [];
    var filentype_list = [];
    var attachment_title_list = [];
    $('#tbody_issue_attachment tr').each(function(n) 
    {
        filename_list.push($(this).find("td:eq(2)").text());
        filentype_list.push($(this).find("td:eq(3)").text());
        attachment_title_list.push($(this).find("td:eq(1)").text());
    });
    
    
    var TotalAttachmentCount = $('#tbody_issue_attachment tr').length;
    $("#h_attachment_cnt").val(TotalAttachmentCount);
    
    if(flag==false){
        disableButton(".save_btn");
    }
   
    if (flag==true)
    {
        $.ajax({
                url: SITEURL+"aj/issue-tracking/",
                method: "POST",
                data: {REQUEST: 'save_issue_header_data',issue_priority:issue_priority,issue_status:issue_status,issue_urgency:issue_urgency,issue_task_type:issue_task_type,assigned_to:assigned_to,issue_originator:issue_originator,schedule_start_date:schedule_start_date,schedule_end_date:schedule_end_date,actual_start_date:actual_start_date,actual_end_date:actual_end_date,selected_id:selected_id,project_id:project_id,
                        task_id:task_id,short_description:short_description,selected_id:selected_id,issue_detail:issue_detail,internal_notes:internal_notes,resolved_by:resolved_by,resolved_date:resolved_date,resolved_issue_how:resolved_issue_how,resolution_notes:resolution_notes
                        ,filename_list:filename_list,filentype_list:filentype_list,attachment_title_list:attachment_title_list,attachment_count:$("#h_attachment_cnt").val()},
                success: function (response)
                {  
                    if(response.succ==1)
                    {
                       location.reload(); 
                         /*if (!jQuery.isEmptyObject(response.issue_header_data))
                        {
                            $("#h_issue_id").val(response.issue_header_data[0].issue_id);
                            $("#lbl_issue_no").text(response.issue_header_data[0].issue_number);
                            $("#lbl_issue_created_by").text(response.issue_header_data[0].created_by_name);
                            $("#lbl_issue_updated_by").text(response.issue_header_data[0].updated_by_name);
                            $("#lbl_issue_date_created").text(response.issue_header_data[0].creation_date);
                            $("#lbl_issue_date_updated").text(response.issue_header_data[0].last_update_date);
                        }
                        $("#msg_issue_header_save").show().delay(5000).fadeOut();
                        $("#sentitemx-tab").prop("disabled",false);
                        */
                    }
                } 
        });
    }    
});


$("#combo_assigned_to").change(function()
  {  
      if($("#combo_assigned_to").val()!='')
      {
          form_element_correct($("#span_assigned_to"));
      }
  });
  
$("#combo_issue_originator").change(function()
  {  
      if($("#combo_issue_originator").val()!='')
      {
          form_element_correct($("#span_issue_originator"));
      }
  });
  
  $("#combo_task").change(function()
  {  
      if($("#combo_task").val()!='')
      {
          form_element_correct($("#span_task"));
      }
  });
  

$("#combo_resolved_by").change(function()
  {  
      if($("#combo_resolved_by").val()!='')
      {
          form_element_correct($("#span_resolved_by"));
      }
  });
  
  $("#resolved_date").change(function()
  {  
      if($("#resolved_date").val()!='')
      {
          form_element_correct($("#resolved_date"));
      }
  });
  
  $("#combo_resolved_issue_how").change(function()
  {  
      if($("#combo_resolved_issue_how").val()!='')
      {
          form_element_correct($("#span_resolved_issue_how"));
      }
  });
  
  
  
  
$("#cmdSaveIssueHeader").click(function()
{
    var flag = true;
    var issue_priority = $("#combo_issue_priority").val();
    var issue_status = $("#combo_issue_status").val();
    var issue_urgency = $("#combo_issue_urgency").val();
    var issue_task_type = $("#combo_issue_task_type").val();
    var assigned_to = $("#combo_assigned_to").val();
    var issue_originator = $("#combo_issue_originator").val();
    
    var schedule_start_date = $("#schedule_start_date").val();
    var schedule_end_date = $("#schedule_end_date").val();
    var actual_start_date = $("#actual_start_date").val();
    var actual_end_date = $("#actual_end_date").val();
    var selected_id = $("#h_issue_id").val();
    var project_id = $("#h_project_id").val();
    form_element_correct($("#span_assigned_to"));
    form_element_correct($("#span_issue_originator"));
    if($("#combo_assigned_to").val()=="")
    {
        form_element_empty_err($("#span_assigned_to"));               
        flag = false;
    }
    if($("#combo_issue_originator").val()=="")
    {
        form_element_empty_err($("#span_issue_originator"));               
        flag = false;
    }


    if (flag==true)
    {
        $.ajax({
                url: SITEURL+"aj/issue-tracking/",
                method: "POST",
                data: {REQUEST: 'save_issue_header_data',issue_priority:issue_priority,issue_status:issue_status,issue_urgency:issue_urgency,issue_task_type:issue_task_type,assigned_to:assigned_to,issue_originator:issue_originator,schedule_start_date:schedule_start_date,schedule_end_date:schedule_end_date,actual_start_date:actual_start_date,actual_end_date:actual_end_date,selected_id:selected_id,project_id:project_id},
                success: function (response)
                {  
                    if(response.succ==1)
                    {
                         if (!jQuery.isEmptyObject(response.issue_header_data))
                        {
                            $("#h_issue_id").val(response.issue_header_data[0].issue_id);
                            $("#lbl_issue_no").text(response.issue_header_data[0].issue_number);
                            $("#lbl_issue_created_by").text(response.issue_header_data[0].created_by_name);
                            $("#lbl_issue_updated_by").text(response.issue_header_data[0].updated_by_name);
                            $("#lbl_issue_date_created").text(response.issue_header_data[0].creation_date);
                            $("#lbl_issue_date_updated").text(response.issue_header_data[0].last_update_date);
                        }
                        $("#msg_issue_header_save").show().delay(5000).fadeOut();
                        $("#sentitemx-tab").prop("disabled",false);
                    }
                } 
        });
    }    
});

$("#cmdSaveShortDesc").click(function()
{
    var short_description = $("#text_short_description").val();
    var task_id = $("#combo_task").val();
    var selected_id = $("#h_issue_id").val();
    if(selected_id=="")
    {
        $("#msg_short_descr_save").text("First Save Header Data");
        $("#msg_short_descr_save").show().delay(5000).fadeOut();
    }
    else
    {
        var flag = true;  
        
        form_element_correct($("#combo_task"));
        if($("#combo_task").val()=="")
        {
            form_element_empty_err($("#combo_task"));
            flag = false;
        }
        
        form_element_correct($("#text_short_description"));
        if($("#text_short_description").val()=="")
        {
            form_element_empty_err($("#text_short_description"));               
            flag = false;
        }

        if(flag==true)
        {
            $.ajax({
                     url: SITEURL+"aj/issue-tracking/",
                     method: "POST",
                     data: {REQUEST: 'save_issue_short_description',task_id:task_id,short_description:short_description,selected_id:selected_id},
                     success: function (response)
                     {  
                         if(response.succ==1)
                         {
                             $("#msg_short_descr_save").text("Record has been updated.");
                             $("#msg_short_descr_save").show().delay(5000).fadeOut();
                         }
                     } 
             });
        }     
    }       
});

$("#cmdSaveIssueDetail").click(function()
{
    var selected_id = $("#h_issue_id").val();
    if(selected_id=="")
    {
        $("#msg_issue_detail_save").text("First Save Header Data");
        $("#msg_issue_detail_save").show().delay(5000).fadeOut();
    }
    else
    {
        var flag = true;  
        var ed = tinyMCE.get('text_issue_detail');
        var issue_detail = ed.getContent();
        form_element_correct($("#msg_issue_detail_save"));

        if(issue_detail=="")
        {
            form_element_empty_err($("#msg_issue_detail_save"));               
            flag = false;
        }

        if(flag==true)
        {

          $.ajax({
                url: SITEURL+"aj/issue-tracking/",
                method: "POST",
                data: {REQUEST: 'save_issue_detail_data',issue_detail:issue_detail,selected_id:selected_id},
                success: function (response)
                {  
                    if(response.succ==1)
                    {
                        $("#msg_issue_detail_save").text("Record has been updated.");
                        $("#msg_issue_detail_save").show().delay(5000).fadeOut();
                    }
                } 
          });  
        }    
    }       
});


$("#cmdSaveInternalNotes").click(function()
{
    var internal_notes = $("#text_internal_notes").val();
    var selected_id = $("#h_issue_id").val();
    if(selected_id=="")
    {
        $("#msg_internal_notes_save").text("First Save Header Data");
        $("#msg_internal_notes_save").show().delay(5000).fadeOut();
    }
    else
    {
        $.ajax({
                  url: SITEURL+"aj/issue-tracking/",
                  method: "POST",
                  data: {REQUEST: 'save_issue_internal_notes',internal_notes:internal_notes,selected_id:selected_id},
                  success: function (response)
                  {  
                      if(response.succ==1)
                      {
                          $("#msg_internal_notes_save").text("Record has been updated.");
                          $("#msg_internal_notes_save").show().delay(5000).fadeOut();
                      }
                  } 
           });    
    }       
});

$("#cmdSaveCloseResolve").click(function()
{
    if($("#combo_issue_status").val()=="Closed")
    {
        
        var resolved_by = $("#combo_resolved_by").val();
        var resolved_date = $("#resolved_date").val();
        var resolved_issue_how = $("#combo_resolved_issue_how").val();
        var resolution_notes = $("#text_resolution_notes").val();

        var selected_id = $("#h_issue_id").val();

        form_element_correct($("#span_resolved_by"));
        form_element_correct($("#span_resolved_issue_how"));
        form_element_correct($("#resolved_date"));
        form_element_correct($("#text_resolution_notes"));
        if(selected_id=="")
        {
            $("#msg_close_resolve_save").text("First Save Header Data");
            $("#msg_close_resolve_save").show().delay(5000).fadeOut();
        }
        else
        {

            var flag = true;
            if(resolved_by == "")
            {
                form_element_empty_err($("#span_resolved_by"));   
                flag = false;
            }
            if(resolved_date == "")
            {
                form_element_empty_err($("#resolved_date"));   
                flag = false;
            }
            if(resolved_issue_how == "")
            {
                form_element_empty_err($("#span_resolved_issue_how"));   
                flag = false;
            }
            if(resolution_notes == "")
            {
                form_element_empty_err($("#text_resolution_notes"));   
                flag = false;
            }
            if(flag==true)
            {
                
                $("#cmdSaveIssueHeader").click();
                
                $.ajax({
                       url: SITEURL+"aj/issue-tracking/",
                       method: "POST",
                       data: {REQUEST: 'save_close_and_resolve',resolved_by:resolved_by,resolved_date:resolved_date,resolved_issue_how:resolved_issue_how,resolution_notes:resolution_notes,selected_id:selected_id},
                       success: function (response)
                       {  
                           if(response.succ==1)
                           {
                               $("#msg_close_resolve_save").text("Record has been updated.");
                               $("#msg_close_resolve_save").show().delay(5000).fadeOut();
                           }
                       } 
               });
           }   
        }
    }
    else
    {
        $("#msg_close_resolve_save").text("First Set Status Close");
        $("#msg_close_resolve_save").show().delay(5000).fadeOut();
    }
});
$("#cmd_issue_attach1").click(function(){
	
	form_element_correct($("#issue_attachment"));
	
	var h_client_attachment_cnt = $('#table_issue_attachment tbody tr').length;;//$("#h_client_attachment_cnt").val();	
	var h_attachment_file_name = $("#h_attachment_file_name").val();
	var h_attachment_file_format= $("#h_attachment_file_format").val();
	var h_attachment_upload_date= $("#h_attachment_upload_date").val();
	if(h_attachment_file_name=="" || h_attachment_file_format=="" || h_attachment_upload_date=="")
        {
            form_element_empty_err($("#issue_attachment"));
            return false;
	}
        else
        {
            //'<td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="'+h_client_attachment_cnt+'" onClick="deleteAttachmentRow(\'attachment_row_id_'+h_client_attachment_cnt+'\')" title="Delete"><i class="fa fa-trash"></i></a></td>'+
            //'<td>'+h_attachment_file_name+'</td>'+
            var row = '<tr class ="new" id="attachment_row_id_'+h_client_attachment_cnt+'">'+            
            '<td>'+h_attachment_file_name+'<input type="hidden" value=""></td>'+
            '<td>'+h_attachment_file_format+'</td>'+
            '<td>'+h_attachment_upload_date+'</td>'+
            '<td><button class="btn  btn-sm delete_record" type = "button" ><i class="fa fa-trash"></i></button></td>'+
            '</tr>';
            $("#table_issue_attachment tbody").append(row);		
            $("#issue_attachment input[type=file]").removeAttr("disabled");
            h_client_attachment_cnt++;		
	}
});
$("#cmd_issue_attach").click(function(){
	form_element_correct($("#text_attachment_title"));
	form_element_correct($("#fileuploader"));
	
	//var attach_counter = 1;
        var attach_counter = $('#table_issue_attachment tbody tr').length;
	var text_attachment_title 	= $("#text_attachment_title").val();
	var h_attachment_file_name	= $("#h_attachment_file_name").val();
	var h_attachment_file_format= $("#h_attachment_file_format").val();
	var h_attachment_upload_date= $("#h_attachment_upload_date").val();
        
        
        attach_counter = parseInt(attach_counter)+1;
	if(text_attachment_title==""){
		//alert("Please select attachment type.");
		form_element_empty_err($("#text_attachment_title"));
		return false;
	}else if(h_attachment_file_name=="" || h_attachment_file_format=="" || h_attachment_upload_date==""){
		//alert("Something went wrong. Please uplaod attachment file again.");
		form_element_empty_err($("#fileuploader"));
		return false;
	}else{
		var markup = '<tr id="attachment_row_id_'+attach_counter+'"><td>'+attach_counter+'</td><td>'+text_attachment_title+'<input type="hidden" class="form-control" id="text_attachment_title_'+attach_counter+'" name="text_attachment_title_'+attach_counter+'" value="'+text_attachment_title+'" /></td><td>'+h_attachment_file_name+'<input type="hidden" class="form-control" id="h_attachment_file_name_'+attach_counter+'" name="h_attachment_file_name_'+attach_counter+'" value="'+h_attachment_file_name+'" /></td><td>'+h_attachment_file_format+'<input type="hidden" class="form-control" id="h_attachment_file_format_'+attach_counter+'" name="h_attachment_file_format_'+attach_counter+'" value="'+h_attachment_file_format+'" /></td><td>'+h_attachment_upload_date+'<input type="hidden" class="form-control" id="h_attachment_upload_date_'+attach_counter+'" name="h_attachment_upload_date_'+attach_counter+'" value="'+h_attachment_upload_date+'" /></td><td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="'+attach_counter+'" onClick="deleteAttachmentRow(\'attachment_row_id_'+attach_counter+'\')" title="Delete"><i class="fa fa-trash"></i></a></td></tr>';
		
		$("#tbody_issue_attachment").append(markup);		
		$(".ajax-file-upload-container").html("");
		$("#fileuploader input[type=file]").removeAttr("disabled");
		attach_counter++;
                $("#text_attachment_title").val("");
		
	}
});
$(".delete-att-row").click(function()
{
    $(this).closest('tr').empty();
});

function deleteAttachmentRow(row_id){
	$("#"+row_id).remove();
	var h_client_attachment_cnt = $("#h_client_attachment_cnt").val();
	h_client_attachment_cnt--;
	$("#h_client_attachment_cnt").val(h_client_attachment_cnt);
}
/*
$("#cmdSaveIssueAttachment").click(function()
{
    var selected_id = $("#h_issue_id").val();
    if(selected_id=="")
    {
        $("#msg_issue_attachment_save").text("First Save Header Data");
        $("#msg_issue_attachment_save").show().delay(5000).fadeOut();
    }
    else
    {
        var filename_list = [];
        var filentype_list = [];
        $('#table_issue_attachment tbody tr').each(function(n) 
        {
            filename_list.push($(this).find("td:eq(0)").text());
            filentype_list.push($(this).find("td:eq(1)").text());
        });
        
        form_element_correct($("#msg_issue_attachment_save"));
        var total_rows = $('#table_issue_attachment tbody tr').length;
        if(total_rows==0)
        {
            $("#msg_issue_attachment_save").text("There is no record to save.");
            $("#msg_issue_attachment_save").show().delay(5000).fadeOut();
            return false;
        }
        else
        {
            $.ajax({
                  url: SITEURL+"aj/issue-tracking/",
                  method: "POST",
                  data: {REQUEST: 'save_issue_attachment',filename_list:filename_list,filentype_list:filentype_list,selected_id:selected_id},
                  success: function (response)
                  {  
                      if(response.succ==1)
                      {
                          $("#msg_issue_attachment_save").text("Record has been updated.");
                          $("#msg_issue_attachment_save").show().delay(5000).fadeOut();
                      }
                  } 
           });   
       }   
    }   
    
});*/
function OpenModalIssueDataBlank()
{
    $("#h_issue_id").val('');
    $("#h_project_id").val('');
    
    $("#lblIssue_title").text("Open An Issue");
    $("#lbl_issue_no").text("");                            
    $("#lbl_issue_created_by").text("");
    $("#lbl_issue_updated_by").text("");
    $("#lbl_issue_date_created").text("");
    $("#lbl_issue_date_updated").text("");

    $("#combo_issue_priority").prop("selectedIndex", 0);
    
    $("#combo_issue_status").prop("selectedIndex", 0);
    $('#combo_issue_status').select2();

    $("#combo_issue_urgency").prop("selectedIndex", 0);
    $('#combo_issue_urgency').select2();
    
    $("#combo_issue_task_type").prop("selectedIndex", 0);
    $('#combo_issue_task_type').select2();

    $("#combo_assigned_to").val("");
    $('#combo_assigned_to').select2();
    $("#combo_issue_originator").val("");
    $('#combo_issue_originator').select2();

    $("#schedule_start_date").val("");
    $("#schedule_end_date").val("");      
    $("#actual_start_date").val("");
    $("#actual_end_date").val("");     
    
    $("#combo_task").val("");
    $("#text_short_description").val("");

    var ed = tinyMCE.get('text_issue_detail');
    ed.setContent('');
    
    $("#issue_attachment").val('');
    $(".ajax-file-upload-statusbar").text("");
    $('#table_issue_attachment tbody').empty();
    
    $("#text_internal_notes").val("");  

    BlankCloseResolvedElements();    
    setDropdownRequiredBackground();
    
    $("#div_close_resolve :input").prop("disabled", true);
    $("#inbox-tab").trigger("click");    
    $("#sentitemx-tab").prop("disabled",true);
    GetProjectDetails('',''); 
    
    
    $("#text_attachment_title").val("");
    $(".ajax-file-upload-container").html("");    
    
    form_element_correct($("#span_assigned_to"));
    form_element_correct($("#span_issue_originator"));
    form_element_correct($("#combo_task"));
    form_element_correct($("#text_short_description"));

    form_element_correct($("#span_resolved_by"));
    form_element_correct($("#span_resolved_issue_how"));
    form_element_correct($("#resolved_date"));
    form_element_correct($("#text_resolution_notes"));
    
    
}
function BlankCloseResolvedElements()
{
    $("#combo_resolved_by").val("");
    $('#combo_resolved_by').select2();
    $("#resolved_date").val("");
    $("#combo_resolved_issue_how").val("");
    $('#combo_resolved_issue_how').select2();
    $("#text_resolution_notes").val("");
    setDropdownRequiredBackground();
}
function OpenModalIssueData(selected_id)
{
    $.ajax({
                url: SITEURL+"aj/issue-tracking/",
                method: "POST",
                data: {REQUEST: 'get_issue_all_data',issue_id:selected_id},
                beforeSend: function() 
                {
                     $(".rploader").fadeIn(400);
                },
                success:function(response)
                {
                    setTimeout(function(){
                    $(".rploader").fadeOut(400);
                    
                    if(response.succ==1)
                    {  
                        /*console.log("khyati" + response.issue_all_data[0].task_id);*/
                        if (!jQuery.isEmptyObject(response.issue_all_data[0]))
                        {
                            $("#inbox-tab").trigger("click");
                            $("#sentitemx-tab").prop("disabled",false);
                            show_issue_tracking_update_history();
                            $("#h_project_id").text(response.issue_all_data[0].project_id);
                            GetProjectDetails(response.issue_all_data[0].project_id, response.issue_all_data[0].task_id);
                            /*
                            $("#lbl_popup_project_number").text(response.issue_all_data[0].project_number);
                            $("#lbl_popup_project_sch_start_date").text(response.issue_all_data[0].project_schedule_start_date);
                            $("#lbl_popup_project_sch_end_date").text(response.issue_all_data[0].project_schedule_end_date);
                            $("#lbl_popup_project_name").text("Project : "+response.issue_all_data[0].project_name);
                            */
                            $("#lblIssue_title").text(response.issue_all_data[0].issue_number);
                            $("#lbl_issue_no").text(response.issue_all_data[0].issue_number);                            
                            $("#lbl_issue_created_by").text(response.issue_all_data[0].created_by_name);
                            $("#lbl_issue_updated_by").text(response.issue_all_data[0].updated_by_name);
                            $("#lbl_issue_date_created").text(response.issue_all_data[0].creation_date);
                            $("#lbl_issue_date_updated").text(response.issue_all_data[0].last_update_date);
                            
                            $("#combo_issue_priority").val(response.issue_all_data[0].issue_priority);
                            $('#combo_issue_priority').select2();
                            $("#combo_issue_status").val(response.issue_all_data[0].issue_status);
                            $('#combo_issue_status').select2();
                            
                            $("#combo_issue_urgency").val(response.issue_all_data[0].issue_urgency);
                            $('#combo_issue_urgency').select2();
                            $("#combo_issue_task_type").val(response.issue_all_data[0].task_type);
                            $('#combo_issue_task_type').select2();
                           
                            $("#combo_assigned_to").val(response.issue_all_data[0].assigned_user_id);
                            $('#combo_assigned_to').select2();
                            $("#combo_issue_originator").val(response.issue_all_data[0].originator_id);
                            $('#combo_issue_originator').select2();
                           
                           
                            $("#schedule_start_date").val(response.issue_all_data[0].schedule_start_date);                           
                            $("#schedule_end_date").val(response.issue_all_data[0].schedule_end_date);      
                            $("#actual_start_date").val(response.issue_all_data[0].actual_start_date);                           
                            $("#actual_end_date").val(response.issue_all_data[0].actual_end_date);     
                            /*$("#combo_task").val(response.issue_all_data[0].task_id);     
                            $('#combo_task').select2();*/
                            $("#text_short_description").val(response.issue_all_data[0].short_description);     
                            
                            
                            var ed = tinyMCE.get('text_issue_detail');                           
                            ed.setProgressState(1); // Show progress
                            window.setTimeout(function() 
                            {
                                ed.setProgressState(0); // Hide progress
                                ed.setContent('');
                                ed.setContent(response.issue_all_data[0]['long_descr']);
                            }, 3000);
                            
                            $("#text_internal_notes").val(response.issue_all_data[0].internal_notes);  
                            
                            $("#combo_resolved_by").val(response.issue_all_data[0].resolved_by_id);  
                            $('#combo_resolved_by').select2();
                            $("#resolved_date").val(response.issue_all_data[0].resolved_date);  
                            $("#combo_resolved_issue_how").val(response.issue_all_data[0].resolved_issue_how);  
                            $('#combo_resolved_issue_how').select2();
                            $("#text_resolution_notes").val(response.issue_all_data[0].resolved_reason); 
                            
                            if(response.issue_all_data[0].issue_status=="Closed")
                            {
                                $("#div_close_resolve :input").prop("disabled", false);
                            }
                            else
                            {
                                $("#div_close_resolve :input").prop("disabled", true);
                                
                            }
                                
                            var counter = 1;
                            $('#table_issue_attachment tbody').empty();
                            $.each( response.issue_all_data, function( key, value ) 
                            {
                                if(value.file_name!='')
                                {
                                   
                                    //'<td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="'+counter+'" onClick="deleteAttachmentRow(\'attachment_row_id_'+counter+'\')" title="Delete"><i class="fa fa-trash"></i></a></td>'+
                                    var attachment_url = SITEURL+"img/uploads/issue_attachment/"+value.file_name;
                                    /*var row = '<tr id="attachment_row_id_'+counter+'">'+
                                    '<td> <a href ="'+attachment_url+'" download>'+value.file_name+'<input type="hidden" value="'+value.attachment_id+'"></td>'+
                                    '<td> '+value.file_format+'</td>'+
                                    '<td>'+value.uploade_date+'</td>'+
                                    '<td><button class="btn  btn-sm delete_record" type = "button" ><i class="fa fa-trash"></i></button></td>'+                                    
                                    '</tr>';*/
                                    
                                    /*
                                    var row = '<tr id="attachment_row_id_'+counter+'">'+'<td>'+counter+'</td><td>'+value.attachment_title+'<input type="hidden" class="form-control" id="text_attachment_title_'+counter+'" name="text_attachment_title_'+counter+'" value="'+value.attachment_title+'" /></td>'+
                                    '<td> <a href ="'+attachment_url+'" download>'+value.file_name+'<input type="hidden" value="'+value.attachment_id+'"></td>'+
                                    '<td> '+value.file_format+'</td>'+
                                    '<td>'+value.uploade_date+'</td>'+
                                    '<td><button class="btn  btn-sm delete_record" type = "button" ><i class="fa fa-trash"></i></button></td>'+                                    
                                    '</tr>';
                                    */
                                    text_attachment_title = value.attachment_title;
                                    h_attachment_file_name = value.file_name;
                                    h_attachment_file_format = value.file_format;
                                    h_attachment_upload_date = value.uploade_date;
                                    
                                    
                                    markup = '<tr id="attachment_row_id_'+counter+'"><td>'+counter+'</td><td>'+text_attachment_title+'<input type="hidden" class="form-control" id="text_attachment_title_'+counter+'" name="text_attachment_title_'+counter+'" value="'+text_attachment_title+'" /></td>'+
                                            '<td><a href ="'+attachment_url+'" download>'+h_attachment_file_name+'</a><input type="hidden" class="form-control" id="h_attachment_file_name_'+counter+'" name="h_attachment_file_name_'+counter+'" value="'+h_attachment_file_name+'" /></td><td>'+h_attachment_file_format+'<input type="hidden" class="form-control" id="h_attachment_file_format_'+counter+'" name="h_attachment_file_format_'+counter+'" value="'+h_attachment_file_format+'" /></td><td>'+h_attachment_upload_date+'<input type="hidden" class="form-control" id="h_attachment_upload_date_'+counter+'" name="h_attachment_upload_date_'+counter+'" value="'+h_attachment_upload_date+'" /></td><td><a href="javascript:void(0);" class="btn btn-sm delete_record1 delete-att-row" data-attachment_row_id="'+counter+'" onClick="deleteAttachmentRow(\'attachment_row_id_'+counter+'\')" title="Delete"><i class="fa fa-trash"></i></a></td></tr>';
                                    
                                    $("#table_issue_attachment tbody").append(markup);   
                                    counter++;
                                }    
                            });
                            setDropdownRequiredBackground();
                            
                            $("#combo_issue_priority").focus();
                            
                            
                            
                            if(response.issue_all_data[0].current_user_id!=response.issue_all_data[0].created_by)
                            {
                                $("#combo_issue_priority").select2({disabled:'readonly'});
                                $("#combo_issue_status").select2({disabled:'readonly'});
                                $("#combo_issue_urgency").select2({disabled:'readonly'});
                                $("#combo_issue_task_type").select2({disabled:'readonly'});
                                $("#combo_assigned_to").select2({disabled:'readonly'});
                                $("#combo_issue_originator").select2({disabled:'readonly'});
                                $("#combo_task").select2({disabled:'readonly'});
                                
                                
                                $("#schedule_start_date").prop("readonly", true);
                                $("#schedule_end_date").prop("readonly", true);
                                
                                $("#actual_start_date").prop("readonly", true);
                                $("#actual_end_date").prop("readonly", true);
                                $('#text_issue_detail').prop('readonly', true);
                                
                                
                                var ed = tinyMCE.get('text_issue_detail');
                                ed.setMode('readonly');
                                
                                
                                //$("#issue_attachment").prop("readonly",true);
                                $('#cmd_issue_attach').prop('disabled', true); 
                                $('#text_internal_notes').prop('readonly', true);
                                
                                $("#text_short_description").prop("readonly", true);                                
                            }
                            
                            if(response.issue_all_data[0].resolved_by_id!=0)
                            {
                                $("#cmdSaveAll").prop("disabled",true);
                                $("#cmdSaveAll1").prop("disabled",true);
                                $("#btn_close_resolve").prop("disabled",true);
                                $("#cmdPost").prop("disabled",true);
                            }
                            setDatePicker('#schedule_start_date', '#schedule_end_date');
		                    setDatePicker('#actual_start_date', '#actual_end_date');
                        }
                                              
                    }
                    },1000);
                }
        });   
}  


function GetProjectDetails(project_id,task_id)
{
    var var1;
    if(project_id=='')
    {
        var1 = $("#combo_project1").val();
    }
    else
    {
        var1 = project_id;
    }    
    $('#combo_task').empty();       
    
    if(var1=="" || var1==0)
    {
        $("#div_project_data").hide();
        $("#div_task").children().hide();        
    }
    else
    {
        $("#div_project_data").show();
        $("#div_task").children().show();
    }
        $.ajax({
                url: SITEURL+"aj/issue-tracking/",
                method: "POST",
                data: {REQUEST: 'get_project_details',project_id:var1},
               beforeSend: function() 
               {
                    $(".rploader").fadeIn(200);
               },
                success:function(response)
                {
                    setTimeout(function(){
                    $(".rploader").fadeOut(200);
                    
                    if(response.succ==1)
                    {  
                        console.log(response);
                        if (!jQuery.isEmptyObject(response.result_data))
                        {
                            $("#h_project_id").val(response.result_data[0].project_id);
                            $("#lbl_popup_project_number").text(response.result_data[0].project_number);
                            $("#lbl_popup_project_sch_start_date").text(response.result_data[0].schedule_start_date);
                            $("#lbl_popup_project_sch_end_date").text(response.result_data[0].schedule_end_date);
                            $("#lbl_popup_project_name").text("Project : "+response.result_data[0].project_name);
                            var list_val = "<option value=''> - Select Task -</option>";
                            $('#combo_task').append(`${list_val}`);
                            $.each( response.result_data, function( key, value ) 
                            {
                                if(task_id!='' && value.task_id == task_id)
                                {
                                    list_val= '<option value="'+value.task_id+'" selected>'+value.task_name+'</option>';
                                }
                                else
                                {
                                    list_val= '<option value="'+value.task_id+'">'+value.task_name+'</option>';
                                }
                                
                                $('#combo_task').append(`${list_val}`);
                            });
                        }                     
                    }
                    else
                    {
                        var list_val = "<option value=''> - Select Task -</option>";
                        $('#combo_task').append(`${list_val}`);
                        $("#h_project_id").val('');
                        $("#lbl_popup_project_number").text('');
                        $("#lbl_popup_project_sch_start_date").text('');
                        $("#lbl_popup_project_sch_end_date").text('');
                        $("#lbl_popup_project_name").text('');
                    }
                    },1000);
                }
        });   
    
}


$(document).on("click",".delete_record",function()
{
    var selected_id = $(this).parents('tr').find('input[type="hidden"]').val();
    var current_row =  $(this).closest('tr').attr('id'); // table row ID 
    $("#h_deleteid").val(selected_id);
    $("#h_current_row").val(current_row);

    $('#modalDeleteAttachment').modal('show');

});

$('#cmdModalDeleteCancel').click(function()
{
    $("#h_deleteid").val('');
    $("#modalDeleteAttachment").modal("hide");
});


$('#cmdModalDelete').click(function()
{
    var issue_id = $("#h_issue_id").val();
    var current_row = $("#h_current_row").val();

    if ( $( "#"+current_row ).is( ".new" ) ) 
    {
        $("#"+current_row).remove();
        $('#modalDeleteAttachment').modal('hide');
    }
    else
    {
        $.ajax({
                url: SITEURL+"aj/issue-tracking/",
                method: "POST",
                data: {REQUEST: 'delete_upload_data', issue_id:issue_id, attachment_id: $("#h_deleteid").val()},
                success: function (response)
                {  
                    if(response.succ==1)
                    {
                        $("#"+current_row).remove();
                        $('#modalDeleteAttachment').modal('hide');
                    }
                }
            });
    }
});
        
$("#btn_close_resolve").click(function()
{
    $("#combo_issue_status").val('Closed');
    $("#combo_issue_status").select2();
    setDropdownRequiredBackground();
    $("#combo_issue_status").change(); 
});

$("#sentitemx-tab").click(function()
{
   $("#text_update_issue").focus();
   show_issue_tracking_update_history();
});

 $("#cmdPost").click(function()
  {
    var issue_id = $("#h_issue_id").val();
    var update_text = $("#text_update_issue").val();
    if(update_text=="")
    {
        alert("Please enter update issue.");
        $("#text_update_issue").focus();
        return false;
    }
    $.ajax({
      url:SITEURL+"aj/issue-tracking/",
      method:"POST",        
      data: {REQUEST: 'save_issue_tracking_update_data',issue_id:issue_id,update_text:update_text},

      success:function(response)
      {
            $("#text_update_issue").val('');
            $("#div_timeline").empty();
            if (!jQuery.isEmptyObject(response.history_data))
            {
                data = GenerateIssueTrackingTimeline(response.history_data);
                $("#div_timeline").append(data);
            }
            setTimeout(function()
                        {
				getActivityData1();
                                
			},500);
      }
      });
  });
  
  function getActivityData1()
{
    $.ajax({
		url: SITEURL+"aj/issue-tracking/reports/",
		method: "POST",		
                data: {REQUEST: 'get_issue_activity_trail',issue_id:$("#h_issue_id").val()},
		beforeSend: function() 
                {
                    $("#results_tab_2").fadeOut(500);
                    $(".loading-div").fadeIn(800);
		},
		success: function (response)
                { 
			setTimeout(function()
                        {
				$(".loading-div").hide();
				$("#div_activity_trail").html(response);
				$("#div_activity_trail").fadeIn(500);
                                
			},500);
			
		}
	});
}
  
  
  function GenerateIssueTrackingTimeline(history_data)
  {
      
     var div_data = ""; 
    $.each( history_data, function( key, value ) 
    {
        var inverted_class = "";
        if(key%2==1)
        {
            inverted_class = "timeline-wrapper-success timeline-inverted";
        }
        else 
        {
            inverted_class = "timeline-wrapper-warning ";
        }
        var img_src = "";
        if (value.image_name=="")
        {
            img_src = "images/faces/default_face.png";
        }
        else
        {
            img_src = "img/uploads/user_images/"+value.image_name;
        } 
        data = "";
        data += '<div class="timeline-wrapper '+inverted_class+'">';
        data += '<div class="timeline-badge"></div>';
        data += '<div class="timeline-panel">';

        data += '<div class="timeline-heading">';
        data += '<div class="d-flex align-items-center pb-3 border-bottom">';
        data += '<img class="img-sm rounded-circle" src="'+img_src+'" alt="profile">';
        data += '<h6 class=" pl-3 timeline-title">Date: '+value.creation_date+'<br>'+value.created_timezone+'</h6>';
        data += '</div>';
        data += '</div>';


        data += '<div class="timeline-body pt-3">';
        data += '<h6 class="timeline-title"><label class="text-secondary">'+value.last_udpated_by+'</label> Updated</h6>';
        data += '<p>'+ value.update_text+'</p>';        
        data += '</div>';

        data += '</div>';
        data += '</div>';
        div_data += data;
        //$("#div_timeline").append(data);
    });
    return div_data;
  }
  
  function show_issue_tracking_update_history()
  {
    var issue_id = $("#h_issue_id").val();
      
    $.ajax({
      url:SITEURL+"aj/issue-tracking/",
      method:"POST",
      data: {REQUEST: 'get_issue_tracking_update_data',issue_id:issue_id},
      success:function(response)
      {
          $("#text_update_issue").focus();
          //$("#text_update_issue").setFocus(1);          
          $("#div_timeline").empty();
          console.log(response);
          var data = "";
          if (!jQuery.isEmptyObject(response.history_data))
          {
              data = GenerateIssueTrackingTimeline(response.history_data);
              $("#div_timeline").append(data);
          }
      }
    });
  }
  
  $("#cmd_support_attach").click(function(){
	form_element_correct($("#text_attachment_title"));
	form_element_correct($("#fileuploader"));
	
	var attach_counter = 1;
	var text_attachment_title 	= $("#text_attachment_title").val();
	var h_attachment_file_name	= $("#h_attachment_file_name").val();
	var h_attachment_file_format= $("#h_attachment_file_format").val();
	var h_attachment_upload_date= $("#h_attachment_upload_date").val();
	if(text_attachment_title==""){
		//alert("Please select attachment type.");
		form_element_empty_err($("#text_attachment_title"));
		return false;
	}else if(h_attachment_file_name=="" || h_attachment_file_format=="" || h_attachment_upload_date==""){
		//alert("Something went wrong. Please uplaod attachment file again.");
		form_element_empty_err($("#fileuploader"));
		return false;
	}else{
		var markup = '<tr id="attachment_row_id_'+attach_counter+'"><td>'+attach_counter+'</td><td>'+text_attachment_title+'<input type="hidden" class="form-control" id="text_attachment_title_'+attach_counter+'" name="text_attachment_title_'+attach_counter+'" value="'+text_attachment_title+'" /></td><td>'+h_attachment_file_name+'<input type="hidden" class="form-control" id="h_attachment_file_name_'+attach_counter+'" name="h_attachment_file_name_'+attach_counter+'" value="'+h_attachment_file_name+'" /></td><td>'+h_attachment_file_format+'<input type="hidden" class="form-control" id="h_attachment_file_format_'+attach_counter+'" name="h_attachment_file_format_'+attach_counter+'" value="'+h_attachment_file_format+'" /></td><td>'+h_attachment_upload_date+'<input type="hidden" class="form-control" id="h_attachment_upload_date_'+attach_counter+'" name="h_attachment_upload_date_'+attach_counter+'" value="'+h_attachment_upload_date+'" /></td><td><a href="javascript:void(0);" class="btn btn-sm delete-att-row" data-attachment_row_id="'+attach_counter+'" onClick="deleteAttachmentRow(\'attachment_row_id_'+attach_counter+'\')" title="Delete"><i class="fa fa-trash"></i></a></td></tr>';
		
		$("#tbody_tech_support_attachment").append(markup);
		
		//$("#projects_attachment_div").find(".brow").val("");
		//$("#combo_attachment_type").select2();
		$(".ajax-file-upload-container").html("");
		$("#fileuploader input[type=file]").removeAttr("disabled");
		attach_counter++;
		//$("#h_projects_attachment_cnt").val(h_projects_attachment_cnt);
		//$("#modal_msg_invoice_payments").text("");
	}
});