$(document).ready(function() {
	/****************************************************/
	/*
		Project And Task JS - Start
	*/
	if($('#report_project_and_task_status_div').length>0){
		$('#report_project_and_task_status_div #search_form').on('submit', function (e) {
			e.preventDefault();
			getProjectAndTaskStatusReportData();
		});
		/*****************/
		$("#report_project_and_task_status_div #combo_project_id").change(function(){
			$("#report_project_and_task_status_div #project_lbl").text("");
			if($(this).val()!=""){
				$("#report_project_and_task_status_div #project_lbl").text("Project: "+$(this).find("option:selected").text());
			}
		});
		/*****************/
		$("#report_project_and_task_status_div .exp-col-btn").click(function() { 
			if($(this).text() == " Collapse All") { 
				$(this).text(" Expand All"); 
				$(this).prepend('<i class="fa fa-plus-square"></i>');
			}else{ 
				$(this).text(" Collapse All");
				$(this).prepend('<i class="fa fa-minus-square"></i>');
			}
			$("#report_project_and_task_status_div .td-cell-space .simple-tree-table-handler").click();
		});
	}
	/*
		Project And Task JS - End
	*/
	/****************************************************/
	
	/****************************************************/
	/*
		Progress Trend Analysis - Start
	*/
	if($('#report_progress_trend_analysis_div').length>0){
		$('#report_progress_trend_analysis_div #search_form').on('submit', function (e) {
			e.preventDefault();
			if($("#report_progress_trend_analysis_div #combo_project_id").val()==""){
				alert("Please select project.");
				$("#report_progress_trend_analysis_div #combo_project_id").focus();
			}else{
				getProjectProgressTrendAnalysisReportData();
			}
		});
		/*****************/
		$("#report_progress_trend_analysis_div #combo_project_id").change(function(){
			$("#report_progress_trend_analysis_div #project_lbl").text("");
			if($(this).val()!=""){
				$("#report_progress_trend_analysis_div #project_lbl").text("Project: "+$(this).find("option:selected").text());
			}
		});
	}
	/*
		Progress Trend Analysis - End
	*/
	/****************************************************/
	
	/****************************************************/
	/*
		Team Performance - Start
	*/
	if($('#report_team_peformance_div').length>0){
		$('#report_team_peformance_div #search_form').on('submit', function (e) {
			e.preventDefault();
			if($("#report_team_peformance_div #combo_project_id").val()==""){
				alert("Please select project.");
				$("#report_team_peformance_div #combo_project_id").focus();
			}else{
				getTeamPerformanceData();
			}
		});
		/*****************/
		$("#report_team_peformance_div #combo_project_id").change(function(){
			$("#report_team_peformance_div #project_lbl").text("");
			if($(this).val()!=""){
				$("#report_team_peformance_div #project_lbl").text("Project: "+$(this).find("option:selected").text());
			}
		});
	}
	/*
		Team Performance - End
	*/
	/****************************************************/
	
	/****************************************************/
	/*
		Performance Benchmark - Start
	*/
	if($('#report_performance_benchmark_div').length>0){
		$("#report_performance_benchmark_div .custom-multiselect").multiselect({
			includeSelectAllOption: true,
			numberDisplayed: 1,
			enableFiltering:true
		});
		
		/******************/
		$('#report_performance_benchmark_div #search_form').on('submit', function (e) {
			e.preventDefault();
			if($("#report_performance_benchmark_div #combo_project_id").val()==""){
				alert("Please select project.");
				$("#report_performance_benchmark_div #combo_project_id").focus();
			}else if($("#report_performance_benchmark_div #combo_project_id").val()==""){
				alert("Please select X-Axis value.");
				$("#report_performance_benchmark_div #combo_project_id").focus();
			}else if($("#report_performance_benchmark_div #combo_y_axis option:selected").length==0){
				alert("Please select Y-Axis value.");
				$("#report_performance_benchmark_div #combo_y_axis").focus();
			}else{
				getPerformanceBenchmarkReportData();
			}
		});
		/*****************/
		$("#report_performance_benchmark_div #combo_project_id").change(function(){
			$("#report_performance_benchmark_div #project_lbl").text("");
			if($(this).val()!=""){
				$("#report_performance_benchmark_div #project_lbl").text("Project: "+$(this).find("option:selected").text());
			}
		});
	}
	/*
		Performance Benchmark - End
	*/
	/****************************************************/
});

/**********************************************************************/

/*********************************Project And Task JS - Start*************************************/

function getProjectAndTaskStatusReportData(){
	$("#report_project_and_task_status_div #excel_btn_report_project_and_task_status").html('');
	$("#report_project_and_task_status_div #exp_col_div a").fadeOut(500);
	$("#report_project_and_task_status_div #results_report_project_and_task_status").mCustomScrollbar("destroy");
	$.ajax({
		url: SITEURL+"aj/reports/",
		method: "POST",
		data:"REQUEST=get_report_project_and_task_status&is_html=true&"+$('#report_project_and_task_status_div #search_form').serialize(),
		beforeSend: function() {
			$("#report_project_and_task_status_div #results_report_project_and_task_status").fadeOut(400);
			$("#report_project_and_task_status_div .loading-div").fadeIn(500);
		},
		success: function (response){ 
			$(".exp-col-btn").html('<i class="fa fa-plus-square"></i> Expand All'); 
			setTimeout(function(){
				$("#report_project_and_task_status_div .loading-div").hide();
				$("#report_project_and_task_status_div #results_report_project_and_task_status").html(response);
				$("#report_project_and_task_status_div #results_report_project_and_task_status").fadeIn(500);	
				if($("#check_task_level").is(":checked")){
					$("#exp_col_div a").fadeIn(500);
				}
				$("#report_project_and_task_status_div #results_report_project_and_task_status").mCustomScrollbar({  // custom scroll bar plugin
					theme:"light-2",  // custom scroll theme set
					axis: "x",     // custom scroll ver,hor scroll
				});
				$('#report_project_and_task_status_div #table_projects').simpleTreeTable({
					expander: $('#expander'),
					collapser: $('#collapser'),
					opened:'none', 
					storeKey: 'simple-tree-table-basic'
				});		
				$("#report_project_and_task_status_div .rm-tree-btn").children(".simple-tree-table-handler").hide();
				$("#report_project_and_task_status_div .d-flex").children(".simple-tree-table-handler").hide();
				$("#report_project_and_task_status_div .rm-tree-btn label").children(".simple-tree-table-handler").hide();
				var export_btn_str = '<a class="buttons-excel btn btn-sm btn-primary" href="javascript:void(0);" data-op=""><span>Excel</span></a>';
				var is_gdrive_button_show = false;
				if($("#h_user_plan").val()!="ENTERPRISE"){
					is_gdrive_button_show = true;
					export_btn_str += '<a class="buttons-excel btn btn-sm btn-primary ml-2" href="javascript:void(0);"  data-op="true"><span>Save Excel to GDrive</span></a>';
				}
				
				$("#report_project_and_task_status_div th").children(".simple-tree-table-handler").hide();
				$("#report_project_and_task_status_div #excel_btn_report_project_and_task_status").html(export_btn_str);
				
				$("#report_project_and_task_status_div .buttons-excel").click(function(e){
					var save_to_server_flag = false;
					if($(this).data("op")==true){
						save_to_server_flag = true;
					}
					$("#report_project_and_task_status_div .tbl2 tbody .tbl3").each(function(){
						$(this).after('<tr class="empty-row"></tr><tr class="empty-row"></tr>');
					});
					
					$("#report_project_and_task_status_div #table_projects").prepend('<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"><strong style="font-size:18px">Project & Task Status Report</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr></table></div></div>').table2excel({
							exclude: ".noExl",
							name: "Project & Task Status Report",
							filename: "Project & Task Status Report.xls",
							fileext: ".xls",
							preserveColors: true,
							save_to_server:save_to_server_flag
							/*exclude_img: true,
							exclude_links: true,
							exclude_inputs: true*/
						});
					$("#report_project_and_task_status_div .texcl").remove();
					
					$("#report_project_and_task_status_div .empty-row").each(function(){
						$(this).remove();
					});
				});
			},1500);
		}
	});
}

/*********************************Project And Task JS - End*************************************/

/*********************************Progress Trend Analysis JS - Start*************************************/

function getProjectProgressTrendAnalysisReportData(){
	$("#report_progress_trend_analysis_div #excel_btn_progress_trend_analysis").html('');
	$.ajax({
		url: SITEURL+"aj/reports/",
		method: "POST",
		data:"REQUEST=get_report_project_progress_trend_analysis&is_html=true&"+$('#report_progress_trend_analysis_div #search_form').serialize(),
		beforeSend: function() {
			$("#report_progress_trend_analysis_div #results_report_progress_trend_analysis").fadeOut(500);
			$("#report_progress_trend_analysis_div .loading-div").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$("#report_progress_trend_analysis_div .loading-div").hide();
				$("#report_progress_trend_analysis_div #results_report_progress_trend_analysis").html(response);
				$("#report_progress_trend_analysis_div #results_report_progress_trend_analysis").fadeIn(500);
				
				$("#report_progress_trend_analysis_div #excel_btn_progress_trend_analysis").html('<a class="buttons-excel btn btn-sm btn-primary" href="javascript:void(0);"><span>Excel</span></a><span>&nbsp;</span></div>');
				
				$("#report_progress_trend_analysis_div .buttons-excel").click(function(e){
					$("#results_report_progress_trend_analysis").prepend('<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"><strong style="font-size:18px">Progress Trend Analysis Report</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr></table></div></div>').table2excel({
							exclude: ".noExl",
							name: "Progress Trend Analysis Report",
							filename: "Progress Trend Analysis Report.xls",
							fileext: ".xls",
							preserveColors: true,
							/*exclude_img: true,
							exclude_links: true,
							exclude_inputs: true*/
						});
					$("#report_progress_trend_analysis_div .texcl").remove();
				});
				
				if($("#report_progress_trend_analysis_div #check_display_charts").is(":checked")){
					setProjectChart();
					if($("#report_progress_trend_analysis_div #chart_task_ids").length){
						var chart_task_ids = $("#report_progress_trend_analysis_div #chart_task_ids").val();
						chart_task_ids = chart_task_ids.split(",");
						for(var i=0;i<chart_task_ids.length;i++){
							setTaskChart(chart_task_ids[i]);
						}
					}
				}
			},1500);
		}
	});
}

function setProjectChart(){
	var currency_symbol = $("#report_progress_trend_analysis_div #combo_project_id").find("option:selected").attr("data-currency_symbol");
	$.ajax({
		type: 'post',
		url: SITEURL+"aj/reports/",
		data: {REQUEST: 'get_report_progress_trend_analysis_project_chart_data',project_id:$("#report_progress_trend_analysis_div #combo_project_id").val()},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function(response){
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				/*****************************/
				Highcharts.chart('chart_project', {
				
				  title: {
					text: $("#report_progress_trend_analysis_div #combo_project_id").find("option:selected").text()+' Chart'
				  },
				   credits: {
						enabled: false
					},
				
				  yAxis: {
					title: {
					  text: 'Amount'
					}
				  },
				
				  xAxis: {
				  	title: {
					  text: 'Hours'
					},
					accessibility: {
					  rangeDescription: 'Hours'
					}
				  },
				tooltip:{
					enabled:false
				},
				  legend: {
					layout: 'vertical',
					align: 'right',
					verticalAlign: 'middle'
				  },
				  plotOptions: {
					series: {
						dataLabels: {
						 enabled: true, 
						  inside: false,
						  crop: true,
						  shape: 'callout',
						  backgroundColor:'rgba(247,247,247,0.85)',
						  borderColor: 'rgba(128, 133, 233,1)',
						  color: '#333333',
						  borderWidth: .5,
						  borderRadius: 5,
						  y: -10,
						  style: {
							fontSize: '10px',
							fontWeight: 'normal',
							textShadow: 'none'
						  },
						  formatter: function() {
							/*return '<strong>'+this.series.name+'</strong>'
										+'<br/>Group: <strong>'+ this.x+'</strong>'
								  +'<br/>Value: <strong>'+ Highcharts.numberFormat(this.y,0)+'</strong>';
								https://stackoverflow.com/questions/36906464/always-showing-tooltip-on-all-columns-in-highcharts  
							*/
						  return this.x+", "+currency_symbol+Highcharts.numberFormat(this.y,2);
						  }
						},
					  label: {
						connectorAllowed: false
					  },
					  pointStart: 0
					}
				  },
					series: response.data_arr,
				  /*series: [
					  {
						name: 'PV',
						data: [43934, 52503, 57177, 69658, 97031, 119931, 137133, 154175]
					  }, {
						name: 'EV',
						data: [24916, 24064, 29742, 29851, 32490, 30282, 38121, 40434]
					  }, {
						name: 'ETC',
						data: [11744, 17722, 16005, 19771, 20185, 24377, 32147, 39387]
					  }, {
						name: 'EAC',
						data: [null, null, 7988, 12169, 15112, 22452, 34400, 34227]
					  }, {
						name: 'BAC',
						data: [12908, 5948, 8105, 11248, 8989, 11816, 18274, 18111]
					  }, {
						name: 'AC',
						data: [12908, 5948, 8105, 11248, 8989, 11816, 18274, 18111]
					  }
				  ],*/
				
				  responsive: {
					rules: [{
					  condition: {
						maxWidth: 500
					  },
					  chartOptions: {
						legend: {
						  layout: 'horizontal',
						  align: 'center',
						  verticalAlign: 'bottom'
						}
					  }
					}]
				  }
				
				});
				/*****************************/
			},1000);
		}
	});
	
}
function setTaskChart(task_id){
	var currency_symbol = $("#report_progress_trend_analysis_div #combo_project_id").find("option:selected").attr("data-currency_symbol");
	$.ajax({
		type: 'post',
		url: SITEURL+"aj/reports/",
		data: {REQUEST: 'get_report_progress_trend_analysis_task_chart_data',project_id:$("#report_progress_trend_analysis_div #combo_project_id").val(),task_id:task_id},
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function(response){
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				/*****************************/
				Highcharts.chart('chart_task_'+task_id, {
				
				  title: {
					text: $("#report_progress_trend_analysis_div #task_"+task_id).val()+' Chart'
				  },
				  credits: {
						enabled: false
					},
				
				  yAxis: {
					title: {
					  text: 'Amount'
					}
				  },
				
				  xAxis: {
				  	title: {
					  text: 'Hours'
					},
					accessibility: {
					  rangeDescription: 'Hours'
					}
				  },
				tooltip:{
					enabled:false
				},
				  legend: {
					layout: 'vertical',
					align: 'right',
					verticalAlign: 'middle'
				  },
				  plotOptions: {
					series: {
						dataLabels: {
						 enabled: true, 
						  inside: false,
						  crop: true,
						  shape: 'callout',
						  backgroundColor:'rgba(247,247,247,0.85)',
						  borderColor: 'rgba(128, 133, 233,1)',
						  color: '#333333',
						  borderWidth: .5,
						  borderRadius: 5,
						  y: -10,
						  style: {
							fontSize: '10px',
							fontWeight: 'normal',
							textShadow: 'none'
						  },
						  formatter: function() {
							/*return '<strong>'+this.series.name+'</strong>'
										+'<br/>Group: <strong>'+ this.x+'</strong>'
								  +'<br/>Value: <strong>'+ Highcharts.numberFormat(this.y,0)+'</strong>';
								https://stackoverflow.com/questions/36906464/always-showing-tooltip-on-all-columns-in-highcharts  
							*/
						  return this.x+", "+currency_symbol+Highcharts.numberFormat(this.y,2);
						  }
						},
					  label: {
						connectorAllowed: false
					  },
					  pointStart: 0
					}
				  },
					series: response.data_arr,
				  /*series: [
					  {
						name: 'PV',
						data: [43934, 52503, 57177, 69658, 97031, 119931, 137133, 154175]
					  }, {
						name: 'EV',
						data: [24916, 24064, 29742, 29851, 32490, 30282, 38121, 40434]
					  }, {
						name: 'ETC',
						data: [11744, 17722, 16005, 19771, 20185, 24377, 32147, 39387]
					  }, {
						name: 'EAC',
						data: [null, null, 7988, 12169, 15112, 22452, 34400, 34227]
					  }, {
						name: 'BAC',
						data: [12908, 5948, 8105, 11248, 8989, 11816, 18274, 18111]
					  }, {
						name: 'AC',
						data: [12908, 5948, 8105, 11248, 8989, 11816, 18274, 18111]
					  }
				  ],*/
				
				  responsive: {
					rules: [{
					  condition: {
						maxWidth: 500
					  },
					  chartOptions: {
						legend: {
						  layout: 'horizontal',
						  align: 'center',
						  verticalAlign: 'bottom'
						}
					  }
					}]
				  }
				
				});
				/*****************************/
			},1000);
		}
	});
	
}

/*********************************Progress Trend Analysis JS - End*************************************/

/*********************************Team Performance JS - Start*************************************/
function getTeamPerformanceData(){
	$("#report_team_peformance_div #excel_btn_team_peformance").html('');
	$.ajax({
		url: SITEURL+"aj/reports/",
		method: "POST",
		data:"REQUEST=get_report_team_performance&is_html=true&"+$('#report_team_peformance_div #search_form').serialize(),
		beforeSend: function() {
			$("#report_team_peformance_div #results_report_team_peformance").fadeOut(500);
			$("#report_team_peformance_div .loading-div").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$("#report_team_peformance_div .loading-div").hide();
				$("#report_team_peformance_div #results_report_team_peformance").html(response);
				$("#report_team_peformance_div #results_report_team_peformance").fadeIn(500);
				
				$("#report_team_peformance_div #excel_btn_team_peformance").html('<a class="buttons-excel btn btn-sm btn-primary" href="javascript:void(0);"><span>Excel</span></a><span>&nbsp;</span></div>');
				
				$("#report_team_peformance_div .buttons-excel").click(function(e){
					$("#report_team_peformance_div .tbl2 tbody").each(function(){
						$(this).append('<tr class="empty-row"></tr><tr class="empty-row"></tr>');
					});
					$("#report_team_peformance_div #results_report_team_peformance").prepend('<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"><strong style="font-size:18px">Team Performance Report</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr></table></div></div>').table2excel({
							exclude: ".noExl",
							name: "Team Performance Report",
							filename: "Team Performance Report.xls",
							fileext: ".xls",
							preserveColors: true,
							/*exclude_img: true,
							exclude_links: true,
							exclude_inputs: true*/
						});
					$("#report_team_peformance_div .texcl").remove();
					
					$("#report_team_peformance_div .empty-row").each(function(){
						$(this).remove();
					});
				});
			},1500);
		}
	});
}
/*********************************Team Performance JS - End*************************************/

/*********************************Performance Benchmark - Start*************************************/
function getPerformanceBenchmarkReportData(){
	$("#report_performance_benchmark_div #excel_btn_performance_benchmark").html('');
	$.ajax({
		url: SITEURL+"aj/reports/",
		method: "POST",
		data:"REQUEST=get_report_performance_benchmark&is_html=true&"+$('#report_performance_benchmark_div #search_form').serialize(),
		beforeSend: function() {
			$("#report_performance_benchmark_div #results_report_performance_benchmark").fadeOut(500);
			$("#report_performance_benchmark_div .loading-div").fadeIn(800);
		},
		success: function (response){  
			setTimeout(function(){
				$("#report_performance_benchmark_div .loading-div").hide();
				$("#report_performance_benchmark_div #results_report_performance_benchmark").html(response);
				$("#report_performance_benchmark_div #results_report_performance_benchmark").fadeIn(500);
				
				$("#report_performance_benchmark_div #excel_btn_performance_benchmark").html('<a class="buttons-excel btn btn-sm btn-primary" href="javascript:void(0);"><span>Excel</span></a><span>&nbsp;</span></div>');
				
				$("#report_performance_benchmark_div .buttons-excel").click(function(e){
					$("#report_performance_benchmark_div #results_report_performance_benchmark").prepend('<div class="row texcl"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"><strong style="font-size:18px">Performance Benchmark Report</strong></td></tr></table></div></div><div class="row"><div class="col-md-12"><div class="table-responsive"><table class="table table-bordered report-table"><tr><td colspan="2"></td></tr></table></div></div>').table2excel({
							exclude: ".noExl",
							name: "Performance Benchmark Report",
							filename: "Performance Benchmark Report.xls",
							fileext: ".xls",
							preserveColors: true,
							/*exclude_img: true,
							exclude_links: true,
							exclude_inputs: true*/
						});
					$("#report_performance_benchmark_div .texcl").remove();
				});
				
				setProjectPerformanceBenchmarkChart();
				if($("#report_performance_benchmark_div #check_task_level").is(":checked")){
					if($("#report_performance_benchmark_div #chart_task_ids").length){
						var chart_task_ids = $("#report_performance_benchmark_div #chart_task_ids").val();
						chart_task_ids = chart_task_ids.split(",");
						for(var i=0;i<chart_task_ids.length;i++){
							setTaskPerformanceBenchmarkChart(chart_task_ids[i]);
						}
					}
				}
			},1500);
		}
	});
}

function setProjectPerformanceBenchmarkChart(){
	var currency_symbol = $("#report_performance_benchmark_div #combo_project_id").find("option:selected").attr("data-currency_symbol");
	$.ajax({
		type: 'post',
		url: SITEURL+"aj/reports/",
		data:"REQUEST=get_report_performance_bechmark_project_chart_data&"+$('#report_performance_benchmark_div #search_form').serialize(),
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function(response){
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				/*****************************/
				Highcharts.chart('chart_project', {
				
				  title: {
					text: $("#report_performance_benchmark_div #combo_project_id").find("option:selected").text()+' Chart'
				  },
				   credits: {
						enabled: false
					},
				
				  yAxis: {
					title: {
					  text: 'Amount'
					}
				  },
				
				  xAxis: {
				  	title: {
					  text: 'Hours'
					},
					accessibility: {
					  rangeDescription: 'Hours'
					}
				  },
				tooltip:{
					enabled:false
				},
				  legend: {
					layout: 'vertical',
					align: 'right',
					verticalAlign: 'middle'
				  },
				  plotOptions: {
					series: {
						dataLabels: {
						 enabled: true, 
						  inside: false,
						  crop: true,
						  shape: 'callout',
						  backgroundColor:'rgba(247,247,247,0.85)',
						  borderColor: 'rgba(128, 133, 233,1)',
						  color: '#333333',
						  borderWidth: .5,
						  borderRadius: 5,
						  y: -10,
						  style: {
							fontSize: '10px',
							fontWeight: 'normal',
							textShadow: 'none'
						  },
						  formatter: function() {
							/*return '<strong>'+this.series.name+'</strong>'
										+'<br/>Group: <strong>'+ this.x+'</strong>'
								  +'<br/>Value: <strong>'+ Highcharts.numberFormat(this.y,0)+'</strong>';
								https://stackoverflow.com/questions/36906464/always-showing-tooltip-on-all-columns-in-highcharts  
							*/
						  return this.x+", "+currency_symbol+Highcharts.numberFormat(this.y,2);
						  }
						},
					  label: {
						connectorAllowed: false
					  },
					  pointStart: 0
					}
				  },
					series: response.data_arr,
				  /*series: [
					  {
						name: 'PV',
						data: [43934, 52503, 57177, 69658, 97031, 119931, 137133, 154175]
					  }, {
						name: 'EV',
						data: [24916, 24064, 29742, 29851, 32490, 30282, 38121, 40434]
					  }, {
						name: 'ETC',
						data: [11744, 17722, 16005, 19771, 20185, 24377, 32147, 39387]
					  }, {
						name: 'EAC',
						data: [null, null, 7988, 12169, 15112, 22452, 34400, 34227]
					  }, {
						name: 'BAC',
						data: [12908, 5948, 8105, 11248, 8989, 11816, 18274, 18111]
					  }, {
						name: 'AC',
						data: [12908, 5948, 8105, 11248, 8989, 11816, 18274, 18111]
					  }
				  ],*/
				
				  responsive: {
					rules: [{
					  condition: {
						maxWidth: 500
					  },
					  chartOptions: {
						legend: {
						  layout: 'horizontal',
						  align: 'center',
						  verticalAlign: 'bottom'
						}
					  }
					}]
				  }
				
				});
				/*****************************/
			},1000);
		}
	});
	
}
function setTaskPerformanceBenchmarkChart(task_id){
	var currency_symbol = $("#report_performance_benchmark_div #combo_project_id").find("option:selected").attr("data-currency_symbol");
	$.ajax({
		type: 'post',
		url: SITEURL+"aj/reports/",
		data:"REQUEST=get_report_performance_bechmark_task_chart_data&task_id="+task_id+"&"+$('#report_performance_benchmark_div #search_form').serialize(),
		beforeSend: function() {
			$(".rploader").fadeIn(800);
		},
		success: function(response){
			setTimeout(function(){
				$(".rploader").fadeOut(800);
				/*****************************/
				Highcharts.chart('chart_task_'+task_id, {
				
				  title: {
					text: $("#report_performance_benchmark_div #task_"+task_id).val()+' Chart'
				  },
				  credits: {
						enabled: false
					},
				
				  yAxis: {
					title: {
					  text: 'Amount'
					}
				  },
				
				  xAxis: {
				  	title: {
					  text: 'Hours'
					},
					accessibility: {
					  rangeDescription: 'Hours'
					}
				  },
				tooltip:{
					enabled:false
				},
				  legend: {
					layout: 'vertical',
					align: 'right',
					verticalAlign: 'middle'
				  },
				  plotOptions: {
					series: {
						dataLabels: {
						 enabled: true, 
						  inside: false,
						  crop: true,
						  shape: 'callout',
						  backgroundColor:'rgba(247,247,247,0.85)',
						  borderColor: 'rgba(128, 133, 233,1)',
						  color: '#333333',
						  borderWidth: .5,
						  borderRadius: 5,
						  y: -10,
						  style: {
							fontSize: '10px',
							fontWeight: 'normal',
							textShadow: 'none'
						  },
						  formatter: function() {
							/*return '<strong>'+this.series.name+'</strong>'
										+'<br/>Group: <strong>'+ this.x+'</strong>'
								  +'<br/>Value: <strong>'+ Highcharts.numberFormat(this.y,0)+'</strong>';
								https://stackoverflow.com/questions/36906464/always-showing-tooltip-on-all-columns-in-highcharts  
							*/
						  return this.x+", "+currency_symbol+Highcharts.numberFormat(this.y,2);
						  }
						},
					  label: {
						connectorAllowed: false
					  },
					  pointStart: 0
					}
				  },
					series: response.data_arr,
				  /*series: [
					  {
						name: 'PV',
						data: [43934, 52503, 57177, 69658, 97031, 119931, 137133, 154175]
					  }, {
						name: 'EV',
						data: [24916, 24064, 29742, 29851, 32490, 30282, 38121, 40434]
					  }, {
						name: 'ETC',
						data: [11744, 17722, 16005, 19771, 20185, 24377, 32147, 39387]
					  }, {
						name: 'EAC',
						data: [null, null, 7988, 12169, 15112, 22452, 34400, 34227]
					  }, {
						name: 'BAC',
						data: [12908, 5948, 8105, 11248, 8989, 11816, 18274, 18111]
					  }, {
						name: 'AC',
						data: [12908, 5948, 8105, 11248, 8989, 11816, 18274, 18111]
					  }
				  ],*/
				
				  responsive: {
					rules: [{
					  condition: {
						maxWidth: 500
					  },
					  chartOptions: {
						legend: {
						  layout: 'horizontal',
						  align: 'center',
						  verticalAlign: 'bottom'
						}
					  }
					}]
				  }
				
				});
				/*****************************/
			},1000);
		}
	});
	
}
/*********************************Performance Benchmark JS - End*************************************/