<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Coexsys | Manage Holidays</title>
  <!-- base:css -->
  <link rel="stylesheet" href="vendors/typicons.font/font/typicons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">  
  <!-- endinject -->
  <!-- plugin css for this page -->
  <link rel="stylesheet" href="vendors/jsgrid/jsgrid.min.css">
  <link rel="stylesheet" href="vendors/jsgrid/jsgrid-theme.min.css">
  <link rel="stylesheet" href="vendors/select2/select2.min.css">
    <link rel="stylesheet" href="vendors/select2-bootstrap-theme/select2-bootstrap.min.css">  
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/custom.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="images/main_logo_mini.png" />
</head>

<body>
  <div class="container-scroller">
    <!-- partial:../../partials/_navbar.html -->
    <?php include_once("top.php"); ?>
    <!-- partial -->
    <div class="container-fluid page-body-wrapper">
      <!-- partial:../../partials/_settings-panel.html -->
      <?php include_once("left.php");  ?>
      <!-- partial -->
      <!-- partial:../../partials/_sidebar.html -->
      
      <!-- partial -->
      <div class="main-panel">
        <div class="content-wrapper">
            <div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel-3" aria-hidden="true">
            <div class="modal-dialog modal-sm" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel-3">Add Custom Year</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body pt-0">
                    <div class="row col-12 ">                        
                        <div class="col-4 pt-4 pl-0 pr-0">Enter Year</div>
                        <div class="col-8 pt-4 pl-0 pr-0">
                            <input type="text" class="form-control only-numeric" id="text_custom_year" name="text_custom_year"> 
                            <!--<span class="error" style="color: red; display: none">* Input digits (0 - 9)</span>-->
                        </div>

                    </div>
                </div>
                <div class="modal-footer">              
                  <button type="button" class="btn btn-primary"  id="cmd_modal_save">Save</button> <!-- data-dismiss="modal" -->
                </div>
              </div>
            </div>
        </div>
            
          <div class="row grid-margin">
            <div class="col-12">
              <div class="card">
                <div class="card-body">
                  <div class="d-flex flex-wrap justify-content-between pb-2">
                        <h4 class="card-title mb-3">Manage Holidays</h4>
                        <div>
                            <select class="js-example-basic-single w-20 select2-hidden-accessible ml-2 mr-2" name="combo_year" id="combo_year" tabindex="-1" aria-hidden="true">
                                <option value="2020">2020</option>
                                <option value="2021">2021</option>
                                <option value="2022">2022</option>
                                <option value="2023">2023</option>
                                <option value="Add">Add Custom Year</option>
                            </select>    
                            <!--<a class="btn btn-success btn-sm" href="add-support-request.php" target="_blank">
                                    <i class="fa fa-plus" aria-hidden="true"></i> 
                            </a>-->
                        </div>

                    </div>
                  
                  <div id="js-grid" class="pt-3"></div>
                </div>
              </div>
            </div>
          </div>
          
          
        </div>
        <!-- content-wrapper ends -->
        <!-- partial:../../partials/_footer.html -->
        
        <!-- partial -->
      </div>
      <!-- main-panel ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <!-- base:js -->
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- inject:js -->
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>
  <!-- endinject -->
  <!-- plugin js for this page -->
  <script src="vendors/jsgrid/jsgrid.min.js"></script>
  <!-- End plugin js for this page -->
  <!-- Custom js for this page-->
  <script src="js/js-grid.js"></script>
  <script src="js/db.js"></script>
  <!-- End custom js for this page-->
  <script src="vendors/select2/select2.min.js"></script> 
    <script src="js/select2.js"></script> 
    <script src="js/custom.js"></script>
    
    
    
    <script>
        $('#combo_year').change(function()
        {
            $("#text_custom_year").val('');
            $('#modal1').modal('show')
        });
        
        $("#cmd_modal_save").click(function()
        {
            form_element_correct($("#text_custom_year"));
            if($("#text_custom_year").val()=='')
            {
                form_element_correct($("#text_custom_year"));
                form_element_empty_err($("#text_custom_year"));
                return false;
            }
            var flag_valid = "Y";
            var enterd_value = $("#text_custom_year").val();
            $("#combo_year option").each(function()
             {
                 // Add $(this).val() to your list
                 if($(this).val()==enterd_value)
                 {
                     form_element_correct($("#text_custom_year"));
                     //form_element_empty_err($("#text_custom_year"));
                     $("#text_custom_year").addClass('error_ele');
                     $("#text_custom_year").after('<span role="alert" class="not-valid-tip">Year already exist.</span>');        
                     //j(this).after().addClass('home-inner-content');
                     $("#text_custom_year").focus();
                     flag_valid="N";
                     return false;
                 }
             }); 
             
             if(flag_valid=="Y")
             {
                $("#combo_year").append('<option value="'+enterd_value+'">'+enterd_value+'</option>');
                $("#modal1").modal("hide");
             }
        });
    </script>    
</body>

</html>
